webpackJsonp([18],{

/***/ 1092:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export DestinationType */
/* unused harmony export EncodingType */
/* unused harmony export MediaType */
/* unused harmony export PictureSourceType */
/* unused harmony export PopoverArrowDirection */
/* unused harmony export Direction */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Camera; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_core__ = __webpack_require__(28);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var DestinationType;
(function (DestinationType) {
    DestinationType[DestinationType["DATA_URL"] = 0] = "DATA_URL";
    DestinationType[DestinationType["FILE_URL"] = 1] = "FILE_URL";
    DestinationType[DestinationType["NATIVE_URI"] = 2] = "NATIVE_URI";
})(DestinationType || (DestinationType = {}));
var EncodingType;
(function (EncodingType) {
    EncodingType[EncodingType["JPEG"] = 0] = "JPEG";
    EncodingType[EncodingType["PNG"] = 1] = "PNG";
})(EncodingType || (EncodingType = {}));
var MediaType;
(function (MediaType) {
    MediaType[MediaType["PICTURE"] = 0] = "PICTURE";
    MediaType[MediaType["VIDEO"] = 1] = "VIDEO";
    MediaType[MediaType["ALLMEDIA"] = 2] = "ALLMEDIA";
})(MediaType || (MediaType = {}));
var PictureSourceType;
(function (PictureSourceType) {
    PictureSourceType[PictureSourceType["PHOTOLIBRARY"] = 0] = "PHOTOLIBRARY";
    PictureSourceType[PictureSourceType["CAMERA"] = 1] = "CAMERA";
    PictureSourceType[PictureSourceType["SAVEDPHOTOALBUM"] = 2] = "SAVEDPHOTOALBUM";
})(PictureSourceType || (PictureSourceType = {}));
var PopoverArrowDirection;
(function (PopoverArrowDirection) {
    PopoverArrowDirection[PopoverArrowDirection["ARROW_UP"] = 1] = "ARROW_UP";
    PopoverArrowDirection[PopoverArrowDirection["ARROW_DOWN"] = 2] = "ARROW_DOWN";
    PopoverArrowDirection[PopoverArrowDirection["ARROW_LEFT"] = 3] = "ARROW_LEFT";
    PopoverArrowDirection[PopoverArrowDirection["ARROW_RIGHT"] = 4] = "ARROW_RIGHT";
    PopoverArrowDirection[PopoverArrowDirection["ARROW_ANY"] = 5] = "ARROW_ANY";
})(PopoverArrowDirection || (PopoverArrowDirection = {}));
var Direction;
(function (Direction) {
    Direction[Direction["BACK"] = 0] = "BACK";
    Direction[Direction["FRONT"] = 1] = "FRONT";
})(Direction || (Direction = {}));
/**
 * @name Camera
 * @description
 * Take a photo or capture video.
 *
 * Requires the Cordova plugin: `cordova-plugin-camera`. For more info, please see the [Cordova Camera Plugin Docs](https://github.com/apache/cordova-plugin-camera).
 *
 * [Warning] Since IOS 10 the camera requires permissions to be placed in your config.xml add
 * ```xml
 * <config-file parent="NSCameraUsageDescription" platform="ios" target="*-Info.plist">
 *  <string>You can take photos</string>
 * </config-file>
 * ```
 * inside of the <platform name='ios> section
 *
 * @usage
 * ```typescript
 * import { Camera, CameraOptions } from '@ionic-native/camera';
 *
 * constructor(private camera: Camera) { }
 *
 * ...
 *
 *
 * const options: CameraOptions = {
 *   quality: 100,
 *   destinationType: this.camera.DestinationType.FILE_URI,
 *   encodingType: this.camera.EncodingType.JPEG,
 *   mediaType: this.camera.MediaType.PICTURE
 * }
 *
 * this.camera.getPicture(options).then((imageData) => {
 *  // imageData is either a base64 encoded string or a file URI
 *  // If it's base64 (DATA_URL):
 *  let base64Image = 'data:image/jpeg;base64,' + imageData;
 * }, (err) => {
 *  // Handle error
 * });
 * ```
 * @interfaces
 * CameraOptions
 * CameraPopoverOptions
 */
var Camera = (function (_super) {
    __extends(Camera, _super);
    function Camera() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
           * Constant for possible destination types
           */
        _this.DestinationType = {
            /** Return base64 encoded string. DATA_URL can be very memory intensive and cause app crashes or out of memory errors. Use FILE_URI or NATIVE_URI if possible */
            DATA_URL: 0,
            /** Return file uri (content://media/external/images/media/2 for Android) */
            FILE_URI: 1,
            /** Return native uri (eg. asset-library://... for iOS) */
            NATIVE_URI: 2
        };
        /**
           * Convenience constant
           */
        _this.EncodingType = {
            /** Return JPEG encoded image */
            JPEG: 0,
            /** Return PNG encoded image */
            PNG: 1
        };
        /**
           * Convenience constant
           */
        _this.MediaType = {
            /** Allow selection of still pictures only. DEFAULT. Will return format specified via DestinationType */
            PICTURE: 0,
            /** Allow selection of video only, ONLY RETURNS URL */
            VIDEO: 1,
            /** Allow selection from all media types */
            ALLMEDIA: 2
        };
        /**
           * Convenience constant
           */
        _this.PictureSourceType = {
            /** Choose image from picture library (same as SAVEDPHOTOALBUM for Android) */
            PHOTOLIBRARY: 0,
            /** Take picture from camera */
            CAMERA: 1,
            /** Choose image from picture library (same as PHOTOLIBRARY for Android) */
            SAVEDPHOTOALBUM: 2
        };
        /**
           * Convenience constant
           */
        _this.PopoverArrowDirection = {
            ARROW_UP: 1,
            ARROW_DOWN: 2,
            ARROW_LEFT: 4,
            ARROW_RIGHT: 8,
            ARROW_ANY: 15
        };
        /**
           * Convenience constant
           */
        _this.Direction = {
            /** Use the back-facing camera */
            BACK: 0,
            /** Use the front-facing camera */
            FRONT: 1
        };
        return _this;
    }
    /**
     * Take a picture or video, or load one from the library.
     * @param {CameraOptions} [options] Options that you want to pass to the camera. Encoding type, quality, etc. Platform-specific quirks are described in the [Cordova plugin docs](https://github.com/apache/cordova-plugin-camera#cameraoptions-errata-).
     * @returns {Promise<any>} Returns a Promise that resolves with Base64 encoding of the image data, or the image file URI, depending on cameraOptions, otherwise rejects with an error.
     */
    /**
       * Take a picture or video, or load one from the library.
       * @param {CameraOptions} [options] Options that you want to pass to the camera. Encoding type, quality, etc. Platform-specific quirks are described in the [Cordova plugin docs](https://github.com/apache/cordova-plugin-camera#cameraoptions-errata-).
       * @returns {Promise<any>} Returns a Promise that resolves with Base64 encoding of the image data, or the image file URI, depending on cameraOptions, otherwise rejects with an error.
       */
    Camera.prototype.getPicture = /**
       * Take a picture or video, or load one from the library.
       * @param {CameraOptions} [options] Options that you want to pass to the camera. Encoding type, quality, etc. Platform-specific quirks are described in the [Cordova plugin docs](https://github.com/apache/cordova-plugin-camera#cameraoptions-errata-).
       * @returns {Promise<any>} Returns a Promise that resolves with Base64 encoding of the image data, or the image file URI, depending on cameraOptions, otherwise rejects with an error.
       */
    function (options) {
        return;
    };
    /**
     * Remove intermediate image files that are kept in temporary storage after calling camera.getPicture.
     * Applies only when the value of Camera.sourceType equals Camera.PictureSourceType.CAMERA and the Camera.destinationType equals Camera.DestinationType.FILE_URI.
     * @returns {Promise<any>}
     */
    /**
       * Remove intermediate image files that are kept in temporary storage after calling camera.getPicture.
       * Applies only when the value of Camera.sourceType equals Camera.PictureSourceType.CAMERA and the Camera.destinationType equals Camera.DestinationType.FILE_URI.
       * @returns {Promise<any>}
       */
    Camera.prototype.cleanup = /**
       * Remove intermediate image files that are kept in temporary storage after calling camera.getPicture.
       * Applies only when the value of Camera.sourceType equals Camera.PictureSourceType.CAMERA and the Camera.destinationType equals Camera.DestinationType.FILE_URI.
       * @returns {Promise<any>}
       */
    function () {
        return;
    };
    Camera.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({
            callbackOrder: 'reverse'
        }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Object]),
        __metadata("design:returntype", Promise)
    ], Camera.prototype, "getPicture", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({
            platforms: ['iOS']
        }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], Camera.prototype, "cleanup", null);
    /**
     * @name Camera
     * @description
     * Take a photo or capture video.
     *
     * Requires the Cordova plugin: `cordova-plugin-camera`. For more info, please see the [Cordova Camera Plugin Docs](https://github.com/apache/cordova-plugin-camera).
     *
     * [Warning] Since IOS 10 the camera requires permissions to be placed in your config.xml add
     * ```xml
     * <config-file parent="NSCameraUsageDescription" platform="ios" target="*-Info.plist">
     *  <string>You can take photos</string>
     * </config-file>
     * ```
     * inside of the <platform name='ios> section
     *
     * @usage
     * ```typescript
     * import { Camera, CameraOptions } from '@ionic-native/camera';
     *
     * constructor(private camera: Camera) { }
     *
     * ...
     *
     *
     * const options: CameraOptions = {
     *   quality: 100,
     *   destinationType: this.camera.DestinationType.FILE_URI,
     *   encodingType: this.camera.EncodingType.JPEG,
     *   mediaType: this.camera.MediaType.PICTURE
     * }
     *
     * this.camera.getPicture(options).then((imageData) => {
     *  // imageData is either a base64 encoded string or a file URI
     *  // If it's base64 (DATA_URL):
     *  let base64Image = 'data:image/jpeg;base64,' + imageData;
     * }, (err) => {
     *  // Handle error
     * });
     * ```
     * @interfaces
     * CameraOptions
     * CameraPopoverOptions
     */
    Camera = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["h" /* Plugin */])({
            pluginName: 'Camera',
            plugin: 'cordova-plugin-camera',
            pluginRef: 'navigator.camera',
            repo: 'https://github.com/apache/cordova-plugin-camera',
            platforms: ['Android', 'Browser', 'iOS', 'Windows']
        })
    ], Camera);
    return Camera;
}(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["g" /* IonicNativePlugin */]));

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1112:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProgressBarComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

/**
 * 进度条组件
 * @author Chile
 * @createAt 2018-11-14
 *
 */
var ProgressBarComponent = /** @class */ (function () {
    function ProgressBarComponent() {
        this.length = {
            'width': '0%',
            'transition': 'width 1s',
            '-webkit-transition': 'width 1s'
        };
    }
    ProgressBarComponent.prototype.ngOnInit = function () {
        this.setData();
    };
    /**
     * 设置数据
     */
    ProgressBarComponent.prototype.setData = function () {
        var _this = this;
        this.proportion = Math.round(this.amount / this.total * 100);
        if (this.proportion) {
            this.proportion += '%';
        }
        else {
            this.proportion = '0%';
        }
        console.log('setData', this.proportion);
        setTimeout(function () {
            _this.length.width = _this.proportion;
        }, 200); //设置延迟，让动画动起来
    };
    /**
     * 数据变化
     */
    ProgressBarComponent.prototype.ngOnChanges = function (changes) {
        //重新更新数据
        console.log('ngOnChanges===========', changes);
        this.setData();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], ProgressBarComponent.prototype, "total", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], ProgressBarComponent.prototype, "amount", void 0);
    ProgressBarComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'progress-bar',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\progress-bar\progress-bar.html"*/'<div class="Bars">\n  <div [ngStyle]="length" text-nowrap>\n    <span text-nowrap>{{proportion}}</span>\n  </div>\n</div>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\progress-bar\progress-bar.html"*/,
        }),
        __metadata("design:paramtypes", [])
    ], ProgressBarComponent);
    return ProgressBarComponent;
}());

//# sourceMappingURL=progress-bar.js.map

/***/ }),

/***/ 1124:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FileChooser; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_core__ = __webpack_require__(28);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name File Chooser
 * @description
 *
 * Opens the file picker on Android for the user to select a file, returns a file URI.
 *
 * @usage
 * ```typescript
 * import { FileChooser } from '@ionic-native/file-chooser';
 *
 * constructor(private fileChooser: FileChooser) { }
 *
 * ...
 *
 * this.fileChooser.open()
 *   .then(uri => console.log(uri))
 *   .catch(e => console.log(e));
 *
 * ```
 */
var FileChooser = (function (_super) {
    __extends(FileChooser, _super);
    function FileChooser() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Open a file
     * @returns {Promise<string>}
     */
    /**
       * Open a file
       * @returns {Promise<string>}
       */
    FileChooser.prototype.open = /**
       * Open a file
       * @returns {Promise<string>}
       */
    function () { return; };
    FileChooser.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], FileChooser.prototype, "open", null);
    /**
     * @name File Chooser
     * @description
     *
     * Opens the file picker on Android for the user to select a file, returns a file URI.
     *
     * @usage
     * ```typescript
     * import { FileChooser } from '@ionic-native/file-chooser';
     *
     * constructor(private fileChooser: FileChooser) { }
     *
     * ...
     *
     * this.fileChooser.open()
     *   .then(uri => console.log(uri))
     *   .catch(e => console.log(e));
     *
     * ```
     */
    FileChooser = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["h" /* Plugin */])({
            pluginName: 'FileChooser',
            plugin: 'cordova-plugin-filechooser',
            pluginRef: 'fileChooser',
            repo: 'https://github.com/ihadeed/cordova-filechooser',
            platforms: ['Android']
        })
    ], FileChooser);
    return FileChooser;
}(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["g" /* IonicNativePlugin */]));

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1125:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FilePath; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_core__ = __webpack_require__(28);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name File Path
 * @description
 *
 * This plugin allows you to resolve the native filesystem path for Android content URIs and is based on code in the aFileChooser library.
 *
 * @usage
 * ```typescript
 * import { FilePath } from '@ionic-native/file-path';
 *
 * constructor(private filePath: FilePath) { }
 *
 * ...
 *
 * this.filePath.resolveNativePath(path)
 *   .then(filePath => console.log(filePath))
 *   .catch(err => console.log(err));
 *
 * ```
 */
var FilePath = (function (_super) {
    __extends(FilePath, _super);
    function FilePath() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Resolve native path for given content URL/path.
     * @param {string} path  Content URL/path.
     * @returns {Promise<string>}
     */
    /**
       * Resolve native path for given content URL/path.
       * @param {string} path  Content URL/path.
       * @returns {Promise<string>}
       */
    FilePath.prototype.resolveNativePath = /**
       * Resolve native path for given content URL/path.
       * @param {string} path  Content URL/path.
       * @returns {Promise<string>}
       */
    function (path) {
        return;
    };
    FilePath.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", Promise)
    ], FilePath.prototype, "resolveNativePath", null);
    /**
     * @name File Path
     * @description
     *
     * This plugin allows you to resolve the native filesystem path for Android content URIs and is based on code in the aFileChooser library.
     *
     * @usage
     * ```typescript
     * import { FilePath } from '@ionic-native/file-path';
     *
     * constructor(private filePath: FilePath) { }
     *
     * ...
     *
     * this.filePath.resolveNativePath(path)
     *   .then(filePath => console.log(filePath))
     *   .catch(err => console.log(err));
     *
     * ```
     */
    FilePath = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["h" /* Plugin */])({
            pluginName: 'FilePath',
            plugin: 'cordova-plugin-filepath',
            pluginRef: 'window.FilePath',
            repo: 'https://github.com/hiddentao/cordova-plugin-filepath',
            platforms: ['Android']
        })
    ], FilePath);
    return FilePath;
}(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["g" /* IonicNativePlugin */]));

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProgressBarModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__progress_bar__ = __webpack_require__(1112);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProgressBarModule = /** @class */ (function () {
    function ProgressBarModule() {
    }
    ProgressBarModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__progress_bar__["a" /* ProgressBarComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__progress_bar__["a" /* ProgressBarComponent */]
            ]
        })
    ], ProgressBarModule);
    return ProgressBarModule;
}());

//# sourceMappingURL=progress-bar.module.js.map

/***/ }),

/***/ 1339:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ArticleReleasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file_chooser__ = __webpack_require__(1124);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(1092);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_path__ = __webpack_require__(1125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__components_progress_bar_progress_bar__ = __webpack_require__(1112);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











/**
 * ArticleReleasePage 文章发布页
 * @author Chile
 * @createAt 2019-05-16
 *
 */
var ArticleReleasePage = /** @class */ (function () {
    function ArticleReleasePage(events, navCtrl, navParams, actionSheetCtrl, alertCtrl, fb, camera, fileChooser, filePath, file, nativeService, platform, homeService, showMessageService, cdRef) {
        this.events = events;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.actionSheetCtrl = actionSheetCtrl;
        this.alertCtrl = alertCtrl;
        this.fb = fb;
        this.camera = camera;
        this.fileChooser = fileChooser;
        this.filePath = filePath;
        this.file = file;
        this.nativeService = nativeService;
        this.platform = platform;
        this.homeService = homeService;
        this.showMessageService = showMessageService;
        this.cdRef = cdRef;
        this.imgUpload = 'assets/imgs/upload.png';
        this.affix = [];
        this.uploading = false; //是否正在提交;
        this.showUploading = false; //是否显示进度条;
        //上传进度信息
        this.uploadProcess = {
            'fileCount': 0,
            'percent': 0,
            'fileSuccess': false //当前文件是否传完
        };
        this.validateForm = this.fb.group({
            title: [null],
            description: [null, [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["Validators"].required]],
        });
    }
    ArticleReleasePage.prototype.ngOnInit = function () {
    };
    ArticleReleasePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ArticleReleasePage');
    };
    /**
     * Todo 点击显示图片集
     */
    ArticleReleasePage.prototype.showImages = function () {
    };
    /**
     * Todo 点击取消发布
     */
    ArticleReleasePage.prototype.onClickCancel = function () {
        this.navCtrl.pop();
    };
    /**
     * 点击发布
     */
    ArticleReleasePage.prototype.onClickRelease = function () {
        this.upload();
    };
    /**
     * 提交表单事件
     */
    ArticleReleasePage.prototype.upload = function () {
        var _this = this;
        this.validateForm.controls['title'].setValue(this.validateForm.controls['description'].value);
        for (var i in this.validateForm.controls) {
            this.validateForm.controls[i].markAsDirty();
            this.validateForm.controls[i].updateValueAndValidity();
        }
        if (this.validateForm.valid) {
            this.uploading = true;
            // let formInfo = {
            //   'itemId': this.itemId,
            //   'caseDetailStage': this.archivesProcess,
            //   'textValue': this.validateForm.value.title,
            //   'description': this.validateForm.value.description,
            //   'lat': ''
            // };
            console.log('提交表单');
            this.showUploading = true;
            //Todo 要增加热司标签处理
            this.homeService.commitNews(this.validateForm.value.title, '', this.validateForm.value.description, this.affix).subscribe(function (result) {
                _this.uploadProcess.percent = result.percent;
                console.log('commitNews result', result);
                _this.cdRef.detectChanges();
                if (result.status === 'error') {
                    _this.showMessageService.alert('发布内容失败。');
                    _this.uploadProcess.percent = 0;
                    _this.showUploading = false;
                    _this.cdRef.detectChanges();
                }
                else if (result.status === 'done') {
                    _this.showMessageService.alert('发布内容成功，请等待后台审核。');
                    _this.showUploading = false;
                    _this.uploadProcess.percent = 0;
                    _this.cdRef.detectChanges();
                    _this.navCtrl.pop();
                }
                // this.uploadAffix(result.result[0].attId);
            });
        }
    };
    /**
     * 选择上传来源（拍照、选择图片或文件）
     */
    ArticleReleasePage.prototype.selectUploadSource = function () {
        var _this = this;
        // event.stopPropagation();
        // this.showSource();
        var args = {
            'selectMode': 100,
            'maxSelectCount': 10 - this.uploadProcess.fileCount,
            'maxSelectSize': 188743680,
        };
        MediaPicker.getMedias(args, function (medias) {
            //medias [{mediaType: "image", path:'/storage/emulated/0/DCIM/Camera/2017.jpg', uri:"android retrun uri,ios retrun URL" size: 21993}]
            _this.uploadProcess.fileCount = _this.uploadProcess.fileCount + medias.length;
            medias.forEach(function (item) {
                _this.affix.push(item);
            });
            _this.getThumbnail();
            console.log(medias);
        }, function (e) {
            console.log(e);
        });
    };
    /**
     * 转换缩略图
     */
    ArticleReleasePage.prototype.getThumbnail = function () {
        var _this = this;
        var _loop_1 = function (i) {
            //medias[i].thumbnailQuality=50; (Optional)
            //loadingUI(); //show loading ui
            this_1.affix[i].thumbnailQuality = 100;
            MediaPicker.extractThumbnail(this_1.affix[i], function (data) {
                _this.affix[i].src = 'data:image/jpeg;base64,' + data.thumbnailBase64;
                _this.affix[i].style = 'transform:rotate(' + data.exifRotate + 'deg)';
                _this.cdRef.detectChanges();
            }, function (e) {
                console.log(e);
            });
        };
        var this_1 = this;
        for (var i = 0; i < this.affix.length; i++) {
            _loop_1(i);
        }
    };
    /**
     * Todo 选择上传来源（拍照或文件）
     */
    ArticleReleasePage.prototype.showSource = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '选择',
            buttons: [
                {
                    text: '启用相机进行拍照',
                    handler: function () {
                        _this.startCamera();
                    }
                },
                //Todo 下面这个插件有问题，暂时不用
                // {
                //   text: '从手机相册选择图片',
                //   handler: () => {
                //     this.openImgPicker();
                //   }
                // },
                {
                    text: '从文件中选择',
                    handler: function () {
                        _this.ChooserFile();
                    }
                },
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                }
            ]
        });
        actionSheet.present();
    };
    /**
     *  Todo 启动拍照功能
     */
    ArticleReleasePage.prototype.startCamera = function () {
        // this.camera.getPicture(CameraOpt).then((imageData) => {
        //   let cameraFile = new AffixModel();
        //   let fileInfo = OfficeFunction.fileInfo(imageData);
        //   cameraFile.icon = fileInfo.icon;
        //   cameraFile.fileType = fileInfo.fileType;
        //   cameraFile.filePath = imageData;
        //   cameraFile.fileExt = fileInfo.fileExt;
        //   cameraFile.fileName = fileInfo.fileName;
        //   this.affix.push(cameraFile);
        //
        //   console.log("startCamera-this.affix", this.affix);
        // }, (err) => {
        //   this.nativeService.showToast('ERROR:' + err); //错误：无法使用拍照功能！
        // });
    };
    /**
     *  Todo 启动文件选择功能
     */
    ArticleReleasePage.prototype.ChooserFile = function () {
        // this.fileChooser.open()
        //   .then((uri) => {
        //     console.log(uri);
        //     this.filePath.resolveNativePath(uri)
        //       .then((filePath) => {
        //         console.log(filePath);
        //         if (OfficeFunction.isTrueType(filePath.substr(filePath.lastIndexOf(".") + 1, 3))) {
        //           let chooserFile = new AffixModel();
        //           let fileInfo = OfficeFunction.fileInfo(filePath);
        //           chooserFile.icon = fileInfo.icon;
        //           chooserFile.fileType = fileInfo.fileType;
        //           chooserFile.filePath = filePath;
        //           chooserFile.fileExt = fileInfo.fileExt;
        //           chooserFile.fileName = fileInfo.fileName;
        //           this.affix.push(chooserFile);
        //         } else {
        //           this.nativeService.showToast('请选择Office、PDF和图片类型文件。');
        //         }
        //       })
        //       .catch(err => console.log(err));
        //   })
        //   .catch(e => console.log(e));
    };
    /**
     *  Todo 打开手机相册（有BUG，暂时先不用）
     */
    // private openImgPicker() {
    //   //let temp = '';
    //   this.imagePicker.getPictures(ImagePickerOpt)
    //     .then((results) => {
    //       console.log("getPictures results--", results);
    //       if (results === "OK") {
    //         return;
    //       }
    //       for (let i = 0; i < results.length; i++) {
    //         let imgPickerFile = new AffixModel();
    //         let fileInfo = OfficeFunction.fileInfo(results[i]);
    //         imgPickerFile.icon = fileInfo.icon;
    //         imgPickerFile.fileType = fileInfo.fileType;
    //         imgPickerFile.filePath = results[i];
    //         imgPickerFile.fileExt = fileInfo.fileExt;
    //         imgPickerFile.fileName = fileInfo.fileName;
    //         this.affix.push(imgPickerFile);
    //       }
    //     }, (err) => {
    //       this.nativeService.showToast('ERROR:' + err); //错误：无法从手机相册中选择图片！
    //     });
    // }
    /**
     *Todo 查看附件（暂时不用这个方法）
     */
    // showAffix(affix) {
    //   event.stopPropagation();
    //   if (typeof this.affix.id !== 'undefined') {
    //     this.fileService.openAffix(affix.fileName, BaseArchivesModuleUrl + '/archives/attachment/downFile.action?attId=' + affix.id);
    //   } else {
    //     this.fileService.openLocalAffix(affix.filePath);
    //   }
    // }
    /**
     * Todo 上传附件
     * @param mediationId 附件头信息ID
     */
    ArticleReleasePage.prototype.uploadAffix = function (mediationId) {
        // if (this.affix.length == 0) {
        //   this.events.publish('msg:new-process' + this.archivesProcess);
        //   this.nativeService.showToast('上传成功');
        //   this.navCtrl.pop();
        //   return;
        // }
        // this.showUploading = true;
        // this.uploadProcess.fileCount = this.affix.length;
        // this.uploadProcess.fileIndex = 0;
        // this.uploading = true;
        // console.log('this.affix',this.affix);
        // this.affix.forEach((file) => {
        //   if (file.id == 0) {
        //     let affixInfo = {
        //       'itemId': this.itemId,
        //       'caseDetailStage': this.archivesProcess,
        //       'file': file,
        //       'mediationId': mediationId,
        //     };
        //
        //     this.archivesCaseService.uploadArchivesProcessAffix(affixInfo).subscribe(process => {
        //       console.log('upload process:', this.uploadProcess);
        //       if (process.success) {
        //         this.events.publish('msg:new-process' + this.archivesProcess);
        //         this.uploadProcess.fileIndex++;
        //         if (this.uploadProcess.fileIndex == this.uploadProcess.fileCount) {
        //           this.uploading = false;
        //           this.nativeService.showToast('上传成功');
        //           this.navCtrl.pop();
        //         }
        //       } else {
        //         file.uploadInfo.total = process.total;
        //         file.uploadInfo.uploaded = process.loaded;
        //       }
        //     }, err => {
        //       this.uploading = false;
        //       this.nativeService.showToast('上传失败');
        //     })
        //   } else {
        //     this.uploadProcess.fileIndex++;
        //     if (this.uploadProcess.fileIndex == this.uploadProcess.fileCount) {
        //       this.uploading = false;
        //       this.nativeService.showToast('上传成功');
        //       this.navCtrl.pop();
        //     }
        //   }
        // });
    };
    /**
     * Todo 删除上传文件事件
     * 上传之前先保存列表
     * @param index 文件列表索引
     * @param item 附件条目
     */
    ArticleReleasePage.prototype.deleteAffix = function (index, item) {
        if (item.id !== 0) {
            var confirm_1 = this.alertCtrl.create({
                title: '您确定要删除当前已上传的附件吗?',
                buttons: [
                    {
                        text: '取消',
                        handler: function () {
                        }
                    },
                    {
                        text: '确定',
                        handler: function () {
                            // this.archivesCaseService.deleteAffix(item).subscribe((res: any) => {
                            //   if (res.status === 200) {
                            //     this.affix.splice(index, 1);
                            //     this.nativeService.showToast('删除附件成功!');
                            //   } else {
                            //     this.nativeService.showToast('删除附件失败,请稍后重试或联系管理员');
                            //   }
                            // }, error => {
                            //   this.nativeService.showToast('服务器错误,请联系管理员');
                            // });
                        }
                    }
                ]
            });
            confirm_1.present();
        }
        else {
            this.affix.splice(index, 1);
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_10__components_progress_bar_progress_bar__["a" /* ProgressBarComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_10__components_progress_bar_progress_bar__["a" /* ProgressBarComponent */])
    ], ArticleReleasePage.prototype, "progressBar", void 0);
    ArticleReleasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-article-release',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\home\article-release\article-release.html"*/'<ion-header>\n  <ion-toolbar>\n    <button ion-button clear (click)="onClickCancel()" class="font-16">\n      取消\n    </button>\n    <ion-buttons end>\n      <button ion-button (click)="onClickRelease()" class="font-16" [disabled]="!validateForm.valid || showUploading">\n        发布\n      </button>\n    </ion-buttons>\n  </ion-toolbar>\n</ion-header>\n\n\n<ion-content>\n\n  <form [formGroup]="validateForm" (ngSubmit)="upload()">\n    <ion-grid>\n      <ion-row>\n        <ion-col>\n          <ion-list>\n            <ion-item>\n              <ion-textarea rows="4" formControlName="description" placeholder="分享新鲜事"></ion-textarea>\n            </ion-item>\n          </ion-list>\n\n          <ion-list>\n            <ion-card no-padding class="card-pic">\n              <ion-row>\n                <ion-col *ngFor="let img of affix" col-3>\n                  <img [src]="img.src" class="pic"/>\n                </ion-col>\n                <ion-col col-3>\n                  <img [src]="imgUpload" (click)="selectUploadSource()" *ngIf="!showUploading && uploadProcess.fileCount!=10"/>\n                </ion-col>\n              </ion-row>\n              <ion-row>\n                <ion-col>\n                  <progress-bar [total]="100" [amount]="uploadProcess.percent" [style.display]="showUploading?\'block\':\'none\'"></progress-bar>\n                </ion-col>\n              </ion-row>\n            </ion-card>\n          </ion-list>\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </form>\n\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\home\article-release\article-release.html"*/,
            changeDetection: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectionStrategy"].OnPush
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_file_chooser__["a" /* FileChooser */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_path__["a" /* FilePath */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */],
            __WEBPACK_IMPORTED_MODULE_7__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_8__providers_home_service__["a" /* HomeService */],
            __WEBPACK_IMPORTED_MODULE_9__providers_show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]])
    ], ArticleReleasePage);
    return ArticleReleasePage;
}());

//# sourceMappingURL=article-release.js.map

/***/ }),

/***/ 999:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ArticleReleaseModule", function() { return ArticleReleaseModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__article_release__ = __webpack_require__(1339);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_progress_bar_progress_bar_module__ = __webpack_require__(1126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_path__ = __webpack_require__(1125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_chooser__ = __webpack_require__(1124);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__ = __webpack_require__(1092);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_home_service__ = __webpack_require__(61);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









var ArticleReleaseModule = /** @class */ (function () {
    function ArticleReleaseModule() {
    }
    ArticleReleaseModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__article_release__["a" /* ArticleReleasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_progress_bar_progress_bar_module__["a" /* ProgressBarModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__article_release__["a" /* ArticleReleasePage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_file_chooser__["a" /* FileChooser */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_path__["a" /* FilePath */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_8__providers_home_service__["a" /* HomeService */],
            ]
        })
    ], ArticleReleaseModule);
    return ArticleReleaseModule;
}());

//# sourceMappingURL=article-release.module.js.map

/***/ })

});
//# sourceMappingURL=18.js.map