webpackJsonp([20],{

/***/ 1090:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ThirdPartyAccountService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__ = __webpack_require__(1091);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * 第三方账号登录、绑定服务
 */
var ThirdPartyAccountService = /** @class */ (function () {
    function ThirdPartyAccountService(http, pluginHttp, nativeService) {
        this.http = http;
        this.pluginHttp = pluginHttp;
        this.nativeService = nativeService;
    }
    /**
     * 获取微信用户的临时票据code
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeChatCode = function () {
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            Wechat.isInstalled(function (installed) {
                if (installed) {
                    var scope = "snsapi_userinfo";
                    var state = "_" + (+new Date());
                    Wechat.auth(scope, state, function (response) {
                        if (response.hasOwnProperty("code")) {
                            observer.next({ status: 200, code: response.code });
                            observer.complete();
                        }
                        else {
                            observer.next({ status: 403 });
                            observer.complete();
                        }
                    }, function (reason) {
                        observer.next({ status: 403 });
                        observer.complete();
                    });
                }
                else {
                    observer.next({ status: 404 });
                    observer.complete();
                }
            }, function (reason) {
                observer.next({ status: 501 });
                observer.complete();
            });
        });
    };
    /**
     * 通过微信临时票据code获取用户登录信息
     * @param code
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeChatUserInfo = function (code) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post("/rest/api/weixin/getMobileTokenByCode", {}, { params: { code: code } }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * status 0: 微博未安装 1：微博已安装 2: 授权失败 3: 获取用户基础信息失败
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.getWeiBoCode = function () {
        var self = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            WeiboSDK.checkClientInstalled(function () {
                WeiboSDK.ssoLogin(function (args) {
                    var userId = args.userId;
                    var accessToken = args.access_token;
                    var url = 'https://api.weibo.com/2/users/show.json?uid=' + userId + '&&access_token=' + accessToken;
                    // 获取微博用户基本信息
                    self.pluginHttp.get(url, {}, {})
                        .then(function (value) {
                        if (value.status == 200) {
                            var data = value.data;
                            data = JSON.parse(data);
                            var params = {
                                uid: userId,
                                screenName: data["screen_name"],
                                iconPath: data["avatar_large"]
                            };
                            self.nativeService.showLoading("正在登录...");
                            // 保存微博用户基本信息
                            self.http.post("/rest/api/sina/save", null, { params: params }).subscribe(function (value) {
                                self.nativeService.hideLoading();
                                var res = { status: 500 };
                                if (value.status == 200) {
                                    res = self.thirdPartyIsBindingAccount(value, 1);
                                }
                                observer.next(res);
                                observer.complete();
                            });
                        }
                    })
                        .catch(function (error) {
                        observer.next({ status: 3 });
                        observer.complete();
                    });
                }, function (failReason) {
                    if (failReason == "chancel by user") {
                    }
                    observer.next({ status: 2 });
                    observer.complete();
                });
            }, function () {
                observer.next({ status: 0 });
                observer.complete();
            });
        });
    };
    /**
     * 判断第三方账号是否绑定app账号
     * @param value
     * @param accountType
     * @returns {any}
     */
    ThirdPartyAccountService.prototype.thirdPartyIsBindingAccount = function (value, accountType) {
        var res = value.result[0];
        res["isExist"] = false;
        res["status"] = 200;
        res["accountType"] = accountType;
        if (res.hasOwnProperty("a_st")) {
            res["isExist"] = true;
        }
        else {
            if (accountType == 1) {
                res["unionid"] = res.uid;
            }
        }
        return res;
    };
    /**
     * 第三方账号绑定app账号
     * @param userName
     * @param password
     * @param {string} thirdPartyUniqueId
     * @param {string} thirdPartyType
     */
    ThirdPartyAccountService.prototype.bindingAccount = function (userInfo) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            var params = {
                "loginName": userInfo.userName,
                "password": userInfo.password,
                "uniqueId": userInfo.uid,
                "thirdType": userInfo.thirdType
            };
            _this.http.post("/rest/api/user/bindExistAccount", null, { params: params }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * 绑定第三方账号
     * @param uniqueId
     * @param thirdType
     * @returns {Observable<any>}
     */
    ThirdPartyAccountService.prototype.bindThirdPartyAccount = function (uniqueId, thirdType) {
        var _this = this;
        var params = {
            uniqueId: uniqueId,
            thirdType: thirdType
        };
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post("/rest/api/user/bindUniqueIdAlreadyLogin", null, { params: params }).subscribe(function (value) {
                var data = value.result[0];
                data["status"] = value.status;
                observer.next(data);
                observer.complete();
            });
        });
    };
    ThirdPartyAccountService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__["a" /* HTTP */],
            __WEBPACK_IMPORTED_MODULE_4__native_service__["a" /* NativeService */]])
    ], ThirdPartyAccountService);
    return ThirdPartyAccountService;
}());

//# sourceMappingURL=third-party-account.service.js.map

/***/ }),

/***/ 1091:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HTTP; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_core__ = __webpack_require__(28);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * @name HTTP
 * @description
 * Cordova / Phonegap plugin for communicating with HTTP servers. Supports iOS and Android.
 *
 * Advantages over Javascript requests:
 * - Background threading - all requests are done in a background thread
 * - SSL Pinning
 *
 * @usage
 * ```typescript
 * import { HTTP } from '@ionic-native/http';
 *
 * constructor(private http: HTTP) {}
 *
 * ...
 *
 * this.http.get('http://ionic.io', {}, {})
 *   .then(data => {
 *
 *     console.log(data.status);
 *     console.log(data.data); // data received by server
 *     console.log(data.headers);
 *
 *   })
 *   .catch(error => {
 *
 *     console.log(error.status);
 *     console.log(error.error); // error message as string
 *     console.log(error.headers);
 *
 *   });
 *
 * ```
 * @interfaces
 * HTTPResponse
 */
var HTTP = (function (_super) {
    __extends(HTTP, _super);
    function HTTP() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * This returns an object representing a basic HTTP Authorization header of the form.
     * @param username {string} Username
     * @param password {string} Password
     * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
     */
    /**
       * This returns an object representing a basic HTTP Authorization header of the form.
       * @param username {string} Username
       * @param password {string} Password
       * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
       */
    HTTP.prototype.getBasicAuthHeader = /**
       * This returns an object representing a basic HTTP Authorization header of the form.
       * @param username {string} Username
       * @param password {string} Password
       * @returns {Object} an object representing a basic HTTP Authorization header of the form {'Authorization': 'Basic base64EncodedUsernameAndPassword'}
       */
    function (username, password) {
        return;
    };
    /**
     * This sets up all future requests to use Basic HTTP authentication with the given username and password.
     * @param username {string} Username
     * @param password {string} Password
     */
    /**
       * This sets up all future requests to use Basic HTTP authentication with the given username and password.
       * @param username {string} Username
       * @param password {string} Password
       */
    HTTP.prototype.useBasicAuth = /**
       * This sets up all future requests to use Basic HTTP authentication with the given username and password.
       * @param username {string} Username
       * @param password {string} Password
       */
    function (username, password) { };
    /**
     * Get all headers defined for a given hostname.
     * @param host {string} The hostname
     * @returns {string} return all headers defined for the hostname
     */
    /**
       * Get all headers defined for a given hostname.
       * @param host {string} The hostname
       * @returns {string} return all headers defined for the hostname
       */
    HTTP.prototype.getHeaders = /**
       * Get all headers defined for a given hostname.
       * @param host {string} The hostname
       * @returns {string} return all headers defined for the hostname
       */
    function (host) {
        return;
    };
    /**
     * Set a header for all future requests. Takes a hostname, a header and a value.
     * @param host {string} The hostname to be used for scoping this header
     * @param header {string} The name of the header
     * @param value {string} The value of the header
     */
    /**
       * Set a header for all future requests. Takes a hostname, a header and a value.
       * @param host {string} The hostname to be used for scoping this header
       * @param header {string} The name of the header
       * @param value {string} The value of the header
       */
    HTTP.prototype.setHeader = /**
       * Set a header for all future requests. Takes a hostname, a header and a value.
       * @param host {string} The hostname to be used for scoping this header
       * @param header {string} The name of the header
       * @param value {string} The value of the header
       */
    function (host, header, value) { };
    /**
     * Get the name of the data serializer which will be used for all future POST and PUT requests.
     * @returns {string} returns the name of the configured data serializer
     */
    /**
       * Get the name of the data serializer which will be used for all future POST and PUT requests.
       * @returns {string} returns the name of the configured data serializer
       */
    HTTP.prototype.getDataSerializer = /**
       * Get the name of the data serializer which will be used for all future POST and PUT requests.
       * @returns {string} returns the name of the configured data serializer
       */
    function () {
        return;
    };
    /**
     * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
     * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
     */
    /**
       * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
       * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
       */
    HTTP.prototype.setDataSerializer = /**
       * Set the data serializer which will be used for all future POST and PUT requests. Takes a string representing the name of the serializer.
       * @param serializer {string} The name of the serializer. Can be urlencoded, utf8 or json
       */
    function (serializer) { };
    /**
     * Add a custom cookie.
     * @param url {string} Scope of the cookie
     * @param cookie {string} RFC compliant cookie string
     */
    /**
       * Add a custom cookie.
       * @param url {string} Scope of the cookie
       * @param cookie {string} RFC compliant cookie string
       */
    HTTP.prototype.setCookie = /**
       * Add a custom cookie.
       * @param url {string} Scope of the cookie
       * @param cookie {string} RFC compliant cookie string
       */
    function (url, cookie) { };
    /**
     * Clear all cookies.
     */
    /**
       * Clear all cookies.
       */
    HTTP.prototype.clearCookies = /**
       * Clear all cookies.
       */
    function () { };
    /**
     * Remove cookies for given URL.
     * @param url {string}
     * @param cb
     */
    /**
       * Remove cookies for given URL.
       * @param url {string}
       * @param cb
       */
    HTTP.prototype.removeCookies = /**
       * Remove cookies for given URL.
       * @param url {string}
       * @param cb
       */
    function (url, cb) { };
    /**
     * Resolve cookie string for given URL.
     * @param url {string}
     */
    /**
       * Resolve cookie string for given URL.
       * @param url {string}
       */
    HTTP.prototype.getCookieString = /**
       * Resolve cookie string for given URL.
       * @param url {string}
       */
    function (url) {
        return;
    };
    /**
     * Get global request timeout value in seconds.
     * @returns {number} returns the global request timeout value
     */
    /**
       * Get global request timeout value in seconds.
       * @returns {number} returns the global request timeout value
       */
    HTTP.prototype.getRequestTimeout = /**
       * Get global request timeout value in seconds.
       * @returns {number} returns the global request timeout value
       */
    function () {
        return;
    };
    /**
     * Set global request timeout value in seconds.
     * @param timeout {number} The timeout in seconds. Default 60
     */
    /**
       * Set global request timeout value in seconds.
       * @param timeout {number} The timeout in seconds. Default 60
       */
    HTTP.prototype.setRequestTimeout = /**
       * Set global request timeout value in seconds.
       * @param timeout {number} The timeout in seconds. Default 60
       */
    function (timeout) { };
    /**
     * Set SSL Cert handling mode, being one of the following values
     * default: default SSL cert handling using system's CA certs
     * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
     * pinned: trust only provided certs
     * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
     * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
     */
    /**
       * Set SSL Cert handling mode, being one of the following values
       * default: default SSL cert handling using system's CA certs
       * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
       * pinned: trust only provided certs
       * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
       * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
       */
    HTTP.prototype.setSSLCertMode = /**
       * Set SSL Cert handling mode, being one of the following values
       * default: default SSL cert handling using system's CA certs
       * nocheck: disable SSL cert checking, trusting all certs (meant to be used only for testing purposes)
       * pinned: trust only provided certs
       * @see https://github.com/silkimen/cordova-plugin-advanced-http#setsslcertmode
       * @param {'default' | 'nocheck' | 'pinned'} mode SSL Cert handling mode
       */
    function (mode) {
        return;
    };
    /**
     * Disable following redirects automatically.
     * @param disable {boolean} Set to true to disable following redirects automatically
     * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
     */
    /**
       * Disable following redirects automatically.
       * @param disable {boolean} Set to true to disable following redirects automatically
       * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
       */
    HTTP.prototype.disableRedirect = /**
       * Disable following redirects automatically.
       * @param disable {boolean} Set to true to disable following redirects automatically
       * @returns {Promise<void>} returns a promise that will resolve on success, and reject on failure
       */
    function (disable) {
        return;
    };
    /**
     * Make a POST request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a POST request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.post = /**
       * Make a POST request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a GET request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a GET request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.get = /**
       * Make a GET request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     * Make a PUT request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a PUT request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.put = /**
       * Make a PUT request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a PATCH request
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a PATCH request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.patch = /**
       * Make a PATCH request
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, body, headers) {
        return;
    };
    /**
     * Make a DELETE request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a DELETE request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.delete = /**
       * Make a DELETE request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     * Make a HEAD request
     * @param url {string} The url to send the request to
     * @param parameters {Object} Parameters to send with the request
     * @param headers {Object} The headers to set for this request
     * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
     */
    /**
       * Make a HEAD request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    HTTP.prototype.head = /**
       * Make a HEAD request
       * @param url {string} The url to send the request to
       * @param parameters {Object} Parameters to send with the request
       * @param headers {Object} The headers to set for this request
       * @returns {Promise<HTTPResponse>} returns a promise that resolve on success, and reject on failure
       */
    function (url, parameters, headers) {
        return;
    };
    /**
     *
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @param filePath {string} The local path of the file to upload
     * @param name {string} The name of the parameter to pass the file along as
     * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
     */
    /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The local path of the file to upload
       * @param name {string} The name of the parameter to pass the file along as
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    HTTP.prototype.uploadFile = /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The local path of the file to upload
       * @param name {string} The name of the parameter to pass the file along as
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    function (url, body, headers, filePath, name) {
        return;
    };
    /**
     *
     * @param url {string} The url to send the request to
     * @param body {Object} The body of the request
     * @param headers {Object} The headers to set for this request
     * @param filePath {string} The path to download the file to, including the file name.
     * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
     */
    /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The path to download the file to, including the file name.
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    HTTP.prototype.downloadFile = /**
       *
       * @param url {string} The url to send the request to
       * @param body {Object} The body of the request
       * @param headers {Object} The headers to set for this request
       * @param filePath {string} The path to download the file to, including the file name.
       * @returns {Promise<any>} returns a FileEntry promise that resolve on success, and reject on failure
       */
    function (url, body, headers, filePath) {
        return;
    };
    HTTP.decorators = [
        { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
    ];
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", Object)
    ], HTTP.prototype, "getBasicAuthHeader", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "useBasicAuth", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getHeaders", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setHeader", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getDataSerializer", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setDataSerializer", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, String]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setCookie", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "clearCookies", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Function]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "removeCookies", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", String)
    ], HTTP.prototype, "getCookieString", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Number)
    ], HTTP.prototype, "getRequestTimeout", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])({ sync: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Number]),
        __metadata("design:returntype", void 0)
    ], HTTP.prototype, "setRequestTimeout", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "setSSLCertMode", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Boolean]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "disableRedirect", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "post", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "get", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "put", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "patch", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "delete", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "head", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object, String, String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "uploadFile", null);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["a" /* Cordova */])(),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [String, Object, Object, String]),
        __metadata("design:returntype", Promise)
    ], HTTP.prototype, "downloadFile", null);
    /**
     * @name HTTP
     * @description
     * Cordova / Phonegap plugin for communicating with HTTP servers. Supports iOS and Android.
     *
     * Advantages over Javascript requests:
     * - Background threading - all requests are done in a background thread
     * - SSL Pinning
     *
     * @usage
     * ```typescript
     * import { HTTP } from '@ionic-native/http';
     *
     * constructor(private http: HTTP) {}
     *
     * ...
     *
     * this.http.get('http://ionic.io', {}, {})
     *   .then(data => {
     *
     *     console.log(data.status);
     *     console.log(data.data); // data received by server
     *     console.log(data.headers);
     *
     *   })
     *   .catch(error => {
     *
     *     console.log(error.status);
     *     console.log(error.error); // error message as string
     *     console.log(error.headers);
     *
     *   });
     *
     * ```
     * @interfaces
     * HTTPResponse
     */
    HTTP = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["h" /* Plugin */])({
            pluginName: 'HTTP',
            plugin: 'cordova-plugin-advanced-http',
            pluginRef: 'cordova.plugin.http',
            repo: 'https://github.com/silkimen/cordova-plugin-advanced-http',
            platforms: ['Android', 'iOS']
        })
    ], HTTP);
    return HTTP;
}(__WEBPACK_IMPORTED_MODULE_1__ionic_native_core__["g" /* IonicNativePlugin */]));

//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1224:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountRegisterService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
* @author huangweicai
* @date 2019/8/12
* @description 注册、绑定等服务提供商
*/
var AccountRegisterService = /** @class */ (function () {
    function AccountRegisterService(http) {
        this.http = http;
    }
    /**
     * 用户注册信息
     */
    AccountRegisterService.prototype.saveUserInfo = function (formValue) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.post("/rest/api/user/registerBySmsCode", null, { params: formValue }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * 获取验证码
     * @returns {Observable<any>}
     */
    AccountRegisterService.prototype.getVerifyCode = function (mobile) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].create(function (observer) {
            _this.http.get("/rest/api/sms/getCode", { params: { mobile: mobile } }).subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    AccountRegisterService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */]])
    ], AccountRegisterService);
    return AccountRegisterService;
}());

//# sourceMappingURL=account-register.service.js.map

/***/ }),

/***/ 1337:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountRegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__AccountRegister__ = __webpack_require__(1338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_account_register_service__ = __webpack_require__(1224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_third_party_account_service__ = __webpack_require__(1090);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AccountRegisterPage = /** @class */ (function () {
    function AccountRegisterPage(navParams, navCtrl, platform, alertCtrl, viewCtrl, nativeService, accountRegisterService, thirdPartyAccountService) {
        var _this = this;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.platform = platform;
        this.alertCtrl = alertCtrl;
        this.viewCtrl = viewCtrl;
        this.nativeService = nativeService;
        this.accountRegisterService = accountRegisterService;
        this.thirdPartyAccountService = thirdPartyAccountService;
        this.lastVerifyCode = ''; //手机号没改过之前最后输入的验证码
        this.lastPhone = ''; //手机号没改过之前记录
        this.verifyCode = {
            verifyName: "获取验证码",
            verifyTime: 0,
            disabled: false
        };
        this.arrivalTime = null;
        this.action = 0; // 0：注册 1：绑定
        this.accountRegister = new __WEBPACK_IMPORTED_MODULE_2__AccountRegister__["a" /* AccountRegister */]();
        var data = navParams.data;
        this.action = data.action;
        this.accountRegister.thirdType = data.accountType;
        if (data.accountType != 4) {
            this.accountRegister.uid = data.uniqueId;
        }
        this.backButtonFunction = this.platform.registerBackButtonAction(function () {
            _this.backButtonFunction();
            _this.viewCtrl.dismiss();
        }, 0);
    }
    /**
     * 单选框选择功能
     * @param event
     */
    AccountRegisterPage.prototype.selectedRadio = function (event) {
        this.accountRegister.sex = event;
    };
    AccountRegisterPage.prototype.onSubmit = function () {
        var _this = this;
        if (this.action == 1) {
            this.nativeService.showLoading("绑定中...");
            this.thirdPartyAccountService.bindingAccount(this.accountRegister).subscribe(function (value) {
                _this.nativeService.hideLoading();
                if (value.status == 200) {
                    _this.backBeforeHandle("绑定成功！", value.result[0]);
                }
                else if (value.status == 531 || value.status == 530) {
                    _this.nativeService.alert("绑定失败，账号或密码错误！");
                }
                else {
                    _this.nativeService.alert(value.message);
                }
            });
        }
        else {
            if (this.lastPhone != this.accountRegister.userName) {
                this.nativeService.alert("验证码与注册手机号不匹配！");
                return false;
            }
            this.nativeService.showLoading("正在注册中...");
            if (this.accountRegister.thirdType == 4) {
                delete this.accountRegister.thirdType;
            }
            this.accountRegister.mobile = this.accountRegister.userName;
            this.accountRegisterService.saveUserInfo(this.accountRegister).subscribe(function (value) {
                _this.nativeService.hideLoading();
                if (value.status == 200) {
                    var data = value.result[0];
                    _this.backBeforeHandle("注册成功！", data);
                }
                else if (value.status == 222) {
                    _this.nativeService.alert("该手机号已注册，请直接登录系统！");
                }
                else {
                    _this.nativeService.alert(value.message);
                }
            });
        }
    };
    AccountRegisterPage.prototype.backBeforeHandle = function (message, data) {
        var _this = this;
        this.alertCtrl.create({
            message: message,
            enableBackdropDismiss: true,
            buttons: [
                {
                    text: '确定',
                    handler: function () {
                        _this.backButtonFunction();
                        _this.viewCtrl.dismiss(data);
                    }
                }
            ]
        }).present();
    };
    /**
     * 获取验证码功能
     */
    AccountRegisterPage.prototype.getVerifyCode = function () {
        var _this = this;
        var patternStr = /^[1][3,4,5,7,8][0-9]{9}$/;
        if (!patternStr.test(this.accountRegister.userName)) {
            this.nativeService.alert("请输入正确手机号");
            return false;
        }
        this.nativeService.showLoading("验证码发送中...");
        this.accountRegisterService.getVerifyCode(this.accountRegister.userName).subscribe(function (value) {
            _this.nativeService.hideLoading();
            if (value.status == 200) {
                _this.nativeService.alert("发送成功，请输入验证码！");
                _this.verifyCode.verifyTime = 90;
                _this.verifyCode.disabled = true;
                _this.verifyCodeArrivalTime();
                _this.lastPhone = _this.accountRegister.userName;
            }
            else if (value.status == 555) {
                _this.nativeService.alert("重复发送!");
            }
            else {
                _this.nativeService.alert(value.message);
            }
        });
    };
    AccountRegisterPage.prototype.resetVerifyCode = function () {
        console.log("resetVerifyCode");
        this.accountRegister.smsCode = '';
    };
    /**
     * 验证码倒计时功能
     */
    AccountRegisterPage.prototype.verifyCodeArrivalTime = function () {
        var _this = this;
        this.arrivalTime = setInterval(function () {
            if (_this.verifyCode.verifyTime != 0) {
                _this.verifyCode.verifyTime = _this.verifyCode.verifyTime - 1;
                _this.verifyCode.verifyName = "\u91CD\u65B0\u83B7\u53D6(" + _this.verifyCode.verifyTime + ")";
            }
            else {
                _this.verifyCode.verifyName = "重新获取";
                _this.verifyCode.disabled = false;
                clearInterval(_this.arrivalTime);
            }
        }, 1000);
    };
    AccountRegisterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'account-register',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\account-register\account-register.html"*/'<ion-header>\n  <ion-toolbar color="primary">\n    <ion-title *ngIf="action == 1">绑定账号</ion-title>\n    <ion-title *ngIf="action == 0">注册账号</ion-title>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content>\n\n  <div class="form-width">\n    <form #accountForm="ngForm" (ngSubmit)="onSubmit()">\n      <ion-list>\n        <ion-item>\n          <input class="new-input" type="text" placeholder="请输手机号码" name="userName" autocomplete="off"\n                 pattern="^[1][3,4,5,7,8][0-9]{9}$" [ngModelOptions]="{updateOn: \'blur\'}"\n                 [(ngModel)]="accountRegister.userName" #loginName="ngModel" required\n                 (change)="resetVerifyCode()">\n        </ion-item>\n        <div *ngIf="loginName.invalid && (loginName.dirty || loginName.touched)" class="verify-div">\n          <div *ngIf="loginName.errors.required">\n            必填\n          </div>\n          <div *ngIf="loginName.errors.pattern">\n            请输入正确的手机号\n          </div>\n        </div>\n        <ion-item>\n          <input class="new-input" type="password" placeholder="请输入密码" name="password" autocomplete="off"\n                 [ngModelOptions]="{updateOn: \'blur\'}" [(ngModel)]="accountRegister.password"\n                 #password="ngModel" required>\n        </ion-item>\n        <div *ngIf="password.invalid && (password.dirty || password.touched)" class="verify-div">\n          <div *ngIf="password.errors.required">\n            必填\n          </div>\n        </div>\n        <div *ngIf="action == 0">\n          <ion-item>\n            <input class="new-input" type="text" placeholder="请输入昵称" name="screenName" autocomplete="off"\n                   [ngModelOptions]="{updateOn: \'blur\'}"\n                   [(ngModel)]="accountRegister.screenName" #screenName="ngModel" required>\n          </ion-item>\n          <div *ngIf="screenName.invalid && (screenName.dirty || screenName.touched)" class="verify-div">\n            <div *ngIf="screenName.errors.required">\n              必填\n            </div>\n          </div>\n          <ion-item>\n            <ion-label fixed style="color: #757575;">\n              性别\n            </ion-label>\n            <div item-content radio-group class="radio-sex" (ionChange)="selectedRadio($event)">\n              <ion-item>\n                <ion-label>男</ion-label>\n                <ion-radio value="1" checked></ion-radio>\n              </ion-item>\n              <ion-item>\n                <ion-label>女</ion-label>\n                <ion-radio value="0"></ion-radio>\n              </ion-item>\n            </div>\n          </ion-item>\n        </div>\n        <ion-item>\n          <input class="new-input input-width" type="text" placeholder="请输入验证码" name="smsCode" autocomplete="off"\n                 [(ngModel)]="accountRegister.smsCode" #smsCode="ngModel" required>\n          <button ion-button type="button" class="check-button" [disabled]="verifyCode.disabled"\n                  (click)="getVerifyCode()">\n            {{verifyCode.verifyName}}\n          </button>\n        </ion-item>\n        <div [hidden]="smsCode.valid || smsCode.pristine" class="verify-div">\n          必填\n        </div>\n      </ion-list>\n      <button ion-button full class="submit-button" type="submit" [disabled]="!accountForm.form.valid">保 存</button>\n    </form>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\account-register\account-register.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_account_register_service__["a" /* AccountRegisterService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_third_party_account_service__["a" /* ThirdPartyAccountService */]])
    ], AccountRegisterPage);
    return AccountRegisterPage;
}());

//# sourceMappingURL=account-register.js.map

/***/ }),

/***/ 1338:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountRegister; });
var AccountRegister = /** @class */ (function () {
    function AccountRegister() {
        this.userName = ""; // 用户登录名
        this.password = ""; // 密码
        this.mobile = ""; // 手机号
        this.screenName = ""; // 昵称
        this.sex = 1; // 性别 0：女 1：男
        this.thirdType = 4; // 账号类型 1微博 2微信 3微信小程序 4：app
    }
    return AccountRegister;
}());

//# sourceMappingURL=AccountRegister.js.map

/***/ }),

/***/ 998:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccountRegisterModule", function() { return AccountRegisterModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__account_register__ = __webpack_require__(1337);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_account_register_service__ = __webpack_require__(1224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_third_party_account_service__ = __webpack_require__(1090);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_http__ = __webpack_require__(1091);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






var AccountRegisterModule = /** @class */ (function () {
    function AccountRegisterModule() {
    }
    AccountRegisterModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__account_register__["a" /* AccountRegisterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__account_register__["a" /* AccountRegisterPage */]),
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_http__["a" /* HTTP */],
                __WEBPACK_IMPORTED_MODULE_3__providers_account_register_service__["a" /* AccountRegisterService */],
                __WEBPACK_IMPORTED_MODULE_4__providers_third_party_account_service__["a" /* ThirdPartyAccountService */]
            ]
        })
    ], AccountRegisterModule);
    return AccountRegisterModule;
}());

//# sourceMappingURL=account-register.module.js.map

/***/ })

});
//# sourceMappingURL=20.js.map