webpackJsonp([51],{

/***/ 120:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export ExtensionName */
/* unused harmony export CommonFunction */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return Tict; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CommonExam; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_moment__);

/**
 * 通用函数类
 * @author Chile
 * @createAt 2019-02-10
 */
var ExtensionName = ["rtf", "doc", "docx", "xls", "xlsx", "ppt", "pptx", "pdf", "jpg", "jpe", "jpeg", "png", "bmp", "tif", "tiff", "xps", "cbz", "jfif", "jfif-tbnl", "gif"];
var CommonFunction = /** @class */ (function () {
    function CommonFunction() {
    }
    CommonFunction.isTrueType = function (type) {
        var types = ["rtf", "doc", "docx", "xls", "xlsx", "ppt", "pptx", "pdf", "jpg", "jpe", "jpeg", "png", "bmp", "tif", "tiff", "xps", "cbz", "jfif", "jfif-tbnl", "gif"];
        if (type != null || type != "undefined" || type != undefined) {
            for (var i = 0, len = types.length; i < len; i++) {
                if (type.toLowerCase() == types[i]) {
                    return true;
                }
            }
            return false;
        }
    };
    /**
     * 判断是否为office格式的文档
     */
    CommonFunction.isOfficeType = function (type) {
        var types = ["doc", "docx", "xls", "xlsx", "ppt", "pptx"];
        if (type != null && type != "undefined" && type != undefined) {
            for (var i = 0, len = types.length; i < len; i++) {
                if (type.toLowerCase() == types[i]) {
                    return true;
                }
            }
            return false;
        }
    };
    /**
     * 根据后缀名判断是否为图片
     *
     */
    CommonFunction.isImageType = function (type) {
        var types = ["jpg", "png", "tiff", "bmp", "gif", "tif"];
        if (type != null && type != "undefined" && type != undefined) {
            for (var i = 0, len = types.length; i < len; i++) {
                if (type.toLowerCase() == types[i]) {
                    return true;
                }
            }
            return false;
        }
    };
    /**
     *  判断文件类型
     *  @param filePath 文件完整路径
     *  @return 返回图标和文件类型名称
     */
    CommonFunction.fileInfo = function (filePath) {
        var fileExt = filePath.substr(filePath.lastIndexOf(".") + 1, 3);
        var tmp = filePath.split("/"); //按照"/"分割
        var fileName = tmp[tmp.length - 1]; //获取最后一部分，即文件名和参数
        var info = {
            'icon': 'detailFile',
            'fileType': 'file',
            'fileName': fileName,
            'fileExt': fileExt
        };
        if (fileExt === "doc" || fileExt === "docx") {
            info = {
                'icon': 'detailWordColor',
                'fileType': 'word',
                'fileName': fileName,
                'fileExt': fileExt
            };
        }
        else if (fileExt === "xls" || fileExt === "xlsx") {
            info = {
                'icon': 'detailExcelColor',
                'fileType': 'excel',
                'fileName': fileName,
                'fileExt': fileExt
            };
        }
        else if (fileExt === "ppt" || fileExt === "pptx") {
            info = {
                'icon': 'detailPPTColor',
                'fileType': 'ppt',
                'fileName': fileName,
                'fileExt': fileExt
            };
        }
        else if (fileExt === "pdf" || fileExt === "pdf") {
            info = {
                'icon': 'detailPDFColor',
                'fileType': 'pdf',
                'fileName': fileName,
                'fileExt': fileExt
            };
        }
        else if (CommonFunction.isImageType(fileExt)) {
            info = {
                'icon': 'detailPICColor',
                'fileType': 'image',
                'fileName': fileName,
                'fileExt': fileExt
            };
        }
        return info;
    };
    //格式化文件大小，以合适的单位显示
    CommonFunction.formatFileSize = function (size) {
        if (size == undefined) {
            return "";
        }
        if (size > 1024 * 1024) {
            var tmp = size / (1024 * 1024);
            if (tmp - Math.floor(tmp) < 0.1) {
                return Math.floor(tmp) + "MB";
            }
            else {
                return tmp.toFixed(2) + "MB";
            }
        }
        else if (size > 1024) {
            var tmp = size / 1024;
            if (tmp - Math.floor(tmp) < 0.1) {
                return Math.floor(tmp) + "KB";
            }
            else {
                return tmp.toFixed(2) + "KB";
            }
        }
        else {
            return size + "B";
        }
    };
    CommonFunction.encodejson = function (toencode) {
        var result = {};
        for (var key in toencode) {
            var value = toencode[key] + "";
            value = this.epencode(value);
            var code = "result." + key + "='" + value + "'";
            eval(code);
        }
        return result;
    };
    CommonFunction.epencode = function (str) {
        //let result = "[[";
        var result = "%5B%5B";
        for (var i = 0; i < str.length; i++) {
            var ch = str.charCodeAt(i);
            ch = ch.toString(16);
            while (ch.length < 4) {
                ch = "0" + ch;
            }
            result += ch;
        }
        result += "%5D%5D";
        return result;
    };
    CommonFunction.fileNameReplace = function (str) {
        var s = str;
        s = s.replace("/", "");
        s = s.replace("\\", "");
        s = s.replace(":", "");
        s = s.replace("*", "");
        s = s.replace("<", "");
        s = s.replace(">", "");
        s = s.replace("|", "");
        s = s.replace("？", "");
        return s;
    };
    /**
     * 计算两个时间差
     * @param startTime 开始时间
     * @param endTime 结束时间
     */
    CommonFunction.diffTime = function (startTime, endTime) {
        var result = 0;
        var startTimestamp = new Date(startTime).getTime();
        var endTimestamp = new Date(endTime).getTime();
        result = endTimestamp - startTimestamp;
        return result / 1000;
    };
    return CommonFunction;
}());

//倒计时
var Tict = /** @class */ (function () {
    function Tict() {
        this.ticts = [];
    }
    Tict.prototype.createTicts = function (id, dealline) {
        var time = __WEBPACK_IMPORTED_MODULE_0_moment__(dealline).diff(__WEBPACK_IMPORTED_MODULE_0_moment__());
        var self = this;
        if (typeof self.ticts[id] == 'undefined') {
            self.ticts[id] = {
                dealine: dealline,
                id: id,
                time: time,
                interval: setInterval(function () {
                    //js默认时间戳为毫秒,需要转化成秒
                    var t = self.ticts[id].time / 1000;
                    var d = Math.floor(t / (24 * 3600));
                    var h = Math.floor((t - 24 * 3600 * d) / 3600);
                    var m = Math.floor((t - 24 * 3600 * d - h * 3600) / 60);
                    var s = Math.floor((t - 24 * 3600 * d - h * 3600 - m * 60));
                    //这里可以做一个格式化的处理,甚至做毫秒级的页面渲染,基于DOM操作,太多个倒计时一起会导致页面性能下降
                    document.getElementById(id).innerHTML = '剩余时间：' + d + '天' + h + '小时' + m + '分钟' + s + '秒';
                    self.ticts[id].time -= 1000;
                    if (self.ticts[id].time < 0) {
                        document.getElementById(id).innerHTML = '超时';
                        self.deleteTicts(id); //判断是否到期,到期后自动删除定时器
                    }
                }, 1000)
            };
        }
    };
    ;
    Tict.prototype.deleteTicts = function (id) {
        clearInterval(this.ticts[id].interval); //清楚定时器的方法,需要定时器的指针作为参数传入clearInterval
        delete this.ticts[id]; //通过delete的方法删除对象中的属性
    };
    ;
    Tict.timeAgo = function (dateTimeInfo) {
        var dateTimeSamp = 0; //dateTimeInfo也可以是一个标准时间。
        if (typeof dateTimeInfo === 'string') {
            dateTimeSamp = Date.parse(dateTimeInfo);
        }
        else {
            dateTimeSamp = dateTimeInfo;
        }
        var minute = 1000 * 60; //把分，时，天，周，半个月，一个月用毫秒表示
        var hour = minute * 60;
        var day = hour * 24;
        var week = day * 7;
        var halfamonth = day * 15;
        var month = day * 30;
        var now = new Date().getTime(); //获取当前时间毫秒
        var diffValue = now - dateTimeSamp; //时间差
        if (diffValue < 0) {
            return;
        }
        var minC = diffValue / minute; //计算时间差的分，时，天，周，月
        var hourC = diffValue / hour;
        var dayC = diffValue / day;
        var weekC = diffValue / week;
        var monthC = diffValue / month;
        var result;
        if (monthC >= 1 && monthC <= 3) {
            result = " " + parseInt(monthC.toString()) + "月前";
        }
        else if (weekC >= 1 && weekC <= 3) {
            result = " " + parseInt(weekC.toString()) + "周前";
        }
        else if (dayC >= 1 && dayC <= 6) {
            result = " " + parseInt(dayC.toString()) + "天前";
        }
        else if (hourC >= 1 && hourC <= 23) {
            result = " " + parseInt(hourC.toString()) + "小时前";
        }
        else if (minC >= 1 && minC <= 59) {
            result = " " + parseInt(minC.toString()) + "分钟前";
        }
        else if (diffValue >= 0 && diffValue <= minute) {
            result = "刚刚";
        }
        else {
            var datetime = new Date();
            datetime.setTime(dateTimeSamp);
            var Nyear = datetime.getFullYear();
            var Nmonth = datetime.getMonth() + 1 < 10 ? "0" + (datetime.getMonth() + 1) : datetime.getMonth() + 1;
            var Ndate = datetime.getDate() < 10 ? "0" + datetime.getDate() : datetime.getDate();
            // const Nhour = datetime.getHours() < 10 ? "0" + datetime.getHours() : datetime.getHours();
            // const Nminute = datetime.getMinutes() < 10 ? "0" + datetime.getMinutes() : datetime.getMinutes();
            // const Nsecond = datetime.getSeconds() < 10 ? "0" + datetime.getSeconds() : datetime.getSeconds();
            result = Nyear + "-" + Nmonth + "-" + Ndate;
        }
        return result;
    };
    return Tict;
}());

// 学法通用方法
var CommonExam = /** @class */ (function () {
    function CommonExam() {
    }
    /**
   * 删除存储的考试题目
   */
    CommonExam.deleteLocalStoreExam = function (examId) {
        var accountName = localStorage.getItem("accountName");
        localStorage.removeItem(accountName + "_" + examId);
    };
    // 转换用户选择的答案
    CommonExam.transferTopicAnswer = function (topics) {
        var singles = [];
        var booleans = [];
        var multiples = [];
        topics.map(function (topic) {
            if (topic.isSelected) {
                if (topic.type == 1) {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer[0];
                    singles.push(selectedAnswer);
                }
                else if (topic.type == 3) {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer[0];
                    booleans.push(selectedAnswer);
                }
                else {
                    var selectedAnswer = topic.id + ":" + topic.selectedAnswer.join("_");
                    multiples.push(selectedAnswer);
                }
            }
        });
        return { singles: singles.join(","), booleans: booleans.join(","), multiples: multiples.join(",") };
    };
    // 将答案项顺序转换成字母
    CommonExam.numberToLetter = function (index) {
        var letterArr = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K"];
        return letterArr[index];
    };
    return CommonExam;
}());

//# sourceMappingURL=commonFun.js.map

/***/ }),

/***/ 122:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DBTableName; });
/**
 * 数据库表名
 * @author Chile
 * @createAt 2019-09-05
 */
var DBTableName = /** @class */ (function () {
    function DBTableName() {
    }
    DBTableName.READ_COURSE_TABLE = 'read_course'; //已读课程ID表
    DBTableName.DOWNLOAD_COURSE_TABLE = 'download_course'; //已下载课程
    DBTableName.PLAY_VIDEO_TIME = 'play_record'; //视频当前播放进度
    DBTableName.LEARNING_RATE = 'learning_rate'; //学习进度
    return DBTableName;
}());

//# sourceMappingURL=DBTableName.js.map

/***/ }),

/***/ 123:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsDetailFooterComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * NewsDetailFooterComponent 新闻详情底部组件
 * @author Chile
 * @createAt 2019-05-28
 *
 */
var NewsDetailFooterComponent = /** @class */ (function () {
    function NewsDetailFooterComponent(platform) {
        this.platform = platform;
        this.followUpText = '';
        this.writing = false; //是否正在写跟贴
        this.backup_liked = "primary";
        this.liked_ico = 'pfLike';
        this.backup_collected = "primary";
        this.collect_ico = 'pfCollect';
        this.newsData = [];
        this.clickItem = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickShare = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.sendFollowUp = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickFollowUpInfo = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickLike = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickCollect = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickFollowUp = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.testData = {
            articleType: 'Topic',
            id: '1',
            title: '测试文章',
            image: '',
            topicId: '1',
            topic: '法制三月三',
            columnId: '',
            column: '',
            source: '广西司法厅',
            topping: false,
            infoType: 'Article',
            tag: '三月三',
            releaseTime: '2019-05-16:15:26:30',
            followUpCount: 30,
            articleContent: '测试内容，测试内容，测试内容，测试内容，测试内容，测试内容，测试内容',
            videoUrl: '',
            zan: 100,
            isZan: true,
            images: {}
        };
        console.log('Hello NewsDetailFooterComponent!');
        this.newsData = this.testData;
    }
    NewsDetailFooterComponent.prototype.ngOnChanges = function (changes) {
        for (var propName in changes) {
            if (propName === 'newsData' && changes[propName].currentValue) {
                console.log('ngOnChanges===========', changes[propName]);
                if (changes[propName].currentValue.isZan) {
                    this.backup_liked = "color7";
                    this.liked_ico = 'pfLikeFill';
                }
                else {
                    this.backup_liked = "primary";
                    this.liked_ico = 'pfLike';
                }
                if (changes[propName].currentValue.isCollection == 1) {
                    this.backup_collected = "color7";
                    this.collect_ico = 'pfCollectFill';
                }
                else {
                    this.backup_collected = "primary";
                    this.collect_ico = 'pfCollect';
                }
            }
            if (propName === 'writing') {
                console.log('changes[propName]', changes[propName], changes[propName].currentValue);
            }
        }
    };
    /**
     * 点击新闻条目
     * @param item 新闻条目
     */
    NewsDetailFooterComponent.prototype.onClickItem = function (item) {
        console.log('onClickArticleItem', item);
        this.clickItem.emit(item);
    };
    /**
     * 点击分享新闻条目
     * @param item 新闻条目
     */
    NewsDetailFooterComponent.prototype.onShareClick = function (item) {
        console.log('onShareClick', item);
        this.clickShare.emit(item);
    };
    /**
     * 点击跟贴
     */
    NewsDetailFooterComponent.prototype.onFollowUpClick = function () {
        console.log('onFollowUpClick');
        this.followUpText = '';
        this.clickFollowUp.emit();
        // this.sending = false;
    };
    /**
     * 点击赞
     */
    NewsDetailFooterComponent.prototype.likePostClicked = function () {
        this.clickLike.emit();
    };
    /**
     * 点击分享
     */
    NewsDetailFooterComponent.prototype.shareClicked = function () {
        this.clickShare.emit();
    };
    /**
     * 点收藏
     */
    NewsDetailFooterComponent.prototype.collectPostClicked = function () {
        this.clickCollect.emit();
    };
    /**
     * 点击跟贴信息
     */
    NewsDetailFooterComponent.prototype.followUpPostClicked = function () {
        this.clickFollowUpInfo.emit();
    };
    // /**
    //  * 组件获取到焦点事件
    //  */
    // onInputFocus() {
    //   console.log('onInputFocus!!');
    //   setTimeout(() => {
    //     this.sending = false;
    //   }, 200);
    // }
    //
    // /**
    //  * 组件失去焦点事件
    //  */
    // onInputBlur() {
    //   console.log('onInputBlur!!');
    //   setTimeout(() => {
    //     if (!this.sending) this.writing = false;
    //   }, 200);
    // }
    /**
     * 父页面没刷新时,更新组件数据
     * @param data
     */
    NewsDetailFooterComponent.prototype.updateInfo = function (data) {
        console.log('this.updateInfo()', data);
        this.newsData = data;
        if (this.newsData.isZan) {
            this.backup_liked = "color7";
            this.liked_ico = 'pfLikeFill';
        }
        else {
            this.backup_liked = "primary";
            this.liked_ico = 'pfLike';
        }
        if (this.newsData.isCollection == 1) {
            this.backup_collected = "color7";
            this.collect_ico = 'pfCollectFill';
        }
        else {
            this.backup_collected = "primary";
            this.collect_ico = 'pfCollect';
        }
    };
    /**
     * 点击发送
     */
    NewsDetailFooterComponent.prototype.onSend = function () {
        console.log('sending!!');
        this.sendFollowUp.emit(this.followUpText);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Boolean)
    ], NewsDetailFooterComponent.prototype, "writing", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], NewsDetailFooterComponent.prototype, "newsData", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickItem", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickShare", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "sendFollowUp", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickFollowUpInfo", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickLike", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickCollect", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], NewsDetailFooterComponent.prototype, "clickFollowUp", void 0);
    NewsDetailFooterComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'news-detail-footer',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\news-detail-footer\news-detail-footer.html"*/'<div *ngIf="!writing">\n  <button ion-button icon-start round small (click)="onFollowUpClick()">\n    <ion-icon name="pfSend"></ion-icon>\n    跟贴...\n  </button>\n  <button class="bottom-button" ion-button clear (click)="followUpPostClicked()">\n    <ion-icon name="pfFollowUp">\n      <ion-badge id="notifications-badge" color="danger" *ngIf="newsData?.commentCount!=0">{{newsData?.commentCount}}</ion-badge>\n    </ion-icon>\n  </button>\n  <button ion-button clear class="bottom-button" [color]="backup_collected"  (click)="collectPostClicked()">\n    <ion-icon [name]="collect_ico">\n\n    </ion-icon>\n  </button>\n\n  <button ion-button clear class="bottom-button" [color]="backup_liked" (click)="likePostClicked()">\n    <ion-icon [name]="liked_ico">\n      <ion-badge id="like-badge" color="danger" *ngIf="newsData?.ups!=0">{{newsData?.ups}}</ion-badge>\n    </ion-icon>\n  </button>\n\n  <button ion-button clear class="bottom-button" (click)="shareClicked()">\n    <ion-icon name="share">\n\n    </ion-icon>\n  </button>\n</div>\n<div *ngIf="writing" class="msg-input-wrapper">\n\n  <!--<cy-content-input #input (focus)="onInputFocus()" (blur)="onInputBlur()"></cy-content-input>-->\n\n\n  <!--<ion-textarea fz-elastic rows="1" placeholder="跟贴..." (blur)="onInputBlur()" (focus)="onInputFocus()" [(ngModel)]="followUpText">-->\n  <ion-textarea fz-elastic rows="1" placeholder="跟贴..." [(ngModel)]="followUpText" >\n  </ion-textarea>\n  <button type="submit" ion-button clear (click)="onSend()">发送</button>\n\n</div>\n\n\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\news-detail-footer\news-detail-footer.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"]])
    ], NewsDetailFooterComponent);
    return NewsDetailFooterComponent;
}());

//# sourceMappingURL=news-detail-footer.js.map

/***/ }),

/***/ 124:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShareBarComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__models_wechat__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_animations__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * ShareBarComponent 分享弹出组件
 * @author Chile
 * @createAt 2019-07-29
 */
var ShareBarComponent = /** @class */ (function () {
    function ShareBarComponent(platform) {
        this.platform = platform;
        this.onSelect = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this._show = false;
        this.shareItems = [{
                index: 1,
                page: [{
                        type: 'wechat',
                        icon: 'assets/imgs/share/share_wechat.png',
                        text: '微信好友',
                        value: __WEBPACK_IMPORTED_MODULE_1__models_wechat__["b" /* WechatScene */].SESSION
                    }, {
                        type: 'wechat',
                        icon: 'assets/imgs/share/share_circle.png',
                        text: '朋友圈',
                        value: __WEBPACK_IMPORTED_MODULE_1__models_wechat__["b" /* WechatScene */].TIMELINE
                    }, {
                        type: 'weibo',
                        icon: 'assets/imgs/share/share_weibo.png',
                        text: '微博',
                        value: ''
                    }]
            }
            // ,{
            //   index:2,
            //   page:[{
            //     icon: 'assets/imgs/share/share_wechat.png',
            //     text: '微信好友',
            //     value: WechatScene.SESSION
            //   }, {
            //     icon: 'assets/imgs/share/share_circle.png',
            //     text: '朋友圈',
            //     value: WechatScene.TIMELINE
            //   }]
            // }
        ];
    }
    ShareBarComponent.prototype.select = function (item) {
        this.onSelect.emit(item);
        this.hide();
    };
    ShareBarComponent.prototype.show = function () {
        var _this = this;
        this._show = true;
        if (this.platform.is("android")) {
            this.backFunction = this.platform.registerBackButtonAction(function () {
                console.log('backButtonHidebackButtonHidebackButtonHide');
                if (_this._show) {
                    _this.hide();
                }
            }, 0);
        }
    };
    ShareBarComponent.prototype.hide = function () {
        this._show = false;
        if (this.backFunction) {
            this.backFunction();
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], ShareBarComponent.prototype, "onSelect", void 0);
    ShareBarComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'share-bar',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\share-bar\share-bar.html"*/'<!-- Generated template for the ShareBarComponent component -->\n<div *ngIf="_show" class="sharebar" @popupUp>\n  <div class="sharebar-title">分享到</div>\n  <!--<ul class="sharebar-list common-flex common-flex_center">-->\n    <!--<li *ngFor="let item of shareItems" class="sharebar-item" (click)="select(item.value)">-->\n      <!--<img [src]="item.icon" alt="" class="sharebar-item-img">-->\n      <!--<p class="sharebar-item-text">{{item.text}}</p>-->\n    <!--</li>-->\n  <!--</ul>-->\n  <ion-slides class="sharebar-list common-flex common-flex_center" [slidesPerView]="1" [pager]="false">\n    <ion-slide *ngFor="let item of shareItems; let i = index;">\n      <ion-row>\n        <ion-col col-3 *ngFor="let shareItem of item.page; let j = index;">\n          <ion-row>\n            <ion-col>\n              <button ion-button icon-only class="sharebar-button" (click)="select(shareItem)" clear>\n                <img [src]="shareItem.icon">\n              </button>\n            </ion-col>\n          </ion-row>\n          <ion-row>\n            <ion-col>\n              <span class="sharebar-text">{{shareItem.text}}</span>\n            </ion-col>\n          </ion-row>\n        </ion-col>\n      </ion-row>\n      <div class="swiper-pagination"></div>\n    </ion-slide>\n  </ion-slides>\n\n  <div (tap)="hide()" class="sharebar-cancle common-border_top">取消</div>\n</div>\n<div *ngIf="_show" (tap)="hide()" class="mask" @fade></div>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\share-bar\share-bar.html"*/,
            animations: [__WEBPACK_IMPORTED_MODULE_2__common_animations__["a" /* Animations */].fade, __WEBPACK_IMPORTED_MODULE_2__common_animations__["a" /* Animations */].popupUp]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Platform"]])
    ], ShareBarComponent);
    return ShareBarComponent;
}());

//# sourceMappingURL=share-bar.js.map

/***/ }),

/***/ 125:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return WechatScene; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WechatMediaType; });
/**
 * 分享功能数据模型
 * @author Chile
 * @createAt 2019-07-29
 */
var WechatScene;
(function (WechatScene) {
    WechatScene[WechatScene["SESSION"] = 0] = "SESSION";
    WechatScene[WechatScene["TIMELINE"] = 1] = "TIMELINE";
    WechatScene[WechatScene["FAVORITE"] = 2] = "FAVORITE";
})(WechatScene || (WechatScene = {}));
var WechatMediaType;
(function (WechatMediaType) {
    WechatMediaType[WechatMediaType["APP"] = 1] = "APP";
    WechatMediaType[WechatMediaType["EMOTION"] = 2] = "EMOTION";
    WechatMediaType[WechatMediaType["FILE"] = 3] = "FILE";
    WechatMediaType[WechatMediaType["IMAGE"] = 4] = "IMAGE";
    WechatMediaType[WechatMediaType["MUSIC"] = 5] = "MUSIC";
    WechatMediaType[WechatMediaType["VIDEO"] = 6] = "VIDEO";
    WechatMediaType[WechatMediaType["WEBPAGE"] = 7] = "WEBPAGE";
})(WechatMediaType || (WechatMediaType = {}));
//# sourceMappingURL=wechat.js.map

/***/ }),

/***/ 126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_release_bar_release_bar__ = __webpack_require__(502);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_db_CreateTableUtils__ = __webpack_require__(503);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_web_torrent_service__ = __webpack_require__(211);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * TabsPage 页面底部TAB栏
 * @author Chile
 * @createAt 2019-04-20
 *
 */
var TabsPage = /** @class */ (function () {
    function TabsPage(app, ionicApp, navCtrl, platform, navParams, events, modalCtrl, actionSheetCtrl, authService, showMessageService, webTorrentService, createTableUtils, alertCtrl) {
        this.app = app;
        this.ionicApp = ionicApp;
        this.navCtrl = navCtrl;
        this.platform = platform;
        this.navParams = navParams;
        this.events = events;
        this.modalCtrl = modalCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.authService = authService;
        this.showMessageService = showMessageService;
        this.webTorrentService = webTorrentService;
        this.createTableUtils = createTableUtils;
        this.alertCtrl = alertCtrl;
        this.backButtonPressed = false;
        this.tabChangIndex = 0;
        this.tab1Root = 'HomePage';
        this.tab2Root = 'LearningLawPage';
        this.tab3Root = 'JudicialExaminationPage';
        // tab4Root = "MyPage";
        this.tab4Root = "MinePage";
        // tab5Root = 'ExamPage';
        this.isCMSLogin = false;
    }
    TabsPage.prototype.checkMask = function () {
        // this.ionicApp._toastPortal.getActive() || this.ionicApp._loadingPortal.getActive() || this.ionicApp._overlayPortal.getActive()
        //
        var activePortalArray = this.ionicApp._modalPortal._views;
        var toastPortalArray = this.ionicApp._toastPortal._views;
        var loadingPortalArray = this.ionicApp._loadingPortal._views;
        var overlayPortalArray = this.ionicApp._overlayPortal._views;
        console.log(this.ionicApp);
        var canGoBack = true;
        if (this.releaseBar.isShowing) {
            this.releaseBar.hide();
            canGoBack = false;
        }
        if (activePortalArray.length > 0) {
            this.dismissMask(activePortalArray);
            canGoBack = false;
        }
        if (toastPortalArray.length > 0) {
            if (this.navCtrl.length() > 1) {
                this.dismissMask(toastPortalArray);
                canGoBack = false;
            }
        }
        if (loadingPortalArray.length > 0) {
            this.dismissMask(loadingPortalArray);
            //     		canGoBack = false;
        }
        if (overlayPortalArray.length > 0) {
            this.dismissMask(overlayPortalArray);
            canGoBack = false;
        }
        if (this.navCtrl.length() > 1) {
            this.navCtrl.pop();
            canGoBack = false;
        }
        return canGoBack;
    };
    TabsPage.prototype.dismissMask = function (maskArray) {
        for (var i = 0; i < maskArray.length; i++) {
            maskArray[i].dismiss().catch(function () {
            });
        }
    };
    TabsPage.prototype.addRegist = function () {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            var canGoBack = _this.checkMask();
            if (canGoBack) {
                //				this.navCtrl.length()>1 ? this.navCtrl.pop() : this.showExit();
                var activeNav = _this.app.getActiveNav();
                activeNav.canGoBack() ? activeNav.pop() : _this.showExit();
            }
        }, 0);
    };
    //双击退出提示框
    TabsPage.prototype.showExit = function () {
        var _this = this;
        if (this.webTorrentService.getCourseDownloading().length > 0) {
            this.prompt = this.alertCtrl.create({
                title: '温馨提示',
                message: '当前有离线下载任务，是否取消任务？下次启动应用时会重新下载。',
                buttons: [
                    {
                        text: '否',
                        handler: function () {
                        }
                    },
                    {
                        text: '是',
                        handler: function () {
                            _this.platform.exitApp();
                        }
                    }
                ]
            });
            this.prompt.present();
            return;
        }
        if (this.backButtonPressed) {
            this.platform.exitApp();
        }
        else {
            this.showMessageService.showToast('再按一次退出应用', 2000);
            this.backButtonPressed = true;
            setTimeout(function () { return _this.backButtonPressed = false; }, 2000); //2秒内没有再次点击返回则将触发标志标记为false
        }
    };
    TabsPage.prototype.ionViewDidEnter = function () {
        if (this.platform.is("android")) {
            this.addRegist();
        }
    };
    TabsPage.prototype.ngOnInit = function () {
        //this.isCMSLogin = this.authService.checkAuth;
        var tokenId = localStorage.getItem("a-tokenId");
        if (tokenId != null && tokenId != "")
            this.isCMSLogin = true;
    };
    /**
     * 点击上传
     */
    TabsPage.prototype.onClickNewModel = function () {
        // let actionSheet = this.actionSheetCtrl.create({
        //   title: '选择',
        //   buttons: [
        //     {
        //       text: '发图文',
        //       handler: () => {
        //         this.navCtrl.push('ArticleReleasePage');
        //       }
        //     },
        //     {
        //       text: '发视频',
        //       handler: () => {
        //         this.navCtrl.push('VideoReleasePage');
        //       }
        //     },
        //     {
        //       text: '取消',
        //       role: 'cancel',
        //       handler: () => {
        //
        //       }
        //     }
        //   ]
        // });
        // actionSheet.present();
        if (!this.isCMSLogin) {
            var modal = this.modalCtrl.create("LoginPage", { 'isMe': true });
            modal.present();
        }
        else {
            this.releaseBar.show();
        }
        console.log('onClickNew');
    };
    /**
     * 跳转登录界面
     */
    TabsPage.prototype.toLogin = function (id) {
        var modal = this.modalCtrl.create("LoginPage", { 'isMe': true });
        // modal.onDidDismiss(data => {
        //   //核心功能，在这里刷新，即重新查一遍即可
        //   console.log(data);
        // });
        modal.present();
        this.tabChangIndex = id;
    };
    /**
     * 跳转登录界面
     */
    TabsPage.prototype.toExamLogin = function (id) {
        var modal = this.modalCtrl.create("ExamLoginPage");
        modal.present();
        this.tabChangIndex = id;
    };
    /**
     * 监听events事件，当用户登录成功后显示用户个人资料
     */
    TabsPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.events.subscribe('msg:login', function () {
            var tokenId = localStorage.getItem("a-tokenId");
            if (tokenId != null && tokenId != "") {
                _this.isCMSLogin = true;
                _this.tabRef.select(_this.tabChangIndex);
            }
        });
        this.events.subscribe('msg:logout', function () {
            _this.isCMSLogin = false;
            _this.tabRef.select(0);
        });
        this.events.subscribe("msg:examLogin", function () {
            var tokenId = localStorage.getItem("exam-tokenId");
            console.log('this.events.subscribe("msg:examLogin")', tokenId);
            if (tokenId != null) {
                // this.isCMSLogin = true;
                _this.tabRef.select(1);
            }
            else {
                _this.toExamLogin(1);
            }
        });
        this.events.subscribe("msg:lawLogout", function () {
            _this.tabChangIndex = 2;
            _this.tabRef.select(2);
        });
    };
    TabsPage.prototype.ionViewWillUnload = function () {
        this.events.unsubscribe("msg:login");
        this.events.unsubscribe("msg:logout");
        this.events.unsubscribe("msg:examLogin");
    };
    TabsPage.prototype.tabChange = function () {
        console.log('tabChange:', this.tabRef.getSelected().index);
        var loginIng = localStorage.getItem('loginIng');
        if (loginIng !== null) {
            this.tabRef.select(1);
            localStorage.removeItem('loginIng');
        }
        if (this.tabRef.getSelected().index == 0) {
            console.log('tabChange:0');
        }
        else if (this.tabRef.getSelected().index == 1) {
            console.log('tabChange:1');
        }
        else if (this.tabRef.getSelected().index == 2) {
            console.log('tabChange:2');
        }
        else if (this.tabRef.getSelected().index == 3) {
            console.log('tabChange:3');
        }
        else if (this.tabRef.getSelected().index == 4) {
            console.log('tabChange:4');
        }
        else if (this.tabRef.getSelected().index == 5) {
            console.log('tabChange:5');
        }
        else if (this.tabRef.getSelected().index == 6) {
            console.log('tabChange:6');
        }
    };
    TabsPage.prototype.release = function (value) {
        console.log('release', value);
        if (value == 1) {
            this.navCtrl.push('ArticleReleasePage');
        }
        else if (value == 2) {
            this.navCtrl.push('VideoReleasePage');
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('myTabs'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Tabs"])
    ], TabsPage.prototype, "tabRef", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_3__components_release_bar_release_bar__["a" /* ReleaseBarComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_3__components_release_bar_release_bar__["a" /* ReleaseBarComponent */])
    ], TabsPage.prototype, "releaseBar", void 0);
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-tabs',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\tabs\tabs.html"*/'<ion-tabs #myTabs (ionChange)="tabChange()">\n  <ion-tab [root]="tab1Root" tabTitle="首页" tabIcon="pfNews" ></ion-tab>\n  <ion-tab [show]="authService.checkLawAuth" [root]="tab2Root" tabTitle="学法" tabIcon="pfLearningLaw"></ion-tab>\n  <ion-tab [show]="!authService.checkLawAuth" (ionSelect)="toExamLogin(1)" tabTitle="学法" tabIcon="pfLearningLaw"></ion-tab>\n  <ion-tab tabIcon="pfCamera" (ionSelect)="onClickNewModel()"></ion-tab>\n  <ion-tab [root]="tab3Root" tabTitle="法考" tabIcon="pfJE"></ion-tab>\n  <ion-tab [show]="isCMSLogin" [root]="tab4Root" tabTitle="我" tabIcon="pfMe"></ion-tab>\n  <ion-tab [show]="!isCMSLogin" (ionSelect)="toLogin(5)" tabTitle="我" tabIcon="pfMe"></ion-tab>\n</ion-tabs>\n\n<release-bar (onSelect)="release($event)"></release-bar>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\tabs\tabs.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicApp"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_web_torrent_service__["a" /* WebTorrentService */],
            __WEBPACK_IMPORTED_MODULE_5__common_db_CreateTableUtils__["a" /* CreateTableUtils */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 171:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamLoginShowService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * ExamLoginService 考试登录控制服务
 * @author Chile
 * @createAt 2019-07-18
 *
 */
var ExamLoginShowService = /** @class */ (function () {
    function ExamLoginShowService(modalCtrl, toastCtrl) {
        this.modalCtrl = modalCtrl;
        this.toastCtrl = toastCtrl;
        //是否已登录，默认false 主要是HTTP注入服务中调用时需要检查这个状态
        this.isLogin = false;
    }
    //弹出考试系统登录框
    ExamLoginShowService.prototype.showExamLoginForm = function () {
        var examUserId = localStorage.getItem("exam-userId");
        if (examUserId == null) {
            if (!this.toast) {
                this.toast = this.toastCtrl.create({
                    message: "系统繁忙，跳转学法考试...",
                    duration: 3000,
                    position: "middle",
                    cssClass: "toast-message-auto-close",
                });
                this.toast.present();
                this.modalCtrl.create("ExamLoginPage").present();
            }
        }
    };
    ExamLoginShowService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], ExamLoginShowService);
    return ExamLoginShowService;
}());

//# sourceMappingURL=exam-login-show.service.js.map

/***/ }),

/***/ 174:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GeoService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_geolocation__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_geolib__ = __webpack_require__(883);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_geolib___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_geolib__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * GeoService 定位服务
 * @author Chile
 * @createAt 2019-07-09
 *
 */
var GeoService = /** @class */ (function () {
    function GeoService(geolocation) {
        this.geolocation = geolocation;
        this.tilesToSave = 0;
        this.tilesSaved = 0;
    }
    GeoService_1 = GeoService;
    /**
     * 获取设备坐标获取距离
     * @param geoposition 坐标
     */
    GeoService.prototype.getDistanceFromDeviceTo = function (geoposition) {
        console.log("获取坐标");
        return this.geolocation.getCurrentPosition({
            'enableHighAccuracy': true,
            'maximumAge': 5000,
            'timeout': 15000,
        }).then(function (resp) {
            var deviceGeoposition = GeoService_1.parseGeolocationObject(resp);
            var distance = GeoService_1.getDistance(deviceGeoposition.coords, geoposition.coords);
            return Promise.resolve(distance);
        }, function (error) {
            console.log('获取坐标出错！');
            console.log(JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        });
    };
    /**
     * 计算两个坐标距离
     * @param coords1 坐标1
     * @param coords2 坐标2
     */
    GeoService.getDistance = function (coords1, coords2) {
        return __WEBPACK_IMPORTED_MODULE_2_geolib__["getDistance"](coords1, coords2);
    };
    /**
     * 判断视频是否在范围内
     * @param localVideo 视频信息（包含位置内容）
     * @param geoposition 位置信息
     */
    GeoService.inRange = function (localVideo, geoposition) {
        //console.log("在范围内");
        //console.log(localVideo);
        //console.log(geoposition);
        if (!localVideo.end_geoposition || !geoposition) {
            return false;
        }
        var distance = GeoService_1.getDistance(localVideo.end_geoposition.coords, geoposition.coords);
        //console.log(distance);
        return distance < 150;
    };
    /**
     *  解析地理坐标位置对象
     * @param position 坐标
     */
    GeoService.parseGeolocationObject = function (position) {
        var positionObject = {};
        if ('coords' in position) {
            positionObject.coords = {};
            if ('latitude' in position.coords) {
                positionObject.coords.latitude = position.coords.latitude;
            }
            if ('longitude' in position.coords) {
                positionObject.coords.longitude = position.coords.longitude;
            }
            if ('accuracy' in position.coords) {
                positionObject.coords.accuracy = position.coords.accuracy;
            }
            if ('altitude' in position.coords) {
                positionObject.coords.altitude = position.coords.altitude;
            }
            if ('altitudeAccuracy' in position.coords) {
                positionObject.coords.altitudeAccuracy = position.coords.altitudeAccuracy;
            }
            if ('heading' in position.coords) {
                positionObject.coords.heading = position.coords.heading;
            }
            if ('speed' in position.coords) {
                positionObject.coords.speed = position.coords.speed;
            }
        }
        if ('timestamp' in position) {
            positionObject.timestamp = position.timestamp;
        }
        // Use the positionObject instead of the position 'object'
        console.log(JSON.stringify(positionObject));
        return positionObject;
    };
    /**
     * 距离排序
     * @param a 坐标a
     * @param b 坐标b
     */
    GeoService.endDistanceComparator = function (a, b) {
        var c = {
            longitude: 0,
            latitude: 0
        };
        console.log(a, b, c);
        if (typeof (a.end_geoposition) == "undefined" || typeof (b.end_geoposition) == "undefined")
            return 0;
        var a_c = __WEBPACK_IMPORTED_MODULE_2_geolib__["getDistance"](a.end_geoposition.coords, c);
        var b_c = __WEBPACK_IMPORTED_MODULE_2_geolib__["getDistance"](b.end_geoposition.coords, c);
        console.log(a_c, b_c);
        return (a_c > b_c ? 1 : -1);
    };
    /**
     * 保存地图数据
     */
    GeoService.prototype.saveMapData = function () {
        console.log("saving");
        this.saveTiles._saveTiles();
    };
    /**
     * 删除地图数据
     */
    GeoService.prototype.trashMapData = function () {
        console.log("trashing");
        this.saveTiles._rmTiles();
    };
    GeoService = GeoService_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_geolocation__["a" /* Geolocation */]])
    ], GeoService);
    return GeoService;
    var GeoService_1;
}());

//# sourceMappingURL=geo.service.js.map

/***/ }),

/***/ 202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LearningLawService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__common_db_DBUtils__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__ = __webpack_require__(122);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * @name LearningLawService
 * @author huangweicai chile
 * @description 学法模块主界面服务
 */
var LearningLawService = /** @class */ (function () {
    function LearningLawService(http, dbUtils) {
        this.http = http;
        this.dbUtils = dbUtils;
        //**************API*******************
        //获取学法首页列表
        // appLearningLawListUrl = LEARNING_LAW_URL+'/rest/api/studycontent/getLearningLawList';
        this.appLearningLawListUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getLearningLawList';
        //获取学法首页搜索列表
        this.appLearningLawSearchUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/studycontent/getSearchInfo';
        //获取学法内容详情（书籍）
        //appLearningLawDetailUrl = LEARNING_LAW_URL + '/rest/api/studycontent/getLearningLawDetail';
        this.appLearningLawBookDetailUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getLearningLawDetail/book';
        //获取学法内容详情（视频）
        this.appLearningLawVideoDetailUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getLearningLawDetail/video';
        //获取学法内容子章节详情
        // appChapterDetailUrl = LEARNING_LAW_URL + '/rest/api/studycontent/getChapterDetail ';
        this.appChapterDetailUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getChapterDetail';
        //http://examapi.gxpf.cn/cdndata/cndstudy/getChapterDetail/学习内容id/章ID.json
        //设置学法内容进度
        // appLearningLawRateUrl = LEARNING_LAW_URL + '/rest/api/learning/updateLearningRate';
        this.appLearningLawRateUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/fast/lp/learnProgressAndStatUpdate';
        //添加到收藏夹
        this.appLearningLawAddFavoritesUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/myfavorites/addFavorites';
        //从收藏夹移除（通过收藏类型，移出收藏夹）
        this.appLearningLawRemoveFavoritesUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/myfavorites/removeFavoritesByType';
        //获取考试系统参数
        //appLearningLawGetSysParamUrl = LEARNING_LAW_URL+'/rest/api/user/getSysParam';
        this.appLearningLawGetSysParamUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getSysParam/getSysParam.json';
        //获取课程阅读数
        this.appLearningLawGetCourceViewsUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/views.json';
        //获取学法考试首页课程参数
        this.appLearningLawListParamUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getLearningLawList/pageCount.json';
        //提交用户观看视频前N分钟获取积分
        this.appUpdateLearningRateClassHoursUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/learning/updateLearningRateClassHours';
        //获取学法资料书籍课程参数
        this.appReadingMatterListParamUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getBookList/pageCount.json';
        //获取学法资料书籍课程列表
        this.appReadingMatterListUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getBookList';
        // http://examapi.gxpf.cn/cdndata/cndstudy/getLearningLawDetail/book/学习内容id.json
        // http://examapi.gxpf.cn/cdndata/cndstudy/getChapterDetail/学习内容id/章ID.json
        //获取学法资料视频课程参数
        this.appLectureListParamUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getVideoList/pageCount.json';
        //获取学法资料视频课程列表
        this.appLectureListUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getVideoList/';
        // http://examapi.gxpf.cn/cdndata/cndstudy/getVideoList/页号.json
        // http://examapi.gxpf.cn/cdndata/cndstudy/getLearningLawDetail/video/学习内容id.json
        //获取学法资料专题课程列表
        this.appSpecialTopicListUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getSpecialTopicList/getSpecialTopicList.json';
        //获取学法资料专题课程详情列表参数
        this.appSpecialTopicListDetailListParamUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getSpecialTopicDetailList';
        // http://examapi.gxpf.cn/cdndata/cndstudy/getSpecialTopicDetailList/专题ID/pageCount.json 每页行数，共多少页
        //获取学法资料专题课程详情列表
        this.appSpecialTopicListDetailListUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + '/getSpecialTopicDetailList';
        // http://examapi.gxpf.cn/cdndata/cndstudy/getSpecialTopicDetailList/专题ID/页号.json
        //获取用户档案信息
        this.appUserAllInfoUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/user/getRedisUserValue';
        //保存用户基本信息
        this.appSaveUserBaseInfoUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/user/modifySysUser';
        //获取系统组织结构信息
        this.appDeptInfoUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["c" /* CND_EXAM_DEPT_URL */] + '';
        //提交用户组织结构信息
        this.appSetUserDeptInfoUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/user/changeUserDept';
        //提交文章阅读数
        this.appSetCourceViewsUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/view/addView';
        //提交用户操作日志
        this.operateLogUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/user/operation/save';
        //获取用户个人信息（联系电话、身份证号码、邮箱等敏感信息）
        this.getUserThreeInfoUrl = __WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + '/rest/api/user/getUserThreeInfo';
        this.scoreInterval = 7; //多久重置获取积分
        this.videoLearnClassHour = 0.5; //长视频学习时长可得积分
        this.videoLearnDuration = 300; //长视频学习时长 秒
        this.courceViews = null; //课程阅读数
    }
    /**
   * 获取用户信息
   */
    LearningLawService.prototype.getUserThreeInfo = function () {
        var _this = this;
        this.http.get(this.getUserThreeInfoUrl).subscribe(function (res) {
            if (res.status == 200) {
                _this.mobile = res.result.mobile;
            }
        });
    };
    /**
     * 提交用户观看视频前N分钟获取积分
     * @param params 参数值
     */
    LearningLawService.prototype.updateLearningRateClassHours = function (params) {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appUpdateLearningRateClassHoursUrl, params)
                .subscribe(function (res) {
                console.log('updateLearningRateClassHours====', res);
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 学法首页列表
     * @param pageNo 获取第几页
     */
    LearningLawService.prototype.getLearningLawList = function (pageNo) {
        var _this = this;
        // let params = new HttpParams()
        //   .set('page', '' + pageNo)
        //   .set('rows', '' + 10);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            // this.http.get(this.appLearningLawListUrl)
            // getLearningLawList/页号.json
            _this.http.get(_this.appLearningLawListUrl + ("/" + pageNo + ".json"))
                .subscribe(function (res) {
                _this.checkViews(res);
                observer.next(res);
                observer.complete();
                // console.log('getLearningLawList res',res);
                // if (res.status == 200) {
                //   observer.next(res.result[0]);
                //   observer.complete();
                // } else {
                //   observer.error();
                // }
            });
        });
    };
    LearningLawService.prototype.checkViews = function (data) {
        var _this = this;
        if (this.courceViews != null) {
            data.forEach(function (v) {
                if (v.learningType == 'book') {
                    _this.courceViews.book.forEach(function (bookView) {
                        if (v.learningId == bookView.id) {
                            v.views = bookView.views;
                        }
                    });
                }
                else if (v.learningType == 'video') {
                    _this.courceViews.video.forEach(function (videoView) {
                        if (v.learningId == videoView.id) {
                            v.views = videoView.views;
                        }
                    });
                }
            });
        }
    };
    /**
     * 获取学法考试系统参数
     */
    LearningLawService.prototype.getSysParam = function () {
        var _this = this;
        this.http.get(this.appLearningLawGetSysParamUrl)
            .subscribe(function (res) {
            if (null != res && undefined != res) {
                localStorage.setItem('sysParam', JSON.stringify(res));
            }
            _this.scoreInterval = res[0].scoreInterval;
            _this.videoLearnClassHour = res[0].videoLearnClassHour;
            _this.videoLearnDuration = res[0].videoLearnDuration;
            console.log('getSysParam::::', res);
        });
    };
    /**
     * 获取课程阅读数
     */
    LearningLawService.prototype.getCourceViews = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            if (_this.courceViews == null) {
                _this.http.get(_this.appLearningLawGetCourceViewsUrl)
                    .subscribe(function (res) {
                    _this.courceViews = res;
                    observer.next();
                    observer.complete();
                    console.log('getAllViews::::', res);
                });
            }
            else {
                console.log('getAllViews,this.courceViews::::', _this.courceViews);
                observer.next();
                observer.complete();
            }
        });
    };
    /**
     * 获取学法考试首页课程参数
     */
    LearningLawService.prototype.getLearningLawListParam = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(_this.appLearningLawListParamUrl)
                .subscribe(function (res) {
                observer.next(res);
                observer.complete();
                // console.log('getLearningLawListParam::::', res);
            });
        });
    };
    /**
     * 学法首页搜索列表
     * @param search 搜索关键字
     * @param pageNo 获取第几页
     */
    LearningLawService.prototype.getLearningLawSearch = function (search, pageNo) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('key', '' + search)
            .set('page', '' + pageNo)
            .set('rows', '' + 10);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appLearningLawSearchUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 设置学法内容进度
     * @param params 参数值
     */
    LearningLawService.prototype.setLearningLawRate = function (params) {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appLearningLawRateUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next();
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 获取学法内容详情
     * @param learningId 条目ID
     * @param learningType
     */
    LearningLawService.prototype.getLearningLawDetail = function (learningId, learningType) {
        var _this = this;
        // let params = new HttpParams()
        //   .set('learningId', learningId)
        //   .set('learningType', learningType);
        // return new Observable((observer: any) => {
        //   this.http.post(this.appLearningLawDetailUrl, params)
        //     .subscribe((res: any) => {
        //       if (res.status == 200) {
        //         observer.next(res.result[0]);
        //         observer.complete();
        //       } else {
        //         observer.error();
        //       }
        //     });
        // });
        var url = this.appLearningLawBookDetailUrl + ("/" + learningId + ".json");
        if (learningType == 'video') {
            url = this.appLearningLawVideoDetailUrl + ("/" + learningId + ".json");
        }
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(url)
                .subscribe(function (res) {
                var courseInfo = res[0];
                // console.log('getLearningLawDetail::::::::::::::::', res,learningType);
                _this.getUserLearningRateList(courseInfo, learningType, 'course');
                observer.next(courseInfo);
                observer.complete();
            });
        });
    };
    /**
     * 检查合并用户相关课程信息
     * @param courseInfo 课程内容
     * @param learningType 学习类型:book,video
     */
    LearningLawService.prototype.checkUserCourseInfo = function (courseInfo, learningType) {
        // console.log('checkUserCourseInfo userAllInfo,courseInfo====1', this.userAllInfo,courseInfo,learningType);
        this.userAllInfo.learnList.forEach(function (v, i) {
            if (v.studyContentId == courseInfo.id) {
                courseInfo.isFinish = v.isFinish; //是否完成
                courseInfo.isRead = v.isRead; //是否读过
                courseInfo.progress = v.progress; //进度
                courseInfo.isShortClassHours = false; //是否已获得5分钟奖励
                courseInfo.updateTime = v.updateTime;
                // courseInfo.intervalRepeat = v.intervalRepeat;//是否已读、已看 需要增加系统参数时间（7天）进行判断
                var courseIntervalRepeatTime = __WEBPACK_IMPORTED_MODULE_4_moment__(v.updateTime).add(7, 'd');
                courseInfo.intervalRepeat = courseIntervalRepeatTime >= __WEBPACK_IMPORTED_MODULE_4_moment__();
                //超过系统参数时间（7天）重置已读、是否完成、进度状态
                courseInfo.isFinish = courseInfo.intervalRepeat ? v.isFinish : 0;
                courseInfo.progress = courseInfo.intervalRepeat ? v.progress : 0;
                courseInfo.isRead = courseInfo.intervalRepeat ? v.isRead : false;
                // console.log('1111::::::::::::+++++',i,courseInfo,v,learningType == 'book',learningType === 'book');
                if (learningType == 'book' && v.learningType == 'book') {
                    courseInfo.readFinishCnt = v.readFinishCnt; //完成章节数
                    // console.log('99999::::::::::::+++++',courseInfo.readFinishCnt);
                    // courseInfo.learnedList=v.learnedList//完成章节详情
                    if (v.learnedList) {
                        v.learnedList.forEach(function (vv) {
                            if (courseInfo.chapterList) {
                                courseInfo.chapterList.forEach(function (iv, ii) {
                                    // console.log('1::::::::::::+++++');
                                    // console.log('11::::::::::::+++++', vv.chapterId, iv.id, vv.chapterId == iv.id);
                                    if (vv.chapterId == iv.id) {
                                        // if (vv.intervalRepeat) {//这里判断有没有这个字段，没有就按没获取过积分处理
                                        //   iv.intervalRepeat = vv.intervalRepeat;
                                        // } else {
                                        //   iv.intervalRepeat = false;
                                        // }
                                        //超过系统参数时间（7天）重置已读、是否完成、进度状态
                                        if (vv.updateTime) {
                                            var chapterIntervalRepeatTime = __WEBPACK_IMPORTED_MODULE_4_moment__(vv.updateTime).add(7, 'd');
                                            iv.intervalRepeat = chapterIntervalRepeatTime >= __WEBPACK_IMPORTED_MODULE_4_moment__();
                                            console.log('iv.updateTime============' + ii, vv, chapterIntervalRepeatTime, __WEBPACK_IMPORTED_MODULE_4_moment__());
                                        }
                                        else {
                                            iv.intervalRepeat = false;
                                        }
                                        if (vv.isRead) {
                                            // iv.isRead = vv.isRead;
                                            iv.isRead = iv.intervalRepeat ? vv.isRead : false;
                                        }
                                        else {
                                            iv.isRead = false;
                                        }
                                        // iv.isFinish = vv.isFinish;
                                        // iv.rate = vv.progress;
                                        iv.isFinish = iv.intervalRepeat ? vv.isFinish : 0;
                                        iv.rate = iv.intervalRepeat ? vv.progress : 0;
                                    }
                                });
                            }
                        });
                    }
                    // console.log('22::::::::::::+++++',courseInfo);
                }
            }
        });
        this.userAllInfo.myFavorites.forEach(function (v) {
            if (v.learnId == courseInfo.id) {
                courseInfo.isCollection = true;
            }
        });
    };
    /**
     * 获取学法内容详情
     * @param courseId 学习内容ID
     * @param chapterId 子章章节ID
     */
    LearningLawService.prototype.getChapterDetail = function (courseId, chapterId) {
        var _this = this;
        // let params = new HttpParams()
        //   .set('chapterId', chapterId);
        // return new Observable((observer: any) => {
        //   this.http.post(this.appChapterDetailUrl, params)
        //     .subscribe((res: any) => {
        //       if (res.status == 200) {
        //         observer.next(res.result[0]);
        //         observer.complete();
        //       } else {
        //         observer.error();
        //       }
        //     });
        // });
        console.log('2::::::::::::+++++');
        var url = this.appChapterDetailUrl + ("/" + courseId + "/" + chapterId + ".json");
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(url)
                .subscribe(function (res) {
                var chapterInfo = res[0];
                _this.getUserLearningRateList(courseId, chapterInfo, 'chapter');
                observer.next(chapterInfo);
                observer.complete();
                console.log('getChapterDetail::::::::::::::::', res);
            });
        });
    };
    /**
     * 检查合并用户课程书籍章节信息
     * @param courseId 课程ID
     * @param chapterInfo 章节详情
     */
    LearningLawService.prototype.checkUserCourseChapterInfo = function (courseId, chapterInfo) {
        // console.log('this.userAllInfo====2', this.userAllInfo);
        this.userAllInfo.learnList.forEach(function (v) {
            if (v.studyContentId == courseId) {
                console.log('3VVVV::::::::::::+++++', v);
                if (v.learnedList) {
                    v.learnedList.forEach(function (vv) {
                        console.log('3::::::::::::+++++');
                        if (vv.chapterId == chapterInfo.chapterId) {
                            console.log('vv,chapterInfo===========1', vv, chapterInfo);
                            //Todo 需要增加章节是否已看过的逻辑处理
                            chapterInfo.isFinish = vv.isFinish;
                            chapterInfo.progress = vv.progress;
                            // chapterInfo.intervalRepeat = vv.intervalRepeat;
                            //超过系统参数时间（7天）重置已读、是否完成、进度状态
                            if (vv.updateTime) {
                                var chapterIntervalRepeatTime = __WEBPACK_IMPORTED_MODULE_4_moment__(vv.updateTime).add(7, 'd');
                                chapterInfo.intervalRepeat = chapterIntervalRepeatTime >= __WEBPACK_IMPORTED_MODULE_4_moment__();
                                console.log('checkUserCourseChapterInfo updateTime============', vv, chapterIntervalRepeatTime, __WEBPACK_IMPORTED_MODULE_4_moment__());
                                chapterInfo.isFinish = chapterInfo.intervalRepeat ? vv.isFinish : 0;
                                chapterInfo.progress = chapterInfo.intervalRepeat ? vv.progress : 0;
                            }
                            else {
                                chapterInfo.intervalRepeat = false;
                            }
                            // chapterInfo.isRead = vv.isRead;
                            chapterInfo.isRead = chapterInfo.intervalRepeat ? vv.isRead : false;
                        }
                    });
                }
            }
        });
    };
    //提交是更新用户本地课程状态信息
    //courseId,isShortClassHours=false,isRead=false,isFinish = false,isCollection?,readFinishCnt?,chapterId?,progress?,updateTime?
    LearningLawService.prototype.updateCourseUserStatus = function (courseInfo, field, value, chapterInfo) {
        var _this = this;
        if (chapterInfo === void 0) { chapterInfo = null; }
        if (field == 'isCollection') {
            var userHasFavorites_1 = false;
            this.userAllInfo.myFavorites.forEach(function (v, i) {
                if (v.learnId == courseInfo.id) {
                    console.log('isCollection', v, courseInfo);
                    userHasFavorites_1 = true;
                    if (!value) {
                        _this.userAllInfo.myFavorites.splice(i, 1);
                    }
                }
            });
            if (!userHasFavorites_1) {
                if (value) {
                    this.userAllInfo.myFavorites.push({
                        'imgUrl': courseInfo.image,
                        'favoritesName': courseInfo.name,
                        'learnId': courseInfo.id,
                        'learnType': courseInfo.learningType,
                    });
                }
            }
        }
        else {
            var userHasCourseInfo_1 = false;
            this.userAllInfo.learnList.forEach(function (v) {
                if (v.studyContentId == courseInfo.id) {
                    userHasCourseInfo_1 = true;
                    if (v.learningType == 'video') {
                        if (field == 'isShortClassHours') {
                            v['isShortClassHours'] = value;
                        }
                        if (field == 'intervalRepeat') {
                            v['intervalRepeat'] = value;
                        }
                        if (field == 'progress') {
                            v['progress'] = value;
                        }
                        v.updateTime = __WEBPACK_IMPORTED_MODULE_4_moment__().format("YYYY-MM-DD HH:MM:SS");
                    }
                    else if (v.learningType == 'book') {
                        console.log('4::::::::::::+++++');
                        if (chapterInfo == null) {
                            if (field == 'readFinishCnt') {
                                v['readFinishCnt'] = value;
                            }
                            if (field == 'updateTime') {
                                v.updateTime = value;
                            }
                        }
                        else {
                            var userHasChapter_1 = false;
                            if (field == 'updateTime') {
                                v.updateTime = value;
                            }
                            v.learnedList.forEach(function (vv) {
                                console.log('5::::::::::::+++++');
                                if (vv.chapterId == chapterInfo.chapterId) {
                                    userHasChapter_1 = true;
                                    console.log('vv,chapterInfo===========2', vv, chapterInfo.chapterId);
                                    if (field == 'intervalRepeat') {
                                        vv['intervalRepeat'] = value;
                                    }
                                    if (field == 'isRead') {
                                        vv['isRead'] = value;
                                    }
                                    if (field == 'updateTime') {
                                        vv.updateTime = value;
                                    }
                                }
                            });
                            if (!userHasChapter_1) {
                                console.log('6::::::::::::+++++');
                                var chapterLearned = {
                                    chapterId: chapterInfo.chapterId,
                                    isFinish: 0,
                                    progress: 0,
                                    intervalRepeat: false,
                                    isRead: false,
                                    updateTime: __WEBPACK_IMPORTED_MODULE_4_moment__().format("YYYY-MM-DD HH:MM:SS")
                                };
                                if (field == 'intervalRepeat') {
                                    chapterLearned['intervalRepeat'] = value;
                                }
                                if (field == 'isRead') {
                                    chapterLearned['isRead'] = value;
                                }
                                v.learnedList.push(chapterLearned);
                            }
                        }
                    }
                    if (field == 'isRead') {
                        v['isRead'] = v['isRead'] || value;
                    }
                    if (field == 'isFinish') {
                        v['isFinish'] = v['isFinish'] || value;
                    }
                }
            });
            if (!userHasCourseInfo_1) {
                var v = {
                    "studyContentId": courseInfo.id,
                    "intervalRepeat": false,
                    "isRead": false,
                    "learningType": courseInfo.learningType,
                    "isFinish": 0,
                    "studyContentName": courseInfo.name,
                    "isShortClassHours": false,
                    "progress": 0,
                    "learnedList": [],
                    "updateTime": __WEBPACK_IMPORTED_MODULE_4_moment__().format("YYYY-MM-DD HH:MM:SS")
                };
                var chapterLearned = void 0;
                console.log('7::::::::::::+++++');
                if (chapterInfo != null) {
                    chapterLearned = {
                        chapterId: chapterInfo.chapterId,
                        isFinish: 0,
                        progress: 0,
                        intervalRepeat: false,
                        isRead: false,
                        updateTime: __WEBPACK_IMPORTED_MODULE_4_moment__().format("YYYY-MM-DD HH:MM:SS")
                    };
                    v.learnedList.push(chapterLearned);
                }
                if (v.learningType == 'video') {
                    if (field == 'isShortClassHours') {
                        v['isShortClassHours'] = value;
                    }
                    if (field == 'intervalRepeat') {
                        v['intervalRepeat'] = value;
                    }
                    if (field == 'progress') {
                        v['progress'] = value;
                    }
                }
                else if (v.learningType == 'book') {
                    console.log('8::::::::::::+++++');
                    if (chapterInfo.chapterId == null) {
                        if (field == 'readFinishCnt') {
                            v['readFinishCnt'] = value;
                        }
                        if (field == 'updateTime') {
                            v.updateTime = value;
                        }
                    }
                    else {
                        v.learnedList.forEach(function (vv) {
                            console.log('9::::::::::::+++++');
                            if (vv.chapterId == chapterInfo.chapterId) {
                                console.log('vv,chapterInfo===========3', vv, chapterInfo.chapterId);
                                if (field == 'intervalRepeat') {
                                    vv['intervalRepeat'] = value;
                                }
                                if (field == 'isRead') {
                                    vv['isRead'] = value;
                                }
                                if (field == 'updateTime') {
                                    vv.updateTime = value;
                                }
                            }
                        });
                    }
                }
                if (field == 'isRead') {
                    v['isRead'] = v['isRead'] || value;
                }
                if (field == 'isFinish') {
                    v['isFinish'] = v['isFinish'] || value;
                }
                this.userAllInfo.learnList.push(v);
            }
        }
    };
    /**
     * 获取用户学习进度列表
     */
    LearningLawService.prototype.getUserLearningRateList = function (paramsOne, paramsTow, type) {
        var _this = this;
        var userId = localStorage.getItem('exam-userId');
        this.dbUtils.selectByWhere({
            tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
            where: "key='" + userId + "_learningRate'",
            success: function (result) {
                console.log('getUserLearningRateList===result', result);
                if (result && result.length > 0) {
                    _this.userAllInfo.learnList = result[0].rateList ? JSON.parse(result[0].rateList) : [];
                    console.log('this.userAllInfo.learnList', _this.userAllInfo.learnList);
                    if (type == 'course') {
                        _this.checkUserCourseInfo(paramsOne, paramsTow);
                    }
                    else {
                        _this.checkUserCourseChapterInfo(paramsOne, paramsTow);
                    }
                }
            }
        });
    };
    /**
     * 更新学习进度
     */
    LearningLawService.prototype.updateLearningRate = function () {
        var _this = this;
        var userId = localStorage.getItem('exam-userId');
        this.dbUtils.selectByWhere({
            tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
            where: "key='" + userId + "_learningRate'",
            success: function (result) {
                console.log('getLearningRate========result', result);
                if (result && result.length > 0) {
                    _this.dbUtils.update({
                        tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                        data: {
                            key: userId + '_learningRate',
                            updateTime: new Date().setHours(0, 0, 0, 0),
                            rateList: _this.userAllInfo.learnList ? JSON.stringify(_this.userAllInfo.learnList) : JSON.stringify([]),
                        },
                        where: "key='" + userId + "_learningRate'",
                        success: function () {
                            console.log('学习进度更新成功！');
                            _this.dbUtils.selectAll({
                                tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                                success: function (res) {
                                    console.log('LEARNING_RATE', res);
                                    console.log('LEARNING_RATE rateList', res[0].rateList ? JSON.parse(res[0].rateList) : '');
                                }
                            });
                        }
                    });
                }
                else {
                    _this.dbUtils.insert({
                        tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                        data: {
                            key: userId + '_learningRate',
                            updateTime: new Date().setHours(0, 0, 0, 0),
                            rateList: _this.userAllInfo.learnList ? JSON.stringify(_this.userAllInfo.learnList) : JSON.stringify([]),
                        },
                        success: function () {
                            console.log('学习进度添加成功！');
                            _this.dbUtils.selectAll({
                                tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                                success: function (res) {
                                    console.log('LEARNING_RATE', res);
                                    console.log('LEARNING_RATE rateList', res[0].rateList ? JSON.parse(res[0].rateList) : '');
                                }
                            });
                        }
                    });
                }
            }
        });
    };
    /**
     * 添加到收藏夹
     * @param favoritesName 收藏内容名称 试题名称或学习内容名称
     * @param favoritesType 1:试题 2:学习内容
     * @param sourceId  试题ID或学习内容ID
     * @param learningType 学习内容类型 favoritesType值为2,此值必填 video book
     */
    LearningLawService.prototype.addFavorites = function (favoritesName, favoritesType, sourceId, learningType, imgUrl) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('favoritesName', favoritesName)
            .set('favoritesType', favoritesType)
            .set('sourceId', sourceId)
            .set('learningType', learningType)
            .set('imgUrl', imgUrl);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appLearningLawAddFavoritesUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error(res);
                }
            });
        });
    };
    /**
     * 从收藏夹移除
     * @param favoritesType 1:试题 2:学习内容
     * @param sourceId  试题ID或学习内容ID
     */
    LearningLawService.prototype.removeFavorites = function (favoritesType, sourceId) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('favoritesType', favoritesType)
            .set('sourceId', sourceId);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appLearningLawRemoveFavoritesUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 获取考试试卷
     */
    LearningLawService.prototype.getTestPaper = function () {
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/getExamAndPageInfo");
    };
    /**
     * 获取资料列表参数
     * @param type 列表类别
     * @param topicID 专题ID
     */
    LearningLawService.prototype.getMaterialListParam = function (type, topicID) {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            var url = '';
            switch (type) {
                case "readingMatter":
                    url = _this.appReadingMatterListParamUrl;
                    break;
                case "lecture":
                    url = _this.appLectureListParamUrl;
                    break;
                case "thematicContent":
                    url = _this.appSpecialTopicListDetailListParamUrl + ("/" + topicID + "/pageCount.json");
                    break;
            }
            _this.http.get(url)
                .subscribe(function (res) {
                observer.next(res);
                observer.complete();
                console.log('getMaterialListParam::::', res, type);
            });
        });
    };
    // /**
    //  * 获取学法资料专题课程详情列表参数
    //  * @param topicId
    //  */
    // getSpecialTopicListDetailListParam(topicId): Observable<any>  {
    //   return new Observable((observer: any) => {
    //     this.http.get(this.appSpecialTopicListDetailListParamUrl+`/${topicId}/pageCount.json`)
    //       .subscribe((res: any) => {
    //         observer.next(res);
    //         observer.complete();
    //         console.log('getSpecialTopicListDetailListParam::::', res);
    //       });
    //   })
    // }
    /**
     * 内容列表分页
     */
    LearningLawService.prototype.getContentList = function (pageNo, selectedTab, topicId) {
        // let params;
        // if (topicId) {
        //   params = new HttpParams()
        //     .set('page', '' + pageNo)
        //     .set('rows', '' + 10)
        //     .set('topicId', topicId)
        // } else {
        //   params = new HttpParams()
        //     .set('page', '' + pageNo)
        //     .set('rows', '' + 10);
        // }
        var _this = this;
        // let url = "/rest/api/studycontent/getBookList";
        // if(selectedTab == "lecture"){
        //   url = "/rest/api/studycontent/getVideoList";
        // } else if(selectedTab == "specialTopic"){
        //   url = "/rest/api/studycontent/getSpecialTopicList";
        // }else if(selectedTab == "thematicContent"){
        //   url = "/rest/api/studycontent/getSpecialTopicDetailList";
        // }
        var learningType = 'book';
        var url = this.appReadingMatterListUrl + ("/" + pageNo + ".json");
        if (selectedTab == "lecture") {
            url = this.appLectureListUrl + ("/" + pageNo + ".json");
            learningType = 'video';
        }
        else if (selectedTab == "specialTopic") {
            url = this.appSpecialTopicListUrl;
        }
        else if (selectedTab == "thematicContent") {
            learningType = 'all';
            url = this.appSpecialTopicListDetailListUrl + ("/" + topicId + "/" + pageNo + ".json");
        }
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(url).subscribe(function (res) {
                _this.checkMaterialViews(res, learningType);
                observer.next(res);
                observer.complete();
                // console.log('getLearningLawList res',res);
                // if (res.status == 200) {
                //   observer.next(res.result[0]);
                //   observer.complete();
                // } else {
                //   observer.error();
                // }
            });
        });
    };
    LearningLawService.prototype.checkMaterialViews = function (data, learningType) {
        var _this = this;
        if (this.courceViews != null) {
            data.forEach(function (v) {
                if (learningType == 'book') {
                    _this.courceViews.book.forEach(function (bookView) {
                        if (v.id == bookView.id) {
                            v.views = bookView.views;
                        }
                    });
                }
                else if (learningType == 'video') {
                    _this.courceViews.video.forEach(function (videoView) {
                        if (v.id == videoView.id) {
                            v.views = videoView.views;
                        }
                    });
                }
                else if (learningType == 'all') {
                    if (v.learningType == 'book') {
                        _this.courceViews.book.forEach(function (bookView) {
                            if (v.learningId == bookView.id) {
                                v.views = bookView.views;
                            }
                        });
                    }
                    else if (v.learningType == 'video') {
                        _this.courceViews.video.forEach(function (videoView) {
                            if (v.learningId == videoView.id) {
                                v.views = videoView.views;
                            }
                        });
                    }
                }
            });
        }
    };
    /**
     * 获取用户信息
     */
    LearningLawService.prototype.getUserAllInfo = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(_this.appUserAllInfoUrl).subscribe(function (res) {
                _this.getUserThreeInfo();
                //@ts-ignore
                _this.userAllInfo = res.result[0];
                var userId = localStorage.getItem('exam-userId');
                _this.dbUtils.selectByWhere({
                    tableName: __WEBPACK_IMPORTED_MODULE_6__common_db_DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                    where: "key='" + userId + "_learningRate'",
                    success: function (result) {
                        console.log('getUserAllInfo===result', result);
                        if (result && result.length > 0) {
                            var nowDate = new Date().setHours(0, 0, 0, 0);
                            for (var _i = 0, result_1 = result; _i < result_1.length; _i++) {
                                var item = result_1[_i];
                                if (item.updateTime != nowDate && item.key == userId + "_learningRate") {
                                    _this.getLearningRateInfo(userId);
                                }
                            }
                        }
                        else {
                            _this.getLearningRateInfo(userId);
                        }
                    }
                });
                observer.next(_this.userAllInfo);
                observer.complete();
            });
        });
    };
    /**
   * 获取学习进度信息
   */
    LearningLawService.prototype.getLearningRateInfo = function (userId) {
        var _this = this;
        this.http.get(__WEBPACK_IMPORTED_MODULE_3__common_commonSet__["b" /* CND_EXAM_API_URL */] + ("/learning-record/" + userId + "/learningRate.json")).subscribe(function (res) {
            var list = [];
            if (res.book) {
                for (var _i = 0, _a = res.book; _i < _a.length; _i++) {
                    var item = _a[_i];
                    var chapterList = [];
                    if (item.learnList) {
                        for (var _b = 0, _c = item.learnList; _b < _c.length; _b++) {
                            var res_1 = _c[_b];
                            var chapter = {
                                chapterId: res_1.chapterId,
                                intervalRepeat: true,
                                isFinish: 1,
                                isRead: true,
                                progress: 100,
                                updateTime: res_1.updateTime
                            };
                            chapterList.push(chapter);
                        }
                    }
                    var info = {
                        createTime: item.updateTime,
                        intervalRepeat: true,
                        isFinish: item.progress == 100 ? 1 : 0,
                        isRead: true,
                        learningType: "book",
                        progress: item.progress,
                        readFinishCnt: item.learnList ? item.learnList.length : 0,
                        studyContentId: item.studyContentId,
                        learnedList: chapterList,
                        studyContentName: '',
                        updateTime: item.updateTime,
                    };
                    list.push(info);
                }
            }
            if (res.video) {
                for (var _d = 0, _e = res.video; _d < _e.length; _d++) {
                    var item = _e[_d];
                    var info = {
                        createTime: item.updateTime,
                        intervalRepeat: false,
                        isFinish: item.progress == 100 ? 1 : 0,
                        isRead: true,
                        isShortClassHours: false,
                        learningType: "video",
                        progress: item.progress,
                        studyContentId: item.studyContentId,
                        studyContentName: "",
                        updateTime: item.updateTime
                    };
                    list.push(info);
                }
            }
            _this.userAllInfo['learnList'] = [];
            _this.userAllInfo['learnList'] = list;
            _this.updateLearningRate();
        });
    };
    /**
     * 获取部门信t息
     */
    LearningLawService.prototype.getDeptAllInfo = function (prentId, childId) {
        var _this = this;
        // console.log('getDeptInfo::::::1', this.userAllInfo);
        var url = this.appDeptInfoUrl + ("/" + prentId);
        if (childId) {
            url = url + "_" + childId + ".json";
        }
        else {
            url = url + ".json";
        }
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(url).subscribe(function (res) {
                //@ts-ignore
                // this.deptInfo = res;
                console.log('getDeptInfo::::::2', res);
                observer.next(res);
                observer.complete();
            }, function (err) {
                observer.next('获取机构数据失败，请稍后尝试');
                observer.complete();
            });
        });
    };
    /**
     * 提交部门信息(如果都为空则为用户确认自己的单位信息)
     */
    LearningLawService.prototype.saveUserDeptInfo = function (orgFullId, orgId) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('orgFullId', orgFullId)
            .set('orgId', orgId);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appSetUserDeptInfoUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 提交用户基本信息
     */
    LearningLawService.prototype.saveUserBaseInfo = function (username, sex, nation, mobile, personalCate, xrzwLevel) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('username', username)
            .set('sex', sex)
            .set('nation', nation)
            .set('mobile', mobile)
            .set('personalCate', personalCate)
            .set('xrzwLevel', xrzwLevel);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appSaveUserBaseInfoUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    _this.getUserThreeInfo();
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error(res);
                }
            });
        });
    };
    /**
     * 提交文章阅读记录
     */
    LearningLawService.prototype.setCourseViews = function (learningId, imgUrl, title, category) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('learningId', learningId)
            .set('viewName', title)
            .set('category', category)
            .set('imgUrl', imgUrl);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.appSetCourceViewsUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error(res);
                }
            });
        });
    };
    /**
     * 提交用户日志记录
     * @param operation 1：登录   2：资料学习   3：考试   4：练习   5：视频学习  6：考试操作
     * @param description 内容
     */
    LearningLawService.prototype.saveOperateLog = function (operation, description) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('source', '2') //1：PC 2：APP 3：WAP
            .set('operation', operation)
            .set('description', description);
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.post(_this.operateLogUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error(res);
                }
            });
        });
    };
    /**
     * 获取完成视频学习次数
     */
    LearningLawService.prototype.getFinishVideoNumber = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](function (observer) {
            _this.http.get(_this.appUserAllInfoUrl).subscribe(function (res) {
                observer.next(res.result[0].finishVideo ? res.result[0].finishVideo : 0);
                observer.complete();
            });
        });
    };
    LearningLawService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_5__common_db_DBUtils__["a" /* DBUtils */]])
    ], LearningLawService);
    return LearningLawService;
}());

//# sourceMappingURL=learning-law.service.js.map

/***/ }),

/***/ 203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StorageService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__ = __webpack_require__(279);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * StorageService 本地数据存储服务
 * @author Chile
 * @createAt 2019-04-20
 *
 */
var StorageService = /** @class */ (function () {
    function StorageService() {
        //设置http请求是否显示loading,注意:设置为true,接下来的请求会不显示loading,请求执行完成会自动设置为false
        this._showLoading = true;
    }
    Object.defineProperty(StorageService.prototype, "showLoading", {
        get: function () {
            return this._showLoading;
        },
        set: function (value) {
            this._showLoading = value;
        },
        enumerable: true,
        configurable: true
    });
    StorageService.prototype.write = function (key, value) {
        if (value) {
            value = JSON.stringify(value);
        }
        localStorage.setItem(key, value);
    };
    StorageService.prototype.read = function (key) {
        var value = localStorage.getItem(key);
        if (value && value != "undefined" && value != "null") {
            return JSON.parse(value);
        }
        return null;
    };
    StorageService.prototype.remove = function (key) {
        localStorage.removeItem(key);
    };
    StorageService.prototype.clear = function () {
        localStorage.clear();
    };
    StorageService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [])
    ], StorageService);
    return StorageService;
}());

//# sourceMappingURL=storage.service.js.map

/***/ }),

/***/ 205:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImageSliderViewerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_news_detail_footer_news_detail_footer__ = __webpack_require__(123);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_social_sharing__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__models_wechat__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_share_bar_share_bar__ = __webpack_require__(124);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_wechat_service__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_weibo_service__ = __webpack_require__(89);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













/**
 * ImageSliderViewerPage 多图片查看组件
 * @author Chile
 * @createAt 2019-05-16
 *
 */
var ImageSliderViewerPage = /** @class */ (function () {
    function ImageSliderViewerPage(events, viewCtrl, params, navCtrl, homeService, nativeService, authService, wechatService, weiboService, modalCtrl, socialSharing) {
        this.events = events;
        this.viewCtrl = viewCtrl;
        this.params = params;
        this.navCtrl = navCtrl;
        this.homeService = homeService;
        this.nativeService = nativeService;
        this.authService = authService;
        this.wechatService = wechatService;
        this.weiboService = weiboService;
        this.modalCtrl = modalCtrl;
        this.socialSharing = socialSharing;
        this.writeFollowUp = false; //是否正在写跟贴
        this.pics = params.get('images');
        this.focus = params.get('index');
        this.item = params.get("item");
    }
    ImageSliderViewerPage.prototype.ngOnInit = function () {
        this.getArticleDetail();
    };
    /**
     * 获取文章详情
     */
    ImageSliderViewerPage.prototype.getArticleDetail = function () {
        var _this = this;
        this.homeService.getArticleDetail(this.item.contentId, this.authService.getSessionID).subscribe(function (result) {
            _this.data = result;
            _this.data.timeAgo = __WEBPACK_IMPORTED_MODULE_7__common_commonFun__["b" /* Tict */].timeAgo(_this.data.releaseDate);
        });
    };
    ImageSliderViewerPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.events.subscribe('msg:login done', function () {
            _this.getArticleDetail();
            // this.newDetailFooter.updateInfo(this.data);
        });
    };
    /**
     * 点击跟贴输入框之外就取消录入
     */
    ImageSliderViewerPage.prototype.hideFollowUp = function () {
        this.writeFollowUp = false;
    };
    /**
     *点击跟贴
     */
    ImageSliderViewerPage.prototype.onClickFollowUp = function () {
        this.writeFollowUp = true;
    };
    /**
     * 保存跟贴信息
     */
    ImageSliderViewerPage.prototype.onSendFollowUp = function (info) {
        var _this = this;
        if (info.trim() === '') {
            this.writeFollowUp = false;
            return;
        }
        this.homeService.saveFollowUp(info, this.data.contentId, '').subscribe(function (result) {
            console.log('onSendFollowUp result', result);
            _this.data.commentCount = _this.data.commentCount + 1;
            _this.writeFollowUp = false;
        }, function (err) {
            console.log('onSendFollowUp err', err);
        });
    };
    /**
     * 保存点赞
     */
    ImageSliderViewerPage.prototype.onClickLike = function () {
        var _this = this;
        this.homeService.saveLike(this.data).subscribe(function (result) {
            console.log('保存点赞 ==========', result);
            if (!_this.data.isZan) {
                _this.data.ups = _this.data.ups + 1;
            }
            else {
                _this.data.ups = _this.data.ups - 1;
            }
            _this.data.isZan = !_this.data.isZan;
            _this.newDetailFooter.updateInfo(_this.data);
        }, function (err) {
            console.log('onClickLike err', err);
        });
    };
    /**
     * 保存收藏
     */
    ImageSliderViewerPage.prototype.onClickCollect = function () {
        var _this = this;
        this.homeService.saveCollect(this.data).subscribe(function (result) {
            console.log('保存收藏 ==========', result);
            if (_this.data.isCollection !== 1) {
                _this.data.isCollection = 1;
            }
            else {
                _this.data.isCollection = 0;
            }
            _this.newDetailFooter.updateInfo(_this.data);
        }, function (err) {
            console.log('onClickCollect err', err);
        });
    };
    /**
     * 点击查看跟贴
     */
    ImageSliderViewerPage.prototype.onClickFollowUpInfo = function () {
        console.log('跟贴文章:', this.data);
        this.navCtrl.push('FollowUpViewPage', { "id": this.data.contentId, "type": "article" });
    };
    /**
     * 跳转到到搜索页面
     */
    ImageSliderViewerPage.prototype.onClickShare = function () {
        if (!this.authService.checkAuth()) {
            var modal = this.modalCtrl.create("LoginPage", { 'isMe': true });
            modal.present();
        }
        else {
            this.shareBar.show();
        }
        // this.homeService.getArticleWapUrl(this.data.contentId).subscribe(result=>{
        //   let wapUrl= result.result[0];
        //   this.socialSharing.share(this.data.title,'广西普法网',null,wapUrl).then(re=>{
        //     console.log(re);
        //   });
        // });
    };
    /**
     * 关闭页面
     */
    ImageSliderViewerPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    /**
     * 微信分享
     * @param item 场景参数
     */
    ImageSliderViewerPage.prototype.shareTo = function (item) {
        var _this = this;
        this.homeService.getArticleWapUrl(this.data.contentId).subscribe(function (result) {
            var wapUrl = result.result[0];
            var image = _this.data.typeImg;
            if (!_this.data.typeImg) {
                if (_this.pics.length > 0) {
                    image = _this.pics[0].imgPath;
                }
            }
            //微信分享
            if (item.type === 'wechat') {
                var option = {
                    message: {
                        title: _this.data.title,
                        description: _this.item.description,
                        thumb: image,
                        mediaTagName: "广西普法",
                        media: {
                            webpageUrl: wapUrl,
                            type: __WEBPACK_IMPORTED_MODULE_8__models_wechat__["a" /* WechatMediaType */].WEBPAGE
                        }
                    },
                    scene: item.value
                };
                _this.wechatService.wechatShare(option).subscribe(function (result) {
                    _this.nativeService.showToast('分享成功', 2000);
                }, function (err) {
                    _this.nativeService.showToast(err, 2000);
                });
                //微博分享
            }
            else if (item.type === 'weibo') {
                var option = {
                    title: _this.data.title,
                    description: _this.item.description,
                    imageUrl: image,
                    url: wapUrl,
                    defaultText: '',
                };
                _this.weiboService.weiboShare(option).subscribe(function (result) {
                    _this.nativeService.showToast('分享成功', 2000);
                }, function (err) {
                    _this.nativeService.showToast(err, 2000);
                });
            }
        }, function (err) {
            console.log('err:', err);
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('newDetailFooter'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_2__components_news_detail_footer_news_detail_footer__["a" /* NewsDetailFooterComponent */])
    ], ImageSliderViewerPage.prototype, "newDetailFooter", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_9__components_share_bar_share_bar__["a" /* ShareBarComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_9__components_share_bar_share_bar__["a" /* ShareBarComponent */])
    ], ImageSliderViewerPage.prototype, "shareBar", void 0);
    ImageSliderViewerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'image-slider-viewer',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\home\image-slider-viewer\image-slider-viewer.html"*/'<ion-content style="background-color: rgba(0,0,0,0.96) !important;" (tap)="hideFollowUp()">\n  <ion-navbar transparent style="position: absolute;z-index: 10000">\n    <ion-buttons start>\n      <button ion-button (click)="dismiss()">\n        <ion-icon style="color:white" name="close"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n  <ion-slides initialSlide="{{focus}}">\n    <ion-slide *ngFor="let pic of pics; let i=index;let c=count">\n      <div class="swiper-zoom-container">\n        <img [src]=\'pic.imgPath\'/>\n        <div class="swiper-number">\n          <ion-row>\n            <ion-col col-2>{{i + 1}}/{{c}}</ion-col>\n            <ion-col col-10 text-left class="font-14">{{pic.description}}</ion-col>\n          </ion-row>\n        </div>\n      </div>\n    </ion-slide>\n  </ion-slides>\n\n</ion-content>\n<ion-footer text-wrap transparent>\n  <news-detail-footer #newDetailFooter [newsData]="data" (clickFollowUp)="onClickFollowUp()"\n                      (sendFollowUp)="onSendFollowUp($event)" (clickFollowUpInfo)="onClickFollowUpInfo()"\n                      (clickLike)="onClickLike($event)" (clickCollect)="onClickCollect($event)"\n                      (clickShare)="onClickShare()" [writing]="writeFollowUp"></news-detail-footer>\n</ion-footer>\n<share-bar (onSelect)="shareTo($event)"></share-bar>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\home\image-slider-viewer\image-slider-viewer.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_home_service__["a" /* HomeService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_10__providers_wechat_service__["a" /* WechatService */],
            __WEBPACK_IMPORTED_MODULE_11__providers_weibo_service__["a" /* WeiboService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_social_sharing__["a" /* SocialSharing */]])
    ], ImageSliderViewerPage);
    return ImageSliderViewerPage;
}());

//# sourceMappingURL=image-slider-viewer.js.map

/***/ }),

/***/ 206:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VideoPlayPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_video_service__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_geo_service__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_news_detail_footer_news_detail_footer__ = __webpack_require__(123);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_social_sharing__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__components_share_bar_share_bar__ = __webpack_require__(124);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__models_wechat__ = __webpack_require__(125);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__providers_wechat_service__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__providers_weibo_service__ = __webpack_require__(89);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};














/**
 * VideoPlayPage 本地视频播放页面 (暂时不用)
 * @author Chile
 * @createAt 2019-07-11
 *
 */
var VideoPlayPage = /** @class */ (function () {
    function VideoPlayPage(events, params, navCtrl, viewCtrl, videoService, loadingCtrl, alertCtrl, geoService, homeService, nativeService, authService, platform, socialSharing, wechatService, weiboService, modalCtrl) {
        this.events = events;
        this.params = params;
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.videoService = videoService;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.geoService = geoService;
        this.homeService = homeService;
        this.nativeService = nativeService;
        this.authService = authService;
        this.platform = platform;
        this.socialSharing = socialSharing;
        this.wechatService = wechatService;
        this.weiboService = weiboService;
        this.modalCtrl = modalCtrl;
        this.writeFollowUp = false; //是否正在写跟贴
        this.isFullscreen = false;
        // this.item = params.get("item");
        this.data = params.get("item");
        this.data.timeAgo = __WEBPACK_IMPORTED_MODULE_4__common_commonFun__["b" /* Tict */].timeAgo(this.data.releaseDate);
    }
    /**
     * 获取文章详情
     */
    VideoPlayPage.prototype.getArticleDetail = function () {
        var _this = this;
        this.homeService.getArticleDetail(this.item.contentId, this.authService.getSessionID).subscribe(function (result) {
            console.log('getArticleDetail', result);
            _this.data = result;
            _this.data.timeAgo = __WEBPACK_IMPORTED_MODULE_4__common_commonFun__["b" /* Tict */].timeAgo(_this.data.releaseDate);
        });
    };
    VideoPlayPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.events.subscribe('msg:login done', function () {
            _this.getArticleDetail();
            // this.newDetailFooter.updateInfo(this.data);
        });
    };
    /**
     * 点击跟贴输入框之外就取消录入
     */
    VideoPlayPage.prototype.hideFollowUp = function () {
        this.writeFollowUp = false;
    };
    /**
     *点击跟贴
     */
    VideoPlayPage.prototype.onClickFollowUp = function () {
        this.writeFollowUp = true;
    };
    /**
     * 保存跟贴信息
     */
    VideoPlayPage.prototype.onSendFollowUp = function (info) {
        var _this = this;
        if (info.trim() === '') {
            this.writeFollowUp = false;
            return;
        }
        this.homeService.saveFollowUp(info, this.data.contentId, '').subscribe(function (result) {
            console.log('onSendFollowUp result', result);
            _this.data.commentCount = _this.data.commentCount + 1;
            _this.writeFollowUp = false;
        }, function (err) {
            console.log('onSendFollowUp err', err);
        });
    };
    /**
     * 保存点赞
     */
    VideoPlayPage.prototype.onClickLike = function () {
        var _this = this;
        this.homeService.saveLike(this.data).subscribe(function (result) {
            console.log('保存点赞 ==========', result);
            if (!_this.data.isZan) {
                _this.data.ups = _this.data.ups + 1;
            }
            else {
                _this.data.ups = _this.data.ups - 1;
            }
            _this.data.isZan = !_this.data.isZan;
            _this.newDetailFooter.updateInfo(_this.data);
        }, function (err) {
            console.log('onClickLike err', err);
        });
    };
    /**
     * 保存收藏
     */
    VideoPlayPage.prototype.onClickCollect = function () {
        var _this = this;
        this.homeService.saveCollect(this.data).subscribe(function (result) {
            console.log('保存收藏 ==========', result);
            if (_this.data.isCollection !== 1) {
                _this.data.isCollection = 1;
            }
            else {
                _this.data.isCollection = 0;
            }
            _this.newDetailFooter.updateInfo(_this.data);
        }, function (err) {
            console.log('onClickCollect err', err);
        });
    };
    /**
     * 点击查看跟贴
     */
    VideoPlayPage.prototype.onClickFollowUpInfo = function () {
        console.log('跟贴文章:', this.data);
        this.navCtrl.push('FollowUpViewPage', { "id": this.data.contentId, "type": "article" });
    };
    /**
     * 跳转到到搜索页面
     */
    VideoPlayPage.prototype.onClickShare = function () {
        if (!this.authService.checkAuth()) {
            var modal = this.modalCtrl.create("LoginPage", { 'isMe': true });
            modal.present();
        }
        else {
            this.shareBar.show();
        }
        // this.homeService.getArticleWapUrl(this.data.contentId).subscribe(result=>{
        //   let wapUrl= result.result[0];
        //   this.socialSharing.share(this.data.title,'广西普法网',null,wapUrl).then(re=>{
        //     console.log(re);
        //   });
        // });
    };
    /**
     * 微信分享
     * @param item 场景参数
     */
    VideoPlayPage.prototype.shareTo = function (item) {
        var _this = this;
        this.homeService.getArticleWapUrl(this.data.contentId).subscribe(function (result) {
            var wapUrl = result.result[0];
            var image = _this.data.typeImg;
            if (!_this.data.typeImg) {
                var reg = /<img\b.*?(?:\>|\/>)/gi;
                var s_1 = [];
                var images = _this.data.articleContent.match(reg);
                if (images) {
                    images.forEach(function (item) {
                        var reg = /\bsrc\b\s*=\s*[\'\"]?([^\'\"]*)[\'\"]?/i;
                        s_1.push(item.match(reg));
                    });
                    //preg_match('/<img.+src=\"?(.+\.(jpg|gif|bmp|bnp|png))\"?.+>/i',$str,$match); echo $match[1];
                    console.log('WapUrl,文章中的图片：', wapUrl, s_1);
                }
                if (s_1.length > 0) {
                    image = s_1[0][1];
                }
            }
            //微信分享
            if (item.type === 'wechat') {
                var option = {
                    message: {
                        title: _this.data.title,
                        description: _this.item.description,
                        thumb: image,
                        mediaTagName: "广西普法",
                        media: {
                            webpageUrl: wapUrl,
                            type: __WEBPACK_IMPORTED_MODULE_11__models_wechat__["a" /* WechatMediaType */].WEBPAGE
                        }
                    },
                    scene: item.value
                };
                _this.wechatService.wechatShare(option).subscribe(function (result) {
                    _this.nativeService.showToast('分享成功', 2000);
                }, function (err) {
                    _this.nativeService.showToast(err, 2000);
                });
                //微博分享
            }
            else if (item.type === 'weibo') {
                var option = {
                    title: _this.data.title,
                    description: _this.item.description,
                    imageUrl: image,
                    url: wapUrl,
                    defaultText: '',
                };
                _this.weiboService.weiboShare(option).subscribe(function (result) {
                    _this.nativeService.showToast('分享成功', 2000);
                }, function (err) {
                    _this.nativeService.showToast(err, 2000);
                });
            }
        }, function (err) {
            console.log('err:', err);
        });
    };
    VideoPlayPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    /**
     * 全屏播放事件
     * @param event 是否全屏
     */
    VideoPlayPage.prototype.fullscreenEvent = function (event) {
        this.isFullscreen = event.isFullscreen;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('newDetailFooter'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_8__components_news_detail_footer_news_detail_footer__["a" /* NewsDetailFooterComponent */])
    ], VideoPlayPage.prototype, "newDetailFooter", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_10__components_share_bar_share_bar__["a" /* ShareBarComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_10__components_share_bar_share_bar__["a" /* ShareBarComponent */])
    ], VideoPlayPage.prototype, "shareBar", void 0);
    VideoPlayPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-play',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\home\video-play\video-play.html"*/'<ion-content  style="background-color: rgba(0,0,0,0.96) !important;" (tap)="hideFollowUp()" no-padding>\n  <ion-navbar transparent style="position: absolute;z-index: 10000;" [hidden]="isFullscreen">\n    <ion-title>\n      {{data?.title}}\n    </ion-title>\n    <ion-buttons start>\n      <button ion-button (click)="dismiss()">\n        <ion-icon style="color:white;" name="close" ></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n  <common-video-player\n    [vurl]="data?.videoUrl"\n    (fullscreen)="fullscreenEvent($event)"\n    [cover]="data?.typeImg">\n  </common-video-player>\n</ion-content>\n\n<ion-footer text-wrap transparent [hidden]="isFullscreen">\n  <news-detail-footer #newDetailFooter [newsData]="data" (clickFollowUp)="onClickFollowUp()"\n                      (sendFollowUp)="onSendFollowUp($event)" (clickFollowUpInfo)="onClickFollowUpInfo()"\n                      (clickLike)="onClickLike($event)" (clickCollect)="onClickCollect($event)"\n                      (clickShare)="onClickShare()" [writing]="writeFollowUp"></news-detail-footer>\n</ion-footer>\n<share-bar (onSelect)="shareTo($event)"></share-bar>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\home\video-play\video-play.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_video_service__["a" /* VideoService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_geo_service__["a" /* GeoService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_home_service__["a" /* HomeService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_auth_service__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_9__ionic_native_social_sharing__["a" /* SocialSharing */],
            __WEBPACK_IMPORTED_MODULE_12__providers_wechat_service__["a" /* WechatService */],
            __WEBPACK_IMPORTED_MODULE_13__providers_weibo_service__["a" /* WeiboService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], VideoPlayPage);
    return VideoPlayPage;
}());

//# sourceMappingURL=video-play.js.map

/***/ }),

/***/ 208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShareBarModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__share_bar__ = __webpack_require__(124);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ShareBarModule = /** @class */ (function () {
    function ShareBarModule() {
    }
    ShareBarModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__share_bar__["a" /* ShareBarComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__share_bar__["a" /* ShareBarComponent */]
            ]
        })
    ], ShareBarModule);
    return ShareBarModule;
}());

//# sourceMappingURL=share-bar.module.js.map

/***/ }),

/***/ 209:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VideoService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__ionic_native_video_editor__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_media_capture__ = __webpack_require__(498);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_geolocation__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__geo_service__ = __webpack_require__(174);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * VideoService 视频处理服务
 * @author Chile
 * @createAt 2019-07-08
 */
var VideoService = /** @class */ (function () {
    function VideoService(platform, device, alertCtrl, loadingCtrl, file, geoService, videoEditor, mediaCapture, geolocation) {
        var _this = this;
        this.platform = platform;
        this.device = device;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.file = file;
        this.geoService = geoService;
        this.videoEditor = videoEditor;
        this.mediaCapture = mediaCapture;
        this.geolocation = geolocation;
        /**
         * 图片对像 （暂时不用）
         */
        this.iconsData = {
            local: {
                path: 'assets/markers_svg/PROMIS_marker_local.svg'
            },
            uploaded: {
                path: 'assets/markers_svg/PROMIS_marker_upload.svg'
            },
            downloaded: {
                path: 'assets/markers_svg/PROMIS_marker_download.svg'
            },
            branch: {
                path: 'assets/markers_svg/PROMIS_marker_branch.svg'
            },
            remote: {
                path: 'assets/markers_svg/PROMIS_marker_remote.svg'
            }
        };
        /**
         * 生成UUID
         */
        this.generateUuid = function () {
            var uuid = "", i, random;
            for (i = 0; i < 32; i++) {
                random = Math.random() * 16 | 0;
                if (i == 8 || i == 12 || i == 16 || i == 20) {
                    uuid += "-";
                }
                uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
            }
            return uuid;
        };
        this.videoPath = file.dataDirectory;
        this.thumbPath = file.cacheDirectory; // change when thumbs are also moved into persistent storage
        // make sure file plugin is ready before calling
        setTimeout(function () {
            _this.setupPaths();
        }, 1500);
    }
    VideoService_1 = VideoService;
    /**
     * 配置默认路径
     */
    VideoService.prototype.setupPaths = function () {
        console.log("getting paths from file plugin");
        if (this.platform.is("cordova")) {
            if (this.platform.is("android")) {
                console.log("android");
                this.videoPath = this.file.externalDataDirectory;
                this.thumbPath = this.file.externalDataDirectory + "files/videos/";
                this.transcodedPath = this.file.externalDataDirectory + "files/videos/";
            }
            else {
                console.log("ios");
                this.videoPath = this.file.dataDirectory;
                this.thumbPath = this.file.cacheDirectory; // change when thumbs are moved into persistent storage
                this.transcodedPath = this.file.cacheDirectory; // change when transcode is moved into persistent storage
            }
        }
        else {
            this.videoPath = "";
            this.thumbPath = "assets/elements/";
        }
        console.log(this.videoPath);
        console.log(this.thumbPath);
        console.log(this.transcodedPath);
    };
    // static ArrNoDupe(a) {
    //   let temp = {};
    //   for (let i = 0; i < a.length; i++)
    //     temp[a[i]] = true;
    //   let r = [];
    //   for (let k in temp)
    //     r.push(k);
    //   return r;
    // }
    /**
     * 暂时不用
     * @param video
     */
    VideoService.prototype.src = function (video) {
        if (video.transcoded) {
            if (video.transcodedFilename) {
                if (video.downloaded) {
                    return this.videoPath + video.transcodedFilename;
                }
                else {
                    return this.transcodedPath + video.transcodedFilename;
                }
            }
        }
        else {
            if (video.originalPathRel) {
                return this.videoPath + video.originalPathRel;
            }
            else {
                return video.originalPath;
            }
        }
    };
    /**
     * 删除本地文件
     * @param path 完整路径（file://开头，并带文件名）
     * @param name 文件名
     */
    VideoService.prototype.deleteFile = function (path, name) {
        console.log("trying to delete " + path);
        var pathInfo = path.substring(0, path.lastIndexOf("/"));
        this.file.removeFile(pathInfo, name)
            .then(function (info) {
            console.log("文件删除成功!", info);
        })
            .catch(function (err) {
            console.log("文件删除失败!", err);
        });
        //**********另一种删除文件方式****************//
        // this.file.resolveLocalFilesystemUrl(path).then(
        //   (fileEntry: FileEntry) => {
        //     console.log("received fileEntry");
        //     console.log(JSON.stringify(fileEntry));
        //
        //     function success() {
        //       console.log("Removal succeeded");
        //     }
        //
        //     function fail(error) {
        //       console.log('Error removing file: ' + JSON.stringify(error));
        //     }
        //
        //     fileEntry.remove(success, fail);
        //   }, (error) => {
        //     console.log(JSON.stringify(error));
        //   });
    };
    /**
     * 视频录像
     * @param loading1 初始化l提示
     * @param loading2 录制完后，处理提示
     */
    VideoService.prototype.doCaptureAsynch = function (loading1, loading2) {
        var _this = this;
        if (loading1 === void 0) { loading1 = null; }
        if (loading2 === void 0) { loading2 = null; }
        var options = { limit: 1 };
        var video;
        var videoDuration;
        this.currentUuid = this.generateUuid();
        console.log("尝试获取位置信息！");
        var start_geoposition;
        var end_geoposition;
        // 启动获取位置信息
        return this.geolocation.getCurrentPosition({
            'enableHighAccuracy': true,
            'maximumAge': 5000,
            'timeout': 15000,
        }).then(function (resp) {
            console.log("收到视频开始位置");
            start_geoposition = __WEBPACK_IMPORTED_MODULE_7__geo_service__["a" /* GeoService */].parseGeolocationObject(resp);
            if (loading1) {
                loading1.dismiss();
            }
            if (_this.platform.is('cordova')) {
                console.log('启动视频媒体捕获......');
                // INIT CAPTURE
                return _this.mediaCapture.captureVideo(options);
            }
            else {
                return Promise.resolve(null);
            }
        }, function (error) {
            loading1.dismiss();
            console.log('获取位置错误');
            console.log(error);
            alert("无法获得你的位置信息，请打开GPS重新获取");
            return Promise.reject(error); // break promise chain -> do not go to next then!
        }).then(function (data) {
            console.log("媒体捕获完成");
            if (data) {
                data[0].getFormatData(function (d) {
                    console.log(d.duration);
                    videoDuration = d.duration; // assuming this is done in time?
                });
            }
            if (loading2) {
                loading2.present();
            }
            if (!data && !_this.platform.is('cordova')) {
                return Promise.resolve(null); // browser test mode
            }
            else {
                // 初始化保存
                return _this.moveToPersistent(data);
            }
        }, function (error) {
            console.log('媒体捕获错误');
            console.log(JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        }).then(function (file) {
            var system = _this.platform.is('ios') ? 'ios' : (_this.platform.is('android') ? 'android' : 'windows');
            video = {
                title: "",
                duration: videoDuration,
                createdAt: new Date(),
                lastModified: new Date(),
                localOrigin: true,
                originalPath: file ? file.toURL() : "",
                originalPathRel: file ? file.name : "",
                videoUuid: _this.currentUuid,
                deviceUuid: "",
                system: "",
                transcoded: false,
                transcodeProgress: 0,
                transcodedPath: '',
                transcodedPathRel: '',
                transcodedFilename: '',
                uploaded: false,
                uploadProgress: 0,
                downloaded: false,
                branch: false,
                start_geoposition: start_geoposition,
            };
            if (_this.platform.is('cordova')) {
                video.deviceUuid = _this.device.uuid;
                video.system = system + '@ ' + _this.device.version;
            }
            else {
                video.deviceUuid = "browserTest";
                video.transcoded = true; // for browser testing
                video.transcodeProgress = 1;
            }
            console.log(JSON.stringify(video));
            // 初始化获取结束位置
            return _this.geolocation.getCurrentPosition({
                'enableHighAccuracy': true,
                'maximumAge': 5000,
                'timeout': 15000,
            });
        }, function (error) {
            loading2.dismiss();
            console.log('移动视频出错');
            console.log(JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        }).then(function (resp) {
            console.log("获取到视频结束位置", resp);
            end_geoposition = __WEBPACK_IMPORTED_MODULE_7__geo_service__["a" /* GeoService */].parseGeolocationObject(resp);
        }, function (error) {
            loading2.dismiss();
            console.log('获取视频结束位置错误');
            console.log(JSON.stringify(error));
            //alert("Unable to obtain your position. Assuming you ended where you started.")
            end_geoposition = start_geoposition; // does not break promise chain -> go to next then!
            if (!video) {
                return Promise.reject(error);
            }
        }).then(function () {
            console.log(JSON.stringify(end_geoposition));
            video.end_geoposition = end_geoposition;
        }).then(function () {
            //Todo 保存到新的文件
            return _this.addVideoAsynch(video);
            //return video;
        });
    };
    /**
     * 保存视频并生成缩略图
     * @param video 视频对像
     */
    VideoService.prototype.addVideoAsynch = function (video) {
        var _this = this;
        var thumb_file = "";
        //video.transcoded = false;
        if (this.platform.is('cordova')) {
            console.log("正在生成缩略图：" + video.videoUuid);
            thumb_file = this.currentUuid + "_thumb";
            return this.videoEditor.createThumbnail({
                fileUri: video.originalPath,
                outputFileName: thumb_file,
                atTime: 0,
                width: 480,
                height: 320,
                quality: 100 // optional, quality of the thumbnail (between 1 and 100)
            }).then(function (thumbPath) {
                console.log(thumbPath.toString());
                video.thumbPath = thumbPath.toString();
                // TODO HERE: move thumbnail from cache directory to persistent storage
                if (_this.platform.is('cordova')) {
                    video.thumbPathRel = thumb_file + ".jpg";
                }
                else {
                    video.thumbPathRel = "nopic.jpg";
                }
                return video;
            }, function (error) {
                console.log("生成缩略图错误。");
                console.log(error);
                return Promise.reject(error);
            });
        }
        else {
            video.thumbPath = "/assets/imgs/nopic.jpg";
            video.thumbPathRel = "nopic.jpg";
            return Promise.resolve(video);
        }
    };
    /**
     * 视频转码
     * @param videoInfo 视频对像
     * @param progress 进度提示
     * @param callback 返回事件
     */
    VideoService.prototype.transcodeVideo = function (videoInfo, progress, callback) {
        var _this = this;
        var video = videoInfo;
        var transcodedFilename = "transcode_" + video.videoUuid;
        var options = {
            fileUri: video.originalPathRel ? (this.videoPath + video.originalPathRel) : video.originalPath,
            outputFileName: transcodedFilename,
            outputFileType: this.videoEditor.OutputFileType.MPEG4,
            optimizeForNetworkUse: this.videoEditor.OptimizeForNetworkUse.YES,
            saveToLibrary: false,
            maintainAspectRatio: true,
            width: 480,
            height: 360,
            videoBitrate: 1000000,
            fps: 24,
            audioChannels: 2,
            audioSampleRate: 44100,
            audioBitrate: 128000,
            progress: progress
        };
        console.log("转码参数：" + JSON.stringify(options));
        this.videoEditor.transcodeVideo(options)
            .then(function (fileUri) {
            console.log('转码完成，新文件名： ' + fileUri);
            video.transcoded = true;
            video.transcodedPath = fileUri;
            video.transcodedFilename = transcodedFilename + ".mp4";
            video.lastModified = new Date();
            _this.deleteFile(video.originalPath, video.originalPathRel);
            callback();
        })
            .catch(function (error) { return console.log('转码出错，错误信息：' + JSON.stringify(error)); });
    };
    /**
     * 移动视频文件到APP目录
     * @param data 录像视频文件
     */
    VideoService.prototype.moveToPersistent = function (data) {
        var _this = this;
        console.log(this.file);
        //console.log(this.file)
        console.log(data);
        var videoUuid = this.currentUuid;
        var mediaFile = data[0]; // :any because there is an undeclared "localURL" attribute
        var extension = (mediaFile.name.split('.').length > 1 ? '.' + mediaFile.name.split('.').pop() : '');
        var targetFileName = videoUuid + extension;
        //let path = data[0].fullPath;
        //let basename = path.replace( /\\/g, '/' ).replace( /.*\//, '' );
        //let dirname = path.replace( /\\/g, '/' ).replace( /\/[^\/]*$/, '' );
        //console.log(mediaFile);
        //console.log(targetFileName);
        var sourceFile;
        //let targetFile:fileEntry;
        return this.file.resolveLocalFilesystemUrl(mediaFile.localURL).then(function (fileEntry) {
            //console.log("received fileEntry");
            //console.log(fileEntry);
            sourceFile = fileEntry;
            //console.log("resolving " + this.file.dataDirectory)
            return _this.file.resolveLocalFilesystemUrl(_this.videoPath);
        }, function (error) {
            console.log('error receving fileEntry' + JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        }).then(function (dirEntry) {
            //console.log("received dirEntry");
            //console.log(dirEntry);
            //let targetFile:FileEntry = sourceFile.moveTo(dirEntry, targetFileName)
            var sourceDir = sourceFile.filesystem.root.toURL();
            var sourceF = sourceFile.fullPath;
            var destDir = dirEntry.filesystem.root.toURL();
            var destF = targetFileName;
            console.log("move from " + sourceDir + " " + sourceF + " to " + destDir + " " + destF);
            return _this.file.copyFile(sourceDir, sourceF, destDir, destF);
        }, function (error) {
            console.log('error receving dirEntry' + JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        }).then(function (targetFile) {
            //console.log("moved new video to " + targetFile.toURL());
            //console.log(targetFile)
            _this.deleteFile(mediaFile.fullPath, mediaFile.name); // doesn't work properly on android for gallery files
            var tF = targetFile;
            return new Promise(function (resolve, reject) {
                resolve(tF);
            });
        }, function (error) {
            console.log("unable to move video");
            console.log(JSON.stringify(error));
            return Promise.reject(error); // break promise chain -> do not go to next then!
        });
    };
    /**
     * 时间显示格式化
     * @param date 日期
     */
    VideoService.formatDate = function (date) {
        if (!date)
            return "";
        return (date.getMonth() + 1) + "/" + date.getDay() + " " + date.getHours() + ":" + date.getMinutes();
    };
    /**
     * 格式化时长
     * @param totalSeconds 总时长（秒）
     */
    VideoService.formatDuration = function (totalSeconds) {
        if (!totalSeconds) {
            return "";
        }
        var minutes = Math.floor(totalSeconds / 60);
        var seconds = Math.floor(totalSeconds - (minutes * 60));
        return minutes + ":" + (seconds < 10 ? "0" : "") + seconds;
    };
    /**
     * 格式化文件大小
     * @param bytes 字节数
     */
    VideoService.formatSize = function (bytes) {
        if (!bytes)
            return "";
        var mb = (bytes / 1000000).toFixed(2);
        return mb + " mb";
    };
    /**
     * 格式化显示标题（暂时不用）
     * @param video
     */
    VideoService.formatTitle = function (video) {
        if (!video) {
            return "";
        }
        if (!video.title) {
            return VideoService_1.formatDate(video.createdAt);
        }
        return video.title;
    };
    VideoService = VideoService_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_6__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__["a" /* Device */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1__ionic_native_file__["a" /* File */],
            __WEBPACK_IMPORTED_MODULE_7__geo_service__["a" /* GeoService */],
            __WEBPACK_IMPORTED_MODULE_0__ionic_native_video_editor__["a" /* VideoEditor */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_media_capture__["a" /* MediaCapture */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_geolocation__["a" /* Geolocation */]])
    ], VideoService);
    return VideoService;
    var VideoService_1;
}());

//# sourceMappingURL=video.service.js.map

/***/ }),

/***/ 211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WebTorrentService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_webtorrent__ = __webpack_require__(576);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_webtorrent___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_webtorrent__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_db_DBUtils__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__common_db_DBTableName__ = __webpack_require__(122);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__native_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * WebtorrentService  BT后端下载服务
 * @author Chile
 * @createAt 2019-10-01
 *
 */
var WebTorrentService = /** @class */ (function () {
    function WebTorrentService(showMessageService, events, platform, dbUtils, nativeService, file) {
        this.showMessageService = showMessageService;
        this.events = events;
        this.platform = platform;
        this.dbUtils = dbUtils;
        this.nativeService = nativeService;
        this.file = file;
        this.downloadCourseTask = [];
        // this.downloadPath = this.file.externalDataDirectory + "WebTorrentDownload/";
        this.downloadPath = this.file.externalDataDirectory;
        this.getDownloading();
    }
    WebTorrentService_1 = WebTorrentService;
    /**
     * BT下载视频
     * @param courseDetail 文章详情对像
     */
    WebTorrentService.prototype.download = function (courseDetail) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_2_rxjs__["Observable"].create(function (observer) {
            var client = new __WEBPACK_IMPORTED_MODULE_1_webtorrent__();
            //url = 'http://www.gxpf.cn/testhtml/m1.torrent';
            //url = 'http://www.gxpf.cn/testhtml/node-v10.16.3-linux-x64.tar.torrent';
            //url = 'magnet:?xt=urn:btih:88594aaacbde40ef3e2510c47374ec0aa396c08e&dn=bbb_sunflower_1080p_30fps_normal.mp4&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80%2Fannounce&tr=wss%3A%2F%2Ftracker.btorrent.xyz&tr=wss%3A%2F%2Ftracker.fastcast.nz&tr=wss%3A%2F%2Ftracker.openwebtorrent.com&ws=http%3A%2F%2Fdistribution.bbb3d.renderfarming.net%2Fvideo%2Fmp4%2Fbbb_sunflower_1080p_30fps_normal.mp4';
            //let torrentId = 'magnet:?xt=urn:btih:08ada5a7a6183aae1e09d831df6748d566095a10&dn=Sintel&tr=udp%3A%2F%2Fexplodie.org%3A6969&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969&tr=udp%3A%2F%2Ftracker.empire-js.us%3A1337&tr=udp%3A%2F%2Ftracker.leechers-paradise.org%3A6969&tr=udp%3A%2F%2Ftracker.opentrackr.org%3A1337&tr=wss%3A%2F%2Ftracker.btorrent.xyz&tr=wss%3A%2F%2Ftracker.fastcast.nz&tr=wss%3A%2F%2Ftracker.openwebtorrent.com&ws=https%3A%2F%2Fwebtorrent.io%2Ftorrents%2F&xs=https%3A%2F%2Fwebtorrent.io%2Ftorrents%2Fsintel.torrent'
            //let torrentId = 'magnet:?xt=urn:btih:GUP3O4V2RUTMBG7QYNPAGKK5DDDN2I4C';
            var torrentId = courseDetail.btPath;
            console.log('client::::::::::::::', client);
            client.add(torrentId, function (torrent) {
                // Torrents can contain many files. Let's use the .mp4 file
                // let file = torrent.files.find(function (file) {
                //   return file.name.endsWith('.mp4')
                // });
                // console.log('client torrent:', torrent);
                // torrent.on('download', (bytes: number) => {
                //   console.log('just downloaded: ' + bytes);
                //   console.log('total downloaded: ' + torrent.downloaded);
                //   console.log('download speed: ' + torrent.downloadSpeed);
                //   console.log('progress: ' + torrent.progress);
                // });
                // torrent.on('done', () => console.log('Torrent is done!'));
                //
                // torrent.on('error', (err: any) => console.error('Error in torrent', err));
                // torrent.on('ready', () => console.error('Torrent is ready!'));
                //**********************************************************************************
                // let bufArr = [];
                // let nameArr = [];
                // let typeArr = [];
                // let i = 0;
                var files = torrent.files;
                //logD('Got torrent metadata!',0,' ')
                console.log('torrent.files', files);
                var file = torrent.files.find(function (file) { return file.name.endsWith('.mp4'); });
                // Todo 处理添加到数据库
                courseDetail.downloadState = 1;
                var localFilePath = (_this.file.externalDataDirectory);
                var localPath = localFilePath + localStorage.getItem('exam-userId') + '/' + file.path;
                //Todo 测试删除
                // this.dbUtils.deleteAll({tableName: DBTableName.DOWNLOAD_COURSE_TABLE});
                console.log('this.dbUtils.deleteAll~~~~~~~~~~~~deleteAll');
                _this.dbUtils.insert({
                    tableName: __WEBPACK_IMPORTED_MODULE_7__common_db_DBTableName__["a" /* DBTableName */].DOWNLOAD_COURSE_TABLE,
                    data: {
                        userId: localStorage.getItem('exam-userId'),
                        courseId: courseDetail.id,
                        downloadState: 1,
                        downloadLocalPath: localPath,
                        courseDetail: JSON.stringify(courseDetail)
                    }, success: function () {
                        _this.addCourseDownloadTask(courseDetail, 0, client);
                        observer.next({ status: 1, downloadLocalPath: localPath }); //发布添加到下载队列状态
                    }, error: function (err) {
                        console.log('this.dbUtils.insert', err);
                        client.destroy();
                        courseDetail.downloadState = 0;
                        observer.next({ status: 0 }); //失败状态
                        observer.complete();
                        return;
                    }
                });
                console.log('file==========', file);
                // file.getBuffer((err, buffer) => {
                //   console.log('file.getBuffer', file);
                //   if (err) {
                //     console.log('file.getBuffer err', err);
                //   }
                // });
                // Print out progress every 5 seconds
                // let interval = setInterval(function () {
                //   console.log('Progress: ' + (torrent.progress * 100).toFixed(1) + '%')
                // }, 5000);
                torrent.on('ready', function () {
                    console.log('torrent is ready!');
                });
                torrent.on('error', function (err) {
                    console.log('torrent is error!', err);
                });
                torrent.on('download', function (bytes) {
                    console.log('just downloaded: ' + bytes);
                    console.log('total downloaded: ' + torrent.downloaded);
                    console.log('download speed: ' + torrent.downloadSpeed);
                    console.log('progress: ' + torrent.progress);
                    if (torrent.progress == 1) {
                        courseDetail.downloadState = 2;
                        courseDetail.resUrl = localPath;
                    }
                    observer.next({ status: 2, process: torrent.progress }); //发送下载中状态
                    _this.addCourseDownloadTask(courseDetail, torrent.progress, client);
                });
                torrent.on('done', function () {
                    console.log('Progress: 100%');
                    courseDetail.downloadState = 2;
                    courseDetail.resUrl = localPath;
                    observer.next({ status: 3 }); //下载完成等待保存状态
                    _this.dbUtils.update({
                        tableName: __WEBPACK_IMPORTED_MODULE_7__common_db_DBTableName__["a" /* DBTableName */].DOWNLOAD_COURSE_TABLE,
                        data: {
                            userId: localStorage.getItem('exam-userId'),
                            courseId: courseDetail.id,
                            downloadState: 2,
                            downloadLocalPath: localPath,
                            courseDetail: JSON.stringify(courseDetail)
                        },
                        where: 'userId="' + localStorage.getItem('exam-userId') + '" AND courseId=' + courseDetail.id,
                        success: function () {
                            //更新界面
                            _this.addCourseDownloadTask(courseDetail, 1, client);
                            observer.next({ status: 4 }); //保存本地完成状态
                            observer.complete();
                        }
                    });
                    // clearInterval(interval)
                });
                console.log('torrent.files+++++++++++++++++++:', torrent.files);
                file.getBuffer(function (err, buffer) {
                    console.log('file.getBuffer', file, buffer);
                    if (err) {
                        console.log('file.getBuffer err', err);
                    }
                    // bufArr.push(buffer);
                    // nameArr.push(file.name);
                    // typeArr.push(files[i].type);
                    console.log('file.getBuffer11111111');
                    if (file == torrent.files[torrent.files.length - 1]) {
                        console.log('file.getBuffer22222222');
                        //let JsonArray = this.getArrays(JSON.stringify(bufArr), JSON.stringify(nameArr), JSON.stringify(typeArr));
                        _this.saveFileToDisk(buffer, file.name);
                        // this.writeToDisk(JsonArray);
                    }
                });
                // torrent.files.forEach((file) => {
                //   console.log('torrent.files.forEach:',file);
                //   file.getBuffer((err, buffer) => {
                //     console.log('file.getBuffer',file,buffer);
                //     if (err) {
                //       console.log('file.getBuffer err',err);
                //     }
                //     bufArr.push(buffer);
                //     nameArr.push(file.name);
                //     typeArr.push(files[i].type);
                //     console.log('file.getBuffer11111111');
                //     if (file == torrent.files[torrent.files.length - 1]) {
                //       console.log('file.getBuffer22222222');
                //       let JsonArray = this.getArrays(JSON.stringify(bufArr), JSON.stringify(nameArr), JSON.stringify(typeArr));
                //       this.writeToDisk(JsonArray);
                //     }
                //     i++;
                //   })
                // });
                observer.next({ status: 100 });
            });
            client.on('error', function (err) {
                console.log('client is err', err);
                observer.next({ status: 0 });
                observer.complete();
            });
        });
    };
    WebTorrentService.prototype.saveFileToDisk = function (buffer, fileName) {
        var _this = this;
        this.file.resolveDirectoryUrl(this.downloadPath).then(function (entry) {
            console.log('createTorrentFolder，entry', entry);
            entry.getDirectory(localStorage.getItem('exam-userId'), { create: true }, function (dirEntry) {
                console.log('file.getBuffer55555');
                var dataObj = new Blob([buffer], { type: "image/mp4" });
                _this.plswork(dirEntry, fileName, dataObj);
            }, WebTorrentService_1.onErrorGetDir);
        });
    };
    // getArrays(bufstr, namestr, typestr): any {
    //   this.createTorrentFolder(localStorage.getItem('exam-userId'), JSON.parse(namestr), JSON.parse(bufstr));
    //   console.log('file.getBuffer33333333');
    //   return {"id": parseInt(localStorage.getItem('exam-userId')), "names": namestr, "type": typestr};
    // }
    //
    // createTorrentFolder(id, nameArray, bufArray) {
    //   let i = 0;
    //   // this.file.getDirectory()
    //   console.log('file.getBuffer4444444 this.downloadPath', this.downloadPath);
    //   this.file.resolveDirectoryUrl(this.downloadPath).then((entry: DirectoryEntry) => {
    //     console.log('createTorrentFolder，entry', entry);
    //     entry.getDirectory(id, {create: true}, (dirEntry) => {
    //       console.log('file.getBuffer55555');
    //       for (i = 0; i < nameArray.length; i++) {
    //         let dataObj = new Blob([JSON.stringify(bufArray[i])]);
    //         this.plswork(dirEntry, nameArray[i], dataObj);
    //       }
    //     }, WebtorrentService.onErrorGetDir);
    //   })
    //   // this.file.resolveLocalFilesystemUrl(this.downloadPath).then(
    //   //   (entry:FileEntry) => {
    //   //     entry..(id, { create: true }, function (dirEntry) {
    //   //       for(i = 0; i < nameArray.length; i++){
    //   //         let dataObj = new Blob([JSON.stringify(bufArray[i])], { type: 'text/plain' });
    //   //         plswork(dirEntry,nameArray[i],dataObj);
    //   //       }
    //   //     }, onErrorGetDir);
    //   //   },
    //   //   (error) => {
    //   //     console.log('error receving fileEntry' + JSON.stringify(error));
    //   //     return Promise.reject(error); // break promise chain -> do not go to next then!
    //   //   }
    //   // );
    //
    //   // resolveLocalFileSystemURL("file:///storage/emulated/0/WebTorrentDownload/", function(entry) {
    //   //   entry.getDirectory(id, { create: true }, function (dirEntry) {
    //   //     for(i = 0; i < nameArray.length; i++){
    //   //       let dataObj = new Blob([JSON.stringify(bufArray[i])], { type: 'text/plain' });
    //   //       plswork(dirEntry,nameArray[i],dataObj);
    //   //     }
    //   //   }, onErrorGetDir);
    //   // });
    // }
    WebTorrentService.prototype.plswork = function (dirEntry, name, data) {
        var _this = this;
        console.log('file.getBuffer66666');
        dirEntry.getFile(name, { create: true }, function (fileEntry) {
            console.log('file.getBuffer777777');
            _this.writeFile(fileEntry, data, false, 37);
        });
    };
    WebTorrentService.prototype.writeFile = function (fileEntry, dataObj, isAppend, f) {
        var _this = this;
        // Create a FileWriter object for our FileEntry (log.txt).
        fileEntry.createWriter(function (fileWriter) {
            console.log('file.getBuffer88888');
            fileWriter.onwriteend = function () {
                console.log("Successful file write...");
                if ((f != 37) && (f != 40)) {
                    alert('Saved Successfully!');
                }
                else if (f == 40) {
                    alert('Deleted Successfully!');
                    _this.showMessageService.showToast('Refreshing torrent list. Please wait');
                }
                else if (f == 31) {
                    console.log(dataObj);
                }
            };
            fileWriter.onerror = function (e) {
                console.log("Failed file write: ", e);
            };
            if (isAppend) {
                try {
                    fileWriter.seek(fileWriter.length);
                }
                catch (e) {
                    console.log("file doesn't exist!");
                }
            }
            fileWriter.write(dataObj);
        });
    };
    WebTorrentService.onErrorGetDir = function () {
        console.log("File system fail...");
    };
    // writeToDisk(JsonArray) {
    //   this.file.resolveDirectoryUrl(this.downloadPath).then((entry: DirectoryEntry) => {
    //     let myJSON = JSON.stringify(JsonArray) + ',';
    //     let dataObj = new Blob([myJSON], {type: 'text/plain'});
    //     entry.getFile('TorrentData.json', {create: true, exclusive: false}, (fileEntry) => {
    //       this.writeFile(fileEntry, dataObj, true, 37);
    //     }, WebtorrentService.onErrorGetDir);
    //     localStorage.setItem('index', (parseInt(localStorage.getItem('index')) + 1) + '');
    //   });
    // }
    WebTorrentService.prototype.addCourseDownloadTask = function (courseDetail, progress, btClient) {
        for (var i = 0; i < this.downloadCourseTask.length; i++) {
            if (this.downloadCourseTask[i].courseDetail.id == courseDetail.id) {
                if (progress == 1) {
                    this.deleteCourseDownloadTask(i);
                }
                else {
                    this.downloadCourseTask[i].progress = progress;
                }
                return;
            }
        }
        this.downloadCourseTask.push({ courseDetail: courseDetail, progress: progress, btClient: btClient });
    };
    WebTorrentService.prototype.deleteCourseDownloadTask = function (index) {
        this.events.publish('courseDownloaded', this.downloadCourseTask[index].courseDetail);
        // if(this.downloadCourseTask[index].progress!=1){
        //   this.downloadCourseTask[index].btClient.destroy();
        // }
        this.downloadCourseTask.splice(index, 1);
    };
    WebTorrentService.prototype.getCourseDownloading = function () {
        return this.downloadCourseTask;
    };
    //获取下载中记录
    WebTorrentService.prototype.getDownloading = function () {
        var _this = this;
        var userId = localStorage.getItem("exam-userId");
        this.platform.ready().then(function () {
            if (_this.platform.is('mobile')) {
                _this.dbUtils.selectByWhere({
                    tableName: __WEBPACK_IMPORTED_MODULE_7__common_db_DBTableName__["a" /* DBTableName */].DOWNLOAD_COURSE_TABLE,
                    where: 'userId="' + userId + '" and downloadState=1',
                    success: function (response) {
                        if (response && response.length > 0) {
                            var _loop_1 = function (i) {
                                var courseDetailInfo = JSON.parse(response[i].courseDetail);
                                console.log('getDownloading$$$$$$$$$$$$$$$$$$$$$$$$', courseDetailInfo);
                                _this.download(courseDetailInfo).subscribe(function (res) {
                                    //@ts-ignore
                                    if (res.status == 4) {
                                        _this.nativeService.showToast('课程' + '"' + courseDetailInfo.title + '"下载完成');
                                    }
                                });
                            };
                            for (var i = 0; i < response.length; i++) {
                                _loop_1(i);
                            }
                        }
                    }
                });
            }
        });
    };
    WebTorrentService = WebTorrentService_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_6__common_db_DBUtils__["a" /* DBUtils */],
            __WEBPACK_IMPORTED_MODULE_8__native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]])
    ], WebTorrentService);
    return WebTorrentService;
    var WebTorrentService_1;
}());

//# sourceMappingURL=web-torrent.service.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Animations; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_animations__ = __webpack_require__(172);

/**
 * Animations 动画类
 * @author Chile
 * @createAt 2019-07-29
 */
var Animations = {
    zoom: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('zoom', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'scale3d(0.95,0.95,1)', opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'scale3d(1,1,1)', opacity: 1 })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'scale3d(1,1,1)', opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'scale3d(0.95,0.95,1)', opacity: 0 })
            ]))
        ])
    ]),
    fade: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('fade', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 1 }),
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 0 })
            ]))
        ])
    ]),
    fadeOut: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('fadeOut', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])("100ms ease", Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 0 })
            ]))
        ])
    ]),
    slideUp: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('slideUp', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,5%,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,5%,0)' }),
            ]))
        ])
    ]),
    popupFade: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('popupFade', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('400ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 1 }),
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('400ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ opacity: 0 })
            ]))
        ])
    ]),
    popupUp: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('popupUp', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,100%,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,100%,0)' }),
            ]))
        ])
    ]),
    slideDown: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('slideDown', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])("200ms ease", Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,-100%,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])("200ms ease", Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)' }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,-100%,0)' }),
            ]))
        ])
    ]),
    fadeSlideUp: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('fadeSlideUp', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0.6rem,0)', opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0.6rem,0)', opacity: 0 }),
            ]))
        ])
    ]),
    fadeSlideDown: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('fadeSlideDown', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,-5%,0)', opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,-5%,0)', opacity: 0 }),
            ]))
        ])
    ]),
    fadeSlideRight: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('fadeSlideRight', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('void => *', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(20%,0,0)', opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])('* => void', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(20%,0,0)', opacity: 0 }),
            ]))
        ])
    ]),
    routeAnimation: Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["k" /* trigger */])('routeAnimation', [
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["h" /* state */])('*', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({
            position: 'absolute',
            top: 0,
            bottom: 0,
            left: 0,
            right: 0
        })),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])(':enter', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(20%,0,0)', opacity: 0 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 })
            ]))
        ]),
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["j" /* transition */])(':leave', [
            Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["e" /* animate */])('200ms ease', Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["f" /* keyframes */])([
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(0,0,0)', opacity: 1 }),
                Object(__WEBPACK_IMPORTED_MODULE_0__angular_animations__["i" /* style */])({ transform: 'translate3d(20%,0,0)', opacity: 0 }),
            ]))
        ])
    ]),
};
//# sourceMappingURL=animations.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsDetailFooterComponentModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news_detail_footer__ = __webpack_require__(123);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__content_input_content_input_module__ = __webpack_require__(879);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__directives_textarea_elastic_module__ = __webpack_require__(881);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var NewsDetailFooterComponentModule = /** @class */ (function () {
    function NewsDetailFooterComponentModule() {
    }
    NewsDetailFooterComponentModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news_detail_footer__["a" /* NewsDetailFooterComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__content_input_content_input_module__["a" /* ContentInputComponentModule */],
                __WEBPACK_IMPORTED_MODULE_4__directives_textarea_elastic_module__["a" /* ElasticModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__news_detail_footer__["a" /* NewsDetailFooterComponent */]
            ]
        })
    ], NewsDetailFooterComponentModule);
    return NewsDetailFooterComponentModule;
}());

//# sourceMappingURL=news-detail-footer.module.js.map

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReleasePopoverPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * ReleasePopoverPage 首页点击发布弹出菜单
 * @author Chile
 * @createAt 2019-05-26
 *
 */
var ReleasePopoverPage = /** @class */ (function () {
    function ReleasePopoverPage(viewCtrl, navCtrl) {
        this.viewCtrl = viewCtrl;
        this.navCtrl = navCtrl;
    }
    ReleasePopoverPage.prototype.support = function () {
        // this.app.getRootNavs()[0].push('/support');
        this.viewCtrl.dismiss();
    };
    /**
     * 选择发布
     * @param page 对应的发布页面
     */
    ReleasePopoverPage.prototype.close = function (page) {
        //window.open(url, '_blank');
        this.navCtrl.push(page);
        this.viewCtrl.dismiss();
    };
    ReleasePopoverPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-release-popover',
            template: "\n    <ion-list>\n      <ion-item button (click)=\"close('ArticleReleasePage')\">\n        <ion-label>\u53D1\u5E03\u56FE\u6587</ion-label>\n      </ion-item>\n      <ion-item button (click)=\"close('VideoReleasePage')\">\n        <ion-label>\u53D1\u5E03\u89C6\u9891</ion-label>\n      </ion-item>\n    </ion-list>\n  "
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"]])
    ], ReleasePopoverPage);
    return ReleasePopoverPage;
}());

//# sourceMappingURL=release-popover.js.map

/***/ }),

/***/ 216:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyChannelSettingComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * MyChannelSettingComponent 我的频道
 * @author Chile
 * @createAt 2019-05-30
 *
 */
var MyChannelSettingComponent = /** @class */ (function () {
    function MyChannelSettingComponent(viewCtrl, params) {
        this.viewCtrl = viewCtrl;
        this.params = params;
        this.newChannelList = [];
        this.userChannelList = []; // 用户的频道
        this.isDel = false; // 删除图标状态
        this.editName = "编辑"; // 按钮字符串
        var allChannelList = params.get("channelList");
        var tempChannelList = localStorage.getItem("userChannelList");
        this.userChannelList = JSON.parse(tempChannelList);
        this.initNewChannelList(allChannelList);
    }
    /**
     * 初始化新频道
     * @param allChannelList
     */
    MyChannelSettingComponent.prototype.initNewChannelList = function (allChannelList) {
        var _this = this;
        allChannelList.topic.map(function (item) {
            var index = _this.userChannelList.findIndex(function (userItem) { return userItem.id == item.topicId; });
            if (index == -1)
                _this.changeChannelData("Topic", item.shortName, item.topicId, item);
        });
        allChannelList.column.map(function (item) {
            var index = _this.userChannelList.findIndex(function (userItem) { return userItem.id == item.channel_id; });
            if (index == -1 && item.is_display)
                _this.changeChannelData("Channel", item.channel_name, item.channel_id, item);
        });
    };
    /**
     * 初始化单个栏目数据
     * @param type 栏目类型
     * @param name 栏目名称
     * @param id 栏目id
     * @param item 栏目数据
     */
    MyChannelSettingComponent.prototype.changeChannelData = function (type, name, id, item) {
        item["type"] = type;
        item["name"] = name;
        item["id"] = id;
        item["isDel"] = true;
        this.newChannelList.push(item);
    };
    /**
     * 关闭页面
     */
    MyChannelSettingComponent.prototype.dismiss = function () {
        this.viewCtrl.dismiss({ isClick: false });
    };
    /**
     * 删除或点击进入频道
     * @param index
     */
    MyChannelSettingComponent.prototype.delOrEnterChannel = function (item, index) {
        // 进入频道
        if (!this.isDel) {
            this.viewCtrl.dismiss({ selectedIndex: index, isClick: true });
        }
        else {
            if (item.isDel) {
                var channel = this.userChannelList[index];
                this.userChannelList.splice(index, 1);
                this.newChannelList.push(channel);
                localStorage.setItem('userChannelList', JSON.stringify(this.userChannelList));
            }
        }
    };
    /**
     * 显示或隐藏删除按钮
     */
    MyChannelSettingComponent.prototype.editChannel = function () {
        if (this.isDel) {
            this.isDel = false;
            this.editName = "编辑";
            localStorage.setItem('userChannelList', JSON.stringify(this.userChannelList));
        }
        else {
            this.isDel = true;
            this.editName = "完成";
        }
    };
    /**
     * 添加频道
     */
    MyChannelSettingComponent.prototype.addChannel = function (item, index) {
        this.newChannelList.splice(index, 1);
        this.userChannelList.push(item);
        localStorage.setItem('userChannelList', JSON.stringify(this.userChannelList));
    };
    MyChannelSettingComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'my-channel-setting',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\my-channel-setting\my-channel-setting.html"*/'<ion-header>\n\n  <ion-navbar transparent>\n    <ion-title>所有频道</ion-title>\n    <ion-buttons start>\n      <button ion-button (click)="dismiss()">\n        <ion-icon style="color:black" name="close"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <!--<ion-grid>\n    <ion-row>\n      <ion-col align-self-center>\n        <span style="font-size: larger">我的频道</span>&nbsp;&nbsp;<span style="font-size: small">点击进入频道</span>\n      </ion-col>\n      <ion-col text-right>\n        <button ion-button outline small>编辑</button>\n      </ion-col>\n    </ion-row>\n    <div class="list">\n      <div class="item">1</div>\n    </div>\n    <ion-row>\n      <ion-col col-3>\n        <button ion-button color="mlight">关注</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">推荐</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">视频</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">热点</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">南宁</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">法制三月三</button>\n      </ion-col>\n    </ion-row>\n\n    <ion-row>\n      <ion-col>\n        <span style="font-size: larger">频道推荐</span>&nbsp;&nbsp;<span style="font-size: small">点击添加频道</span>\n      </ion-col>\n    </ion-row>\n    <ion-row>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 数码</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 手机</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 美食</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 旅游</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 三农</button>\n      </ion-col>\n      <ion-col col-3>\n        <button ion-button color="mlight">+ 教育</button>\n      </ion-col>\n    </ion-row>\n  </ion-grid>-->\n  <ion-grid>\n    <ion-row>\n      <ion-col align-self-center>\n        <span style="font-size: larger">我的频道</span>&nbsp;&nbsp;<span style="font-size: small">点击进入频道</span>\n      </ion-col>\n      <ion-col text-right >\n        <button ion-button outline small (click)="editChannel()">{{editName}}</button>\n      </ion-col>\n    </ion-row>\n  </ion-grid>\n\n    <div class="channel-list">\n        <div *ngFor="let item of userChannelList;let i=index;" class="channel-item" (click)="delOrEnterChannel(item,i)">\n          <ion-icon *ngIf="isDel && item.isDel" class="icon-del-add" name="close-circle"></ion-icon>\n          <span>{{item.name}}</span>\n        </div>\n    </div>\n\n  <ion-grid>\n    <ion-row>\n      <ion-col>\n        <span style="font-size: larger">频道推荐</span>&nbsp;&nbsp;<span style="font-size: small">点击添加频道</span>\n      </ion-col>\n    </ion-row>\n  </ion-grid>\n\n  <div class="channel-list">\n    <div class="channel-item" *ngFor="let item of newChannelList;let i=index;" (click)="addChannel(item,i)">\n      <ion-icon class="icon-del-add" name="add-circle"></ion-icon>\n      <span>{{item.name}}</span>\n    </div>\n  </div>\n\n\n\n\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\my-channel-setting\my-channel-setting.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], MyChannelSettingComponent);
    return MyChannelSettingComponent;
}());

//# sourceMappingURL=my-channel-setting.js.map

/***/ }),

/***/ 230:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 230;

/***/ }),

/***/ 273:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/account-register/account-register.module": [
		998,
		20
	],
	"../pages/home/article-release/article-release.module": [
		999,
		18
	],
	"../pages/home/article-view/article-view.module": [
		1000,
		42
	],
	"../pages/home/city/city.module": [
		1001,
		50
	],
	"../pages/home/follow-up-view/follow-up-view.module": [
		1002,
		49
	],
	"../pages/home/home.module": [
		1003,
		1
	],
	"../pages/home/search/search.module": [
		1004,
		16
	],
	"../pages/home/video-play/video-play.module": [
		499
	],
	"../pages/home/video-release/video-release.module": [
		1005,
		2
	],
	"../pages/index-image-slide/index-image-slide.module": [
		500
	],
	"../pages/judicial-examination/judicial-examination.module": [
		1006,
		41
	],
	"../pages/judicial-examination/notice-details/notice-detail.module": [
		1007,
		48
	],
	"../pages/judicial-examination/notice/notice.module": [
		1008,
		9
	],
	"../pages/judicial-examination/transfer-result/transfer-result.module": [
		1009,
		40
	],
	"../pages/judicial-examination/transfer/transfer.module": [
		1010,
		5
	],
	"../pages/learning-law/catalo/catalo.module": [
		1011,
		47
	],
	"../pages/learning-law/change-dept/change-dept.module": [
		1012,
		46
	],
	"../pages/learning-law/change-password/change-password.module": [
		1013,
		26
	],
	"../pages/learning-law/chaptercontent/chaptercontent.module": [
		1014,
		45
	],
	"../pages/learning-law/course-detail/course-detail.module": [
		1015,
		4
	],
	"../pages/learning-law/exam-certificate/exam-certificate.module": [
		1016,
		39
	],
	"../pages/learning-law/exam-login/exam-login.module": [
		1017,
		19
	],
	"../pages/learning-law/exam-record/exam-record.module": [
		1018,
		17
	],
	"../pages/learning-law/exam-result/exam-result.module": [
		1019,
		30
	],
	"../pages/learning-law/exam/exam.module": [
		1020,
		23
	],
	"../pages/learning-law/learning-law.module": [
		1021,
		15
	],
	"../pages/learning-law/material/material.module": [
		1022,
		14
	],
	"../pages/learning-law/mine-integral/mine-integral.module": [
		1023,
		38
	],
	"../pages/learning-law/mine-learn/mine-learn.module": [
		1024,
		8
	],
	"../pages/learning-law/my-store/my-store.module": [
		1025,
		37
	],
	"../pages/learning-law/offline-download/offline-download.module": [
		1026,
		13
	],
	"../pages/learning-law/person/person.module": [
		1027,
		36
	],
	"../pages/learning-law/practice-record/practice-record.module": [
		1028,
		29
	],
	"../pages/learning-law/practice-result/practice-result.module": [
		1029,
		44
	],
	"../pages/learning-law/practice/practice.module": [
		1030,
		22
	],
	"../pages/learning-law/special-topic-index/special-topic-index.module": [
		1031,
		43
	],
	"../pages/learning-law/test-paper-record/test-paper-record.module": [
		1032,
		21
	],
	"../pages/learning-law/user-info/user-info.module": [
		1033,
		24
	],
	"../pages/learning-law/videoplayback/videoplayback.module": [
		1034,
		3
	],
	"../pages/login/login.module": [
		1035,
		27
	],
	"../pages/my/app-share/app-share.module": [
		1036,
		10
	],
	"../pages/my/changePwd/changePwd.module": [
		1037,
		25
	],
	"../pages/my/collect-history/collect-history.module": [
		1038,
		35
	],
	"../pages/my/history-info/history-info.module": [
		1039,
		7
	],
	"../pages/my/mine/mine.module": [
		1040,
		12
	],
	"../pages/my/monitor-report/monitor-report.module": [
		1041,
		0
	],
	"../pages/my/my-release/my-release.module": [
		1042,
		34
	],
	"../pages/my/my.module": [
		1043,
		28
	],
	"../pages/my/notice/detail/detail-notice.module": [
		1044,
		33
	],
	"../pages/my/notice/my-notice.module": [
		1045,
		32
	],
	"../pages/my/personal-info/personal-info.module": [
		1046,
		11
	],
	"../pages/my/release-info/release-info.module": [
		1047,
		6
	],
	"../pages/my/robot/robot.module": [
		1048,
		31
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return Promise.all(ids.slice(1).map(__webpack_require__.e)).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 273;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 499:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VideoPlayModule", function() { return VideoPlayModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__video_play__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_video_service__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_news_detail_footer_news_detail_footer_module__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_social_sharing__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_share_bar_share_bar_module__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_wechat_service__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_common_video_player_common_video_player_module__ = __webpack_require__(884);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_weibo_service__ = __webpack_require__(89);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











var VideoPlayModule = /** @class */ (function () {
    function VideoPlayModule() {
    }
    VideoPlayModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_9__components_common_video_player_common_video_player_module__["a" /* CommonVideoPlayerModule */],
                __WEBPACK_IMPORTED_MODULE_7__components_share_bar_share_bar_module__["a" /* ShareBarModule */],
                __WEBPACK_IMPORTED_MODULE_4__components_news_detail_footer_news_detail_footer_module__["a" /* NewsDetailFooterComponentModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */]
            ],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_10__providers_weibo_service__["a" /* WeiboService */],
                __WEBPACK_IMPORTED_MODULE_8__providers_wechat_service__["a" /* WechatService */],
                __WEBPACK_IMPORTED_MODULE_3__providers_video_service__["a" /* VideoService */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_social_sharing__["a" /* SocialSharing */],
                __WEBPACK_IMPORTED_MODULE_6__providers_home_service__["a" /* HomeService */]
            ]
        })
    ], VideoPlayModule);
    return VideoPlayModule;
}());

//# sourceMappingURL=video-play.module.js.map

/***/ }),

/***/ 500:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "IndexImageSlideModule", function() { return IndexImageSlideModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__index_image_slide__ = __webpack_require__(501);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var IndexImageSlideModule = /** @class */ (function () {
    function IndexImageSlideModule() {
    }
    IndexImageSlideModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__index_image_slide__["a" /* IndexImageSlidePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__index_image_slide__["a" /* IndexImageSlidePage */]),
            ],
        })
    ], IndexImageSlideModule);
    return IndexImageSlideModule;
}());

//# sourceMappingURL=index-image-slide.module.js.map

/***/ }),

/***/ 501:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexImageSlidePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tabs_tabs__ = __webpack_require__(126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var IndexImageSlidePage = /** @class */ (function () {
    function IndexImageSlidePage(navCtrl, navParams, app) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.app = app;
        this.contentBgColorList = ["#fdde85", "#bbe1ee", "#fe8484", "#90c6fd"];
        this.currentSlideIndex = 0;
    }
    IndexImageSlidePage.prototype.ionViewDidLoad = function () {
        //
    };
    IndexImageSlidePage.prototype.onSlideChange = function (event) {
        var index = this.slides.getActiveIndex();
        if (index < 0)
            index = 0;
        if (index > 3)
            index = 3;
        this.currentSlideIndex = index;
    };
    IndexImageSlidePage.prototype.onGotoIndex = function () {
        localStorage.setItem("isNotFirstLaunch", "true");
        this.app.getRootNav().setRoot(__WEBPACK_IMPORTED_MODULE_2__tabs_tabs__["a" /* TabsPage */]);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"])
    ], IndexImageSlidePage.prototype, "slides", void 0);
    IndexImageSlidePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-index-image-slide',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\pages\index-image-slide\index-image-slide.html"*/'<ion-content [style.background]="contentBgColorList[currentSlideIndex]">\n  <ion-slides pager (ionSlideWillChange)="onSlideChange($event)">\n    <ion-slide class="start-slider">\n      <div class="start-item ad1">\n        <img src="assets/imgs/start-1.png">\n      </div>\n    </ion-slide>\n    <ion-slide class="start-slider">\n      <div class="start-item ad2">\n        <img src="assets/imgs/start-2.png">\n      </div>\n    </ion-slide>\n    <ion-slide class="start-slider">\n      <div class="start-item ad3">\n        <img src="assets/imgs/start-3.png">\n      </div>\n    </ion-slide>\n    <ion-slide class="start-slider">\n      <div class="start-item ad4">\n        <div class="content">\n            <img src="assets/imgs/start-4.png">\n            <a class="btn-start" (tap)="onGotoIndex()"></a>\n        </div>\n      </div>\n    </ion-slide>\n  </ion-slides>\n  <a class="btn-jump" (tap)="onGotoIndex()" *ngIf="currentSlideIndex!==3">跳过</a>\n</ion-content>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\pages\index-image-slide\index-image-slide.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"]])
    ], IndexImageSlidePage);
    return IndexImageSlidePage;
}());

//# sourceMappingURL=index-image-slide.js.map

/***/ }),

/***/ 502:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReleaseBarComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__common_animations__ = __webpack_require__(213);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * ReleaseBarComponent 发布弹出组件
 * @author Chile
 * @createAt 2019-08-12
 */
var ReleaseBarComponent = /** @class */ (function () {
    function ReleaseBarComponent() {
        this.onSelect = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this._show = false;
        this.releaseItems = [{
                index: 1,
                page: [{
                        icon: 'pfExam',
                        text: '图文',
                        value: 1
                    }, {
                        icon: 'videocam',
                        text: '视频',
                        value: 2
                    }]
            }];
    }
    ReleaseBarComponent.prototype.select = function (value) {
        this.onSelect.emit(value);
        this.hide();
    };
    ReleaseBarComponent.prototype.show = function () {
        this._show = true;
    };
    ReleaseBarComponent.prototype.hide = function () {
        this._show = false;
    };
    Object.defineProperty(ReleaseBarComponent.prototype, "isShowing", {
        get: function () {
            return this._show;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], ReleaseBarComponent.prototype, "onSelect", void 0);
    ReleaseBarComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'release-bar',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\release-bar\release-bar.html"*/'\n<div *ngIf="_show" class="releasebar" @popupUp>\n  <div class="releasebar-title">发布内容类型</div>\n  <ion-slides class="releasebar-list common-flex common-flex_center" [slidesPerView]="1" [pager]="false">\n    <ion-slide *ngFor="let item of releaseItems; let i = index;">\n      <ion-row>\n        <ion-col col-3 *ngFor="let releaseItem of item.page; let j = index;">\n          <ion-row>\n            <ion-col>\n              <button ion-button icon-only class="releasebar-button" (click)="select(releaseItem.value)">\n                <ion-icon [name]="releaseItem.icon"></ion-icon>\n              </button>\n            </ion-col>\n          </ion-row>\n          <ion-row>\n            <ion-col>\n              <span class="releasebar-text">{{releaseItem.text}}</span>\n            </ion-col>\n          </ion-row>\n        </ion-col>\n      </ion-row>\n      <div class="swiper-pagination"></div>\n    </ion-slide>\n  </ion-slides>\n\n  <div (click)="hide()" class="releasebar-cancle common-border_top">取消</div>\n</div>\n<div *ngIf="_show" (click)="hide()" class="mask" @fade></div>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\release-bar\release-bar.html"*/,
            animations: [__WEBPACK_IMPORTED_MODULE_1__common_animations__["a" /* Animations */].fade, __WEBPACK_IMPORTED_MODULE_1__common_animations__["a" /* Animations */].popupUp]
        }),
        __metadata("design:paramtypes", [])
    ], ReleaseBarComponent);
    return ReleaseBarComponent;
}());

//# sourceMappingURL=release-bar.js.map

/***/ }),

/***/ 503:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreateTableUtils; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__DBUtils__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__DBTableName__ = __webpack_require__(122);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
 * 统一创建表工具类
 * @author Chile
 * @createAt 2019-09-05
 */




var CreateTableUtils = /** @class */ (function () {
    function CreateTableUtils(dbUtils, platform) {
        var _this = this;
        this.dbUtils = dbUtils;
        this.platform = platform;
        //下载表未创建则创建
        console.log('CreateTableUtils===================================');
        this.platform.ready().then(function () {
            if (_this.platform.is('mobile')) {
                _this.dbUtils.tabIsExist(__WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].DOWNLOAD_COURSE_TABLE).then(function (isExist) {
                    console.log('CreateTableUtils=DOWNLOAD_COURSE_TABLE==================================', isExist);
                    if (isExist == false) {
                        _this.createDownloadCourseTable();
                    }
                });
                _this.dbUtils.tabIsExist(__WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].PLAY_VIDEO_TIME).then(function (isExist) {
                    console.log('CreateTableUtils=PLAY_VIDEO_TIME==================================', isExist);
                    if (isExist == false) {
                        _this.createPlayVideoTable();
                    }
                });
                _this.dbUtils.tabIsExist(__WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].LEARNING_RATE).then(function (isExist) {
                    console.log('CreateTableUtils=LEARNING_RATE==================================', isExist);
                    if (isExist == false) {
                        _this.createLearningRateTable();
                    }
                    else {
                        _this.dbUtils.selectAll({
                            tableName: __WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].LEARNING_RATE,
                            success: function (res) {
                                console.log('LEARNING_RATE', res);
                            }
                        });
                    }
                });
            }
        });
    }
    //创建已读课程表
    CreateTableUtils.prototype.createReadCourseTable = function () {
        this.dbUtils.createTable({
            tableName: __WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].READ_COURSE_TABLE,
            columns: [{
                    column: 'courseId',
                    dataType: 'INTEGER PRIMARY KEY'
                }],
            success: function () {
                console.log('创建成功');
            },
            error: function (error) {
                console.log(error.message);
            }
        });
    };
    CreateTableUtils.prototype.createDownloadCourseTable = function () {
        this.dbUtils.createTable({
            tableName: __WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].DOWNLOAD_COURSE_TABLE,
            columns: [{
                    column: 'userId',
                    dataType: 'TEXT'
                }, {
                    column: 'courseId',
                    dataType: 'INTEGER'
                }, {
                    column: 'downloadState',
                    dataType: 'INTEGER'
                }, {
                    column: 'downloadLocalPath',
                    dataType: 'TEXT'
                }, {
                    column: 'courseDetail',
                    dataType: 'TEXT'
                }],
            success: function () {
                console.log('创建成功');
            },
            error: function (error) {
                console.log(error.message);
            }
        });
    };
    CreateTableUtils.prototype.createPlayVideoTable = function () {
        this.dbUtils.createTable({
            tableName: __WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].PLAY_VIDEO_TIME,
            columns: [{
                    column: 'userId',
                    dataType: 'TEXT'
                }, {
                    column: 'courseId',
                    dataType: 'INTEGER'
                }, {
                    column: 'currentTime',
                    dataType: 'REAL'
                }],
            success: function () {
                console.log('创建成功');
            },
            error: function (error) {
                console.log(error.message);
            }
        });
    };
    /**
     * 创建学习进度表
     */
    CreateTableUtils.prototype.createLearningRateTable = function () {
        this.dbUtils.createTable({
            tableName: __WEBPACK_IMPORTED_MODULE_2__DBTableName__["a" /* DBTableName */].LEARNING_RATE,
            columns: [
                {
                    column: 'key',
                    dataType: 'TEXT'
                },
                {
                    column: 'updateTime',
                    dataType: 'INTEGER'
                },
                {
                    column: 'rateList',
                    dataType: 'TEXT'
                }
            ],
            success: function () {
                console.log('学习进度表创建成功');
            },
            error: function (error) {
                console.log(error.message);
            }
        });
    };
    CreateTableUtils = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__DBUtils__["a" /* DBUtils */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["Platform"]])
    ], CreateTableUtils);
    return CreateTableUtils;
}());

//# sourceMappingURL=CreateTableUtils.js.map

/***/ }),

/***/ 54:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NativeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__storage_service__ = __webpack_require__(203);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
 * Created by yanxiaojun617@163.com on 12-27.
 */




var NativeService = /** @class */ (function () {
    function NativeService(platform, toastCtrl, alertCtrl, network, loadingCtrl, globalData) {
        this.platform = platform;
        this.toastCtrl = toastCtrl;
        this.alertCtrl = alertCtrl;
        this.network = network;
        this.loadingCtrl = loadingCtrl;
        this.globalData = globalData;
        this.loadingIsOpen = false;
    }
    NativeService.prototype.alert = function (title) {
        this.alertCtrl.create({
            message: title,
            enableBackdropDismiss: true,
            buttons: [
                {
                    text: '确定',
                    handler: function () {
                    }
                }
            ]
        }).present();
    };
    /**
     * 判断是否有网络
     */
    NativeService.prototype.isConnecting = function () {
        return this.getNetworkType() != 'none';
    };
    /**
     * 获取网络类型 如`unknown`, `ethernet`, `wifi`, `2g`, `3g`, `4g`, `cellular`, `none`
     */
    NativeService.prototype.getNetworkType = function () {
        if (!this.isMobile()) {
            return 'wifi';
        }
        return this.network.type;
    };
    /**
     * 统一调用此方法显示提示信息
     * @param message 信息内容
     * @param duration 显示时长
     */
    NativeService.prototype.showToast = function (message, duration) {
        if (message === void 0) { message = '操作完成'; }
        if (duration === void 0) { duration = 2000; }
        // let self = this;
        // if (this.isMobile()) {
        //   console.log("d")
        // } else {
        //   console.log("d")
        this.toastCtrl.create({
            message: message,
            duration: duration,
            cssClass: "toastClass",
            position: "bottom",
            dismissOnPageChange: false
        }).present();
        // }
    };
    ;
    //提示信息方法
    /**
     * 是否真机环境
     */
    NativeService.prototype.isMobile = function () {
        return this.platform.is('mobile') && !this.platform.is('mobileweb');
    };
    /**
     * 统一调用此方法显示loading
     * @param content 显示的内容
     */
    NativeService.prototype.showLoading = function (content) {
        if (content === void 0) { content = ''; }
        if (!this.globalData.showLoading) {
            return;
        }
        if (!this.loadingIsOpen) {
            this.loadingIsOpen = true;
            this.loading = this.loadingCtrl.create({
                content: content
            });
            this.loading.present();
        }
    };
    ;
    /**
     * 关闭loading
     */
    NativeService.prototype.hideLoading = function () {
        var self = this;
        if (!this.globalData.showLoading) {
            this.globalData.showLoading = true;
        }
        self.loading.dismiss();
        this.loadingIsOpen = false;
    };
    ;
    NativeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__["a" /* Network */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_3__storage_service__["a" /* StorageService */]])
    ], NativeService);
    return NativeService;
}());

//# sourceMappingURL=native.service.js.map

/***/ }),

/***/ 574:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TimerSubmitTestPaper; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__common_commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_commonFun__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_learning_law_service__ = __webpack_require__(202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * @author huangweicai
 * @date 2019/10/18
 * @description 定时提交试卷答案
 */
var TimerSubmitTestPaper = /** @class */ (function () {
    function TimerSubmitTestPaper(http, nativeService, learningLawService) {
        this.http = http;
        this.nativeService = nativeService;
        this.learningLawService = learningLawService;
        this.timer = null;
        this.topicAnswerRecordList = [];
    }
    /**
     * 对外暴露启动定时任务功能
     */
    TimerSubmitTestPaper.prototype.startScheduledTask = function () {
        this.transferLocalTopicAnswerRecord();
    };
    /**
     * 定时提交考试试卷答案任务
     */
    TimerSubmitTestPaper.prototype.timeTask = function () {
        var _this = this;
        if (this.timer == null) {
            this.timer = setInterval(function () {
                _this.topicAnswerRecordList.map(function (item) {
                    if (item.isOver == 1) {
                        //获取题目乱序数据
                        var subjectInfo_1 = [];
                        item.examInfo.topics.forEach(function (item) {
                            var subjectId = item.id;
                            var itemIds = [];
                            item.answerItem.forEach(function (answer) {
                                itemIds.push(answer.id);
                            });
                            subjectInfo_1.push({
                                subjectId: subjectId,
                                itemIds: itemIds,
                            });
                        });
                        var topicsParams = {
                            submitId: item.examInfo.submitId,
                            examId: item.examInfo.examId,
                            subjectInfo: JSON.stringify(subjectInfo_1),
                        };
                        _this.testPaperSubmitExamTopics(topicsParams).subscribe(function (value) {
                            if (value.status == 200) {
                                _this.testPaperSubmit(item.examInfo).subscribe(function (value) {
                                    if (value.status == 200) {
                                        _this.topicAnswerRecordList = _this.topicAnswerRecordList.filter(function (item) { return item.examInfo.examId != item.examInfo.examId; });
                                        __WEBPACK_IMPORTED_MODULE_3__common_commonFun__["a" /* CommonExam */].deleteLocalStoreExam(item.examInfo.examId);
                                        _this.nativeService.showToast("后台提交试卷成功，请等待评卷，稍后查看成绩！", 3000);
                                        _this.learningLawService.saveOperateLog("6", "background_submit_success_" + item.examInfo.submitId + "_" + item.examInfo.examPaperId).subscribe(function (res) { }, function (error) { });
                                    }
                                });
                            }
                        });
                    }
                });
                if (_this.topicAnswerRecordList.length == 0) {
                    clearInterval(_this.timer);
                    _this.timer = null;
                }
            }, 60000);
        }
    };
    /**
     * 提交考试答案
     * @param topicAnswerRecords
     * @returns {void}
     */
    TimerSubmitTestPaper.prototype.testPaperSubmit = function (topicAnswerRecords) {
        var examId = topicAnswerRecords.examId;
        var submitId = topicAnswerRecords.submitId;
        var examPaperId = topicAnswerRecords.examPaperId;
        var topics = topicAnswerRecords.topics;
        // let params = {submitId: submitId,examId: examId,examPaperId: examPaperId, singles: "", multiples: "",booleans: ""};
        var examAnswers = __WEBPACK_IMPORTED_MODULE_3__common_commonFun__["a" /* CommonExam */].transferTopicAnswer(topics);
        // params.singles = obj.singles;
        // params.multiples = obj.multiples;
        // params.booleans = obj.booleans;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('submitId', submitId)
            .set('examId', examId)
            .set('examPaperId', examPaperId)
            .set('singles', examAnswers.singles)
            .set('multiples', examAnswers.multiples)
            .set('booleans', examAnswers.booleans);
        return this.http.post(__WEBPACK_IMPORTED_MODULE_2__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exampaper/newUserSubmitExamPaper", params);
    };
    /**
     * 提交考题
     * @param topics
     */
    TimerSubmitTestPaper.prototype.testPaperSubmitExamTopics = function (topics) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["g" /* HttpParams */]()
            .set('submitId', topics.submitId)
            .set('examId', topics.examId)
            .set('subjectInfo', topics.subjectInfo);
        return __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"].create(function (observer) {
            _this.http.post(__WEBPACK_IMPORTED_MODULE_2__common_commonSet__["f" /* LEARNING_LAW_URL */] + "/rest/api/exam/outToDisk", params)
                .subscribe(function (value) {
                observer.next(value);
                observer.complete();
            });
        });
    };
    /**
     * 获取存储的考试题目
     */
    TimerSubmitTestPaper.prototype.transferLocalTopicAnswerRecord = function () {
        var keyNum = localStorage.length;
        for (var i = 0; i < keyNum; i++) {
            var key = localStorage.key(i);
            var lawAccountName = localStorage.getItem("accountName");
            if (key.startsWith(lawAccountName + "_")) {
                var topicAnswerRecordStr = localStorage.getItem(key);
                var topicAnswerRecords = JSON.parse(topicAnswerRecordStr);
                this.topicAnswerRecordList.push(topicAnswerRecords);
            }
        }
        if (this.topicAnswerRecordList.length > 0) {
            this.timeTask();
        }
    };
    TimerSubmitTestPaper = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_4__native_service__["a" /* NativeService */], __WEBPACK_IMPORTED_MODULE_6__providers_learning_law_learning_law_service__["a" /* LearningLawService */]])
    ], TimerSubmitTestPaper);
    return TimerSubmitTestPaper;
}());

//# sourceMappingURL=timer-submit-test-paper.js.map

/***/ }),

/***/ 577:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(578);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(582);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__environments_environment__ = __webpack_require__(997);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_core__ = __webpack_require__(0);




if (__WEBPACK_IMPORTED_MODULE_2__environments_environment__["a" /* environment */].production) {
    Object(__WEBPACK_IMPORTED_MODULE_3__angular_core__["enableProdMode"])();
}
Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 582:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(987);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser_animations__ = __webpack_require__(988);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__common_net_default_interceptor__ = __webpack_require__(990);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__ = __webpack_require__(219);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_network__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_splash_screen__ = __webpack_require__(571);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_device__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_media_capture__ = __webpack_require__(498);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_video_editor__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_geolocation__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_screen_orientation__ = __webpack_require__(218);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_sqlite__ = __webpack_require__(504);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__providers_native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_storage_service__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_geo_service__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_auth_service__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_learning_law_web_torrent_service__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_tabs_tabs__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_home_image_slider_viewer_image_slider_viewer__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_home_release_popover_release_popover_module__ = __webpack_require__(991);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_home_release_popover_release_popover__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_home_image_slider_viewer_image_slider_viewer_module__ = __webpack_require__(992);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_home_follow_up_popover_follow_up_popover_module__ = __webpack_require__(993);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__components_my_channel_setting_my_channel_setting_module__ = __webpack_require__(995);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__components_my_channel_setting_my_channel_setting__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__pages_home_video_play_video_play__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__pages_home_video_play_video_play_module__ = __webpack_require__(499);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__components_release_bar_release_bar_module__ = __webpack_require__(996);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__common_db_DBUtils__ = __webpack_require__(90);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__common_db_CreateTableUtils__ = __webpack_require__(503);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_37__pages_index_image_slide_index_image_slide_module__ = __webpack_require__(500);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_38__providers_timer_submit_test_paper__ = __webpack_require__(574);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_39__providers_learning_law_learning_law_service__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_40__providers_learning_law_exam_login_show_service__ = __webpack_require__(171);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






/*****Common*****/

/*****Native*****/










/*****Service*****/







/*****Component Page****/

















var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_24__pages_tabs_tabs__["a" /* TabsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_34__components_release_bar_release_bar_module__["a" /* ReleaseBarModule */],
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_33__pages_home_video_play_video_play_module__["VideoPlayModule"],
                __WEBPACK_IMPORTED_MODULE_28__pages_home_image_slider_viewer_image_slider_viewer_module__["a" /* ImageSliderViewerComponentModule */],
                __WEBPACK_IMPORTED_MODULE_30__components_my_channel_setting_my_channel_setting_module__["a" /* MyChannelSettingComponentModule */],
                __WEBPACK_IMPORTED_MODULE_26__pages_home_release_popover_release_popover_module__["a" /* ReleasePopoverModule */],
                __WEBPACK_IMPORTED_MODULE_29__pages_home_follow_up_popover_follow_up_popover_module__["a" /* FollowUpPopoverModule */],
                __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser_animations__["a" /* BrowserAnimationsModule */],
                __WEBPACK_IMPORTED_MODULE_37__pages_index_image_slide_index_image_slide_module__["IndexImageSlideModule"],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicModule"].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {
                    backButtonIcon: 'ios-arrow-back',
                    tabsHideOnSubPages: 'true',
                }, {
                    links: [
                        { loadChildren: '../pages/account-register/account-register.module#AccountRegisterModule', name: 'AccountRegisterPage', segment: 'account-register', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/article-release/article-release.module#ArticleReleaseModule', name: 'ArticleReleasePage', segment: 'article-release', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/article-view/article-view.module#ArticleViewModule', name: 'ArticleViewPage', segment: 'article-view', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/city/city.module#CityPageModule', name: 'CityPage', segment: 'city', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/follow-up-view/follow-up-view.module#FollowUpViewModule', name: 'FollowUpViewPage', segment: 'follow-up-view', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomeModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/search/search.module#HomeModule', name: 'SearchPage', segment: 'search', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/video-play/video-play.module#VideoPlayModule', name: 'VideoPlayPage', segment: 'video-play', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/video-release/video-release.module#VideoReleaseModule', name: 'VideoReleasePage', segment: 'video-release', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/index-image-slide/index-image-slide.module#IndexImageSlideModule', name: 'IndexImageSlidePage', segment: 'index-image-slide', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/judicial-examination/judicial-examination.module#JudicialExaminationModule', name: 'JudicialExaminationPage', segment: 'judicial-examination', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/judicial-examination/notice-details/notice-detail.module#NoticeDetailModule', name: 'NoticeDetailPage', segment: 'notice-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/judicial-examination/notice/notice.module#NoticeModule', name: 'NoticePage', segment: 'notice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/judicial-examination/transfer-result/transfer-result.module#TransferResultModule', name: 'TransferResultPage', segment: 'transfer-result', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/judicial-examination/transfer/transfer.module#TransferModule', name: 'TransferPage', segment: 'transfer', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/catalo/catalo.module#CataloPageModule', name: 'CataloPage', segment: 'catalo', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/change-dept/change-dept.module#ChangeDeptModule', name: 'ChangeDeptPage', segment: 'change-dept', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/change-password/change-password.module#ChangePasswordPageModule', name: 'ChangePasswordPage', segment: 'change-password', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/chaptercontent/chaptercontent.module#ChaptercontentPageModule', name: 'ChaptercontentPage', segment: 'chaptercontent', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/course-detail/course-detail.module#CourseDetailModule', name: 'CourseDetailPage', segment: 'course-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/exam-certificate/exam-certificate.module#ExamCertificatePageModule', name: 'ExamCertificatePage', segment: 'exam-certificate', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/exam-login/exam-login.module#ExamLoginPageModule', name: 'ExamLoginPage', segment: 'exam-login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/exam-record/exam-record.module#ExamRecordPageModule', name: 'ExamRecordPage', segment: 'exam-record', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/exam-result/exam-result.module#ExamResultModule', name: 'ExamResultPage', segment: 'exam-result', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/exam/exam.module#ExamModule', name: 'ExamPage', segment: 'exam', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/learning-law.module#LearningLawModule', name: 'LearningLawPage', segment: 'learning-law', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/material/material.module#MaterialModule', name: 'MaterialPage', segment: 'material', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/mine-integral/mine-integral.module#MineIntegralPageModule', name: 'MineIntegralPage', segment: 'mine-integral', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/mine-learn/mine-learn.module#MineIntegralPageModule', name: 'MineLearnPage', segment: 'mine-learn', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/my-store/my-store.module#MyStorePageModule', name: 'MyStorePage', segment: 'my-store', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/offline-download/offline-download.module#OfflineDownloadModule', name: 'OfflineDownloadPage', segment: 'offline-download', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/person/person.module#LearnIntegralPageModule', name: 'PersonPage', segment: 'person', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/practice-record/practice-record.module#PracticeRecordPageModule', name: 'PracticeRecordPage', segment: 'practice-record', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/practice-result/practice-result.module#PracticeResultModule', name: 'PracticeResultPage', segment: 'practice-result', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/practice/practice.module#PracticePageModule', name: 'PracticePage', segment: 'practice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/special-topic-index/special-topic-index.module#SpecialTopicIndexModule', name: 'SpecialTopicIndexPage', segment: 'special-topic-index', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/test-paper-record/test-paper-record.module#TestPaperRecordPageModule', name: 'TestPaperRecordPage', segment: 'test-paper-record', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/user-info/user-info.module#UserInfoModule', name: 'UserInfoPage', segment: 'user-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/learning-law/videoplayback/videoplayback.module#VideoplaybackPageModule', name: 'VideoplaybackPage', segment: 'videoplayback', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/app-share/app-share.module#ChangePwdModule', name: 'AppSharePage', segment: 'app-share', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/changePwd/changePwd.module#ChangePwdModule', name: 'ChangePwdPage', segment: 'changePwd', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/collect-history/collect-history.module#CollectHistoryModule', name: 'CollectHistoryPage', segment: 'collect-history', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/history-info/history-info.module#HistoryInfoModule', name: 'HistoryInfoPage', segment: 'history-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/mine/mine.module#MineModule', name: 'MinePage', segment: 'mine', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/monitor-report/monitor-report.module#MonitoringReportPageModule', name: 'MonitorReportPage', segment: 'monitor-report', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/my-release/my-release.module#MyReleaseModule', name: 'MyReleasePage', segment: 'my-release', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/my.module#MyModule', name: 'MyPage', segment: 'my', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/notice/detail/detail-notice.module#DetailNoticeModule', name: 'DetailNoticePage', segment: 'detail-notice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/notice/my-notice.module#MyNoticeModule', name: 'MyNoticePage', segment: 'my-notice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/personal-info/personal-info.module#PersonalInfoModule', name: 'PersonalInfoPage', segment: 'personal-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/release-info/release-info.module#ReleaseInfoModule', name: 'ReleaseInfoPage', segment: 'release-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/my/robot/robot.module#RobotModule', name: 'RobotPage', segment: 'robot', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["c" /* HttpClientModule */],
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicApp"]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_24__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_home_image_slider_viewer_image_slider_viewer__["a" /* ImageSliderViewerPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_home_video_play_video_play__["a" /* VideoPlayPage */],
                __WEBPACK_IMPORTED_MODULE_31__components_my_channel_setting_my_channel_setting__["a" /* MyChannelSettingComponent */],
                __WEBPACK_IMPORTED_MODULE_27__pages_home_release_popover_release_popover__["a" /* ReleasePopoverPage */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ErrorHandler"], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicErrorHandler"] },
                { provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_6__common_net_default_interceptor__["a" /* DefaultInterceptor */], multi: true },
                __WEBPACK_IMPORTED_MODULE_22__providers_auth_service__["a" /* AuthService */],
                __WEBPACK_IMPORTED_MODULE_40__providers_learning_law_exam_login_show_service__["a" /* ExamLoginShowService */],
                __WEBPACK_IMPORTED_MODULE_17__providers_home_service__["a" /* HomeService */],
                __WEBPACK_IMPORTED_MODULE_18__providers_native_service__["a" /* NativeService */],
                __WEBPACK_IMPORTED_MODULE_19__providers_storage_service__["a" /* StorageService */],
                __WEBPACK_IMPORTED_MODULE_20__providers_show_message_service__["a" /* ShowMessageService */],
                __WEBPACK_IMPORTED_MODULE_21__providers_geo_service__["a" /* GeoService */],
                __WEBPACK_IMPORTED_MODULE_23__providers_learning_law_web_torrent_service__["a" /* WebTorrentService */],
                __WEBPACK_IMPORTED_MODULE_39__providers_learning_law_learning_law_service__["a" /* LearningLawService */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_network__["a" /* Network */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_video_editor__["a" /* VideoEditor */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_media_capture__["a" /* MediaCapture */],
                __WEBPACK_IMPORTED_MODULE_14__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_15__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
                __WEBPACK_IMPORTED_MODULE_36__common_db_CreateTableUtils__["a" /* CreateTableUtils */],
                __WEBPACK_IMPORTED_MODULE_35__common_db_DBUtils__["a" /* DBUtils */],
                __WEBPACK_IMPORTED_MODULE_16__ionic_native_sqlite__["a" /* SQLite */],
                __WEBPACK_IMPORTED_MODULE_38__providers_timer_submit_test_paper__["a" /* TimerSubmitTestPaper */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 61:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__native_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * HomeService 首页（法制资讯）数据服务
 * @author Chile
 * @createAt 2019-06-10
 *
 */
var HomeService = /** @class */ (function () {
    function HomeService(http, native, showMessageService, file) {
        this.http = http;
        this.native = native;
        this.showMessageService = showMessageService;
        this.file = file;
        //**************API*******************
        //获取热词标签列表
        this.appHotWordTagUrl = '/rest/api/channel/getHotTags';
        //首页搜索
        this.appSearchInfoUrl = '/rest/api/channel/getContentsForMainpage';
        //获取CMS栏目和专题
        this.appColumnInfoUrl = '/rest/api/channel/getAll';
        this.appColumnInfoListUrl = '/rest/api/content/getAppColumnInfoList';
        //文章详情
        this.appArticleDetailUrl = '/rest/api/content/getById ';
        //点赞
        this.appLikeUrl = '/rest/api/content/up';
        //收藏
        this.appCollectUrl = '/rest/api/content/collect';
        //用户热门跟贴列表
        this.appFollowUpHotListUrl = '/rest/api/comment/hotFllowUp';
        //用户热门跟贴列表
        this.appFollowUpNewListUrl = '/rest/api/comment/newFllowUp';
        //用户跟贴回复列表
        this.appFollowUpCommentLisUrl = '/rest/api/comment/getChildCommentsById';
        //保存用户跟贴
        this.appSaveFllowUpInfoUrl = '/rest/api/comment/save';
        //保存用户跟贴投票
        this.appSaveVoteUrl = '/rest/api/comment/updateCommentSupport';
        //用户提交文字图片新闻
        this.appCommitNewsUrl = '/rest/api/content/appSaveNews';
        //用户提交视频新闻
        this.appCommitVideoNewsUrl = '/rest/api/content/appSaveVideo';
        //获取文章WAP Url
        this.appArticleWapUrl = '/rest/api/content/wapurl';
        //上传文件的临时数据变量
        this.cacheData = [];
    }
    /**
     * 获取CMS栏目和专题
     */
    HomeService.prototype.getAppColumnInfo = function () {
        var _this = this;
        // this.showMessageService.showLoading();
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appColumnInfoUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    var channelData = {
                        'topic': res.result[0].topic,
                        'column': res.result[0].channels,
                    };
                    observer.next(channelData);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 获取法制资讯内容列表
     * @param type Hot热点、Region地区、Topic专题、Channel栏目
     * @param key 如果Topic和Channel，则需要这个对应的专题ID或栏目ID，此值必填;如果Hot 不必填,如果是Region，必填，对应的区域信息如南宁、柳州、桂林等
     * @param pageNo
     */
    HomeService.prototype.getColumnInfoList = function (type, key, pageNo) {
        var _this = this;
        if (key === void 0) { key = ''; }
        if (pageNo === void 0) { pageNo = 1; }
        // this.showMessageService.showLoading();
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]()
            .set('type', '' + type)
            .set('key', '' + key)
            .set('page', '' + pageNo)
            .set('rows', '' + 10);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appColumnInfoListUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取文章详情
     * @param articleId 文章ID
     * @param sessionId 服务器SessionID
     */
    HomeService.prototype.getArticleDetail = function (articleId, sessionId) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]()
            .set('id', '' + articleId)
            .set('sessionId', '' + sessionId);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appArticleDetailUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取文章跟贴列表
     * @param articleId 文章ID
     * @param pageIndex 第几页数据
     * @param followUpListType 跟贴列表类型
     */
    HomeService.prototype.getFollowUpList = function (articleId, pageIndex, followUpListType) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]()
            .set('contentId', '' + articleId)
            .set('page', '' + pageIndex)
            .set('rows', '' + 20);
        var followUpListUrl = this.appFollowUpHotListUrl;
        if (followUpListType !== 'hot') {
            followUpListUrl = this.appFollowUpNewListUrl;
        }
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(followUpListUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取跟贴回复列表
     * @param commentId 主留言ID
     * @param pageIndex 第几页数据
     */
    HomeService.prototype.getFollowUpCommentList = function (commentId, pageIndex) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]()
            .set('commentId', '' + commentId)
            .set('page', '' + pageIndex)
            .set('rows', '' + 20);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appFollowUpCommentLisUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 刷新文章列表
     * @param indexType 导航类别 Hot热点、Region 地区、Topic专题、Column栏目
     * @param param 导航参数 如果Topic和Column则需要这个对应的栏目ID
     * @param sourceDataList 原列表数据，用来处理累加
     * @param pageIndex 获取哪一页的数据
     */
    HomeService.prototype.refreshList = function (indexType, param, sourceDataList, pageIndex) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('type', indexType)
            .set('key', param)
            .set('page', pageIndex)
            .set("rows", '10');
        console.log('getColumnInfoList params: ', params);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appColumnInfoListUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
        });
    };
    /**
     * 获取文章详情
     * @param contentId 文章ID
     */
    // getDetail(contentId) {
    //   this.showMessageService.showLoading();
    //   let params = new HttpParams()
    //     .set('contentId', '' + contentId);
    //   let headers = new HttpHeaders().set('Content-Type', 'application/x-www-form-urlencoded');
    //   return this.http.post(this.detailUrl, params, {headers}).map((response: Response) => {
    //     console.log('getDetail', response);
    //     this.showMessageService.hideLoading();
    //     // @ts-ignore
    //     if (response.code !== "200") {
    //       // @ts-ignore
    //       let err = new HttpErrorResponse({"status": response.code});
    //       return Observable.of(this.requestFailed(this.detailUrl, err));//处理请求失败
    //     } else {
    //       return response;
    //     }
    //   }).catch((err) => {
    //     this.showMessageService.hideLoading();
    //     if (err.error instanceof Error) {
    //       console.log('发生一个错误:', err.error.message);
    //     } else {
    //       console.log(`后端返回错误代码: ${err.status}, 内容为: ${err.error}`);
    //       console.log(err.error);
    //     }
    //     return Observable.of(this.requestFailed(this.detailUrl, err));//处理请求失败
    //   });
    // }
    /**
     * 保存点赞
     * @param articleInfo 文章信息
     */
    HomeService.prototype.saveLike = function (articleInfo) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('isUp', '' + !articleInfo.isZan)
            .set('contentId', articleInfo.contentId);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appLikeUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error(res.message);
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 保存收藏
     * @param articleInfo 文章信息
     */
    HomeService.prototype.saveCollect = function (articleInfo) {
        var _this = this;
        var collect = 0;
        if (articleInfo.isCollection !== 1) {
            collect = 1;
        }
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('type', '' + collect)
            .set('contentId', articleInfo.contentId);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appCollectUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error(res.message);
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 保存跟贴
     * @param followUpInfo 跟贴文本内容
     * @param articleId 文章ID
     * @param commentId 跟贴ID
     */
    HomeService.prototype.saveFollowUp = function (followUpInfo, articleId, commentId) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('contentId', articleId)
            .set('text', followUpInfo)
            .set('parentId', commentId);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSaveFllowUpInfoUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error(res.message);
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取热词标签
     */
    HomeService.prototype.getHotWordTag = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appHotWordTagUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取检索内容
     * @param infoType 文章：news 视频：video 图片：pic
     * @param searchInfo 检索内容
     * @param pageIndex 索引页
     */
    HomeService.prototype.getSearchInfo = function (infoType, searchInfo, pageIndex) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('txt', searchInfo)
            .set('infoType', infoType)
            .set('page', pageIndex)
            .set('rows', '' + 10);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSearchInfoUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 获取检索内容
     * @param articleId 文章ID
     */
    HomeService.prototype.getArticleWapUrl = function (articleId) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('contentId', articleId);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appArticleWapUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 保存投票
     * @param commentId 评论ID
     * @param vote 0不支持 1支持
     */
    HomeService.prototype.saveVote = function (commentId, vote) {
        var _this = this;
        var params = new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["g" /* HttpParams */]() //传递参数
            .set('commentId', commentId)
            .set('support', vote);
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSaveVoteUrl, params)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res);
                    observer.complete();
                }
                else {
                    observer.error();
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    /**
     * 读取文件到Blob，表单上传文件使用
     * @param fileUri
     */
    HomeService.prototype.readFileBuff = function (fileUri) {
        var _this = this;
        return this.file.resolveLocalFilesystemUrl(fileUri).then(function (entry) {
            var path = entry.toURL();
            var index = path.indexOf(entry.name);
            path = path.substring(0, index - 1);
            console.log('path, entry.name', path, entry.name);
            return _this.file.readAsArrayBuffer(path, entry.name).then(function (buffer) {
                var imgBlob = new Blob([buffer], { type: 'image/jpeg' });
                return { blog: imgBlob, name: entry.name };
            });
        });
    };
    /**
     * 提交文字图片新闻 以FormData方式提交表单
     * @param titleInfo 标题
     * @param tagInfo 标签
     * @param contentInfo 内容
     * @param affixInfo 附件
     */
    HomeService.prototype.commitNews = function (titleInfo, tagInfo, contentInfo, affixInfo) {
        var _this = this;
        //每个文件上传任务创建一个信号
        var observables = [];
        this.cacheData = [];
        var formData = new FormData();
        formData.append('title', titleInfo);
        formData.append('tag', tagInfo);
        formData.append('content', contentInfo);
        affixInfo.forEach(function (file, i, array) {
            console.log('file', file);
            if (!file.uri.startsWith('file://')) {
                file.uri = 'file://' + file.uri;
            }
            console.log('开始加载文件.........', i);
            var observable = new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (sub) {
                _this.file.resolveLocalFilesystemUrl(file.uri).then(function (entry) {
                    entry.file(function (file) {
                        var blob = file;
                        var reader = new FileReader();
                        reader.onloadend = function () {
                            var imgBlob = new Blob([reader.result], { type: blob.type });
                            formData.append('files', imgBlob, blob.name);
                            console.log('添加文件到form表单.................' + +imgBlob);
                            sub.next(null);
                            sub.complete();
                        };
                        reader.onerror = function (ev) {
                            console.log('reader files:', ev);
                        };
                        reader.readAsArrayBuffer(blob);
                    });
                })
                    .catch(function (error) { return console.log('报错了----->' + JSON.stringify(error)); });
            });
            observables.push(observable);
        });
        var uploadInfo = {
            percent: 0,
            status: 'start'
        };
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__["ForkJoinObservable"].create(observables).subscribe(function () {
                _this.http.post(_this.appCommitNewsUrl, formData, {
                    'reportProgress': true,
                    'observe': 'events'
                }).subscribe(function (event) {
                    console.log('request-event', event);
                    if (event.type === __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["e" /* HttpEventType */].UploadProgress) {
                        if (event.total > 0) {
                            event.percent = event.loaded / event.total * 100;
                            uploadInfo.percent = event.loaded / event.total * 100;
                            observer.next(uploadInfo);
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["h" /* HttpResponse */]) {
                        if (event.body.status != 200) {
                            uploadInfo.status = 'error';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                        else {
                            uploadInfo.status = 'done';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["d" /* HttpErrorResponse */]) {
                        uploadInfo.status = 'error';
                        observer.next(uploadInfo);
                        observer.complete();
                    }
                }, function (err) {
                    uploadInfo.status = 'error';
                    observer.error();
                });
            });
        });
        // affixInfo.forEach((file: any) => {
        //   if (!file.uri.startsWith('file://')) {
        //     file.uri = 'file://' + file.uri;
        //   }
        //   let observable = this.readFileBuff(file.uri).then(buffer => {
        //     // this.cacheData.push(buffer);
        //     console.log('files==========', buffer);
        //     formData.append('files', buffer.blob, buffer.name);
        //   });
        //   observables.push(observable);
        // });
        // let uploadInfo = {
        //   percent: 0,
        //   status: 'start'
        // };
        // return new Observable((observer: any) => {
        //   // zip(observables).subscribe(()=>{
        //   Promise.all(observables).then(() => {
        //     // this.cacheData.forEach((item,i) => {
        //     //   formData.append('files', item.blob, item.name);
        //     //   console.log('files，item==========', item,i);
        //     // });
        //     console.log('titleInfo,contentInfo,files==========', formData.get('title'),formData.get('content'),formData.get('files'));
        //     this.http.post(this.appCommitNewsUrl, formData, {
        //       'reportProgress': true,
        //       'observe': 'events',
        //     }).subscribe((event: HttpEvent<any>) => {
        //       console.log('request-event', event);
        //       if (event.type === HttpEventType.UploadProgress) {
        //         if (event.total > 0) {
        //           (event as any).percent = event.loaded / event.total * 100;
        //           // affixInfo.file.percent = event.loaded / event.total * 100;
        //           uploadInfo.percent = event.loaded / event.total * 100;
        //           observer.next(uploadInfo);
        //         }
        //       } else if (event instanceof HttpResponse) {
        //         // affixInfo.file.status = 'done';
        //         uploadInfo.status = 'done';
        //         observer.next(uploadInfo);
        //         observer.complete();
        //       }
        //     }, (err) => {
        //       uploadInfo.status = 'error';
        //       observer.error();
        //     });
        //   });
        // });
        // let params = new HttpParams()                     //传递参数
        //   .set('title', title)
        //   .set('tag', tag)
        //   .set('content', content)
        //   .set('files', files);
        // return new Observable((observer: any) => {
        //   this.http.post(this.appSaveVoteUrl, params)
        //     .subscribe((res: any) => {
        //       if (res.status == 200) {
        //         observer.next(res);
        //         observer.complete();
        //       } else {
        //         observer.error();
        //       }
        //     });
        //   // this.showMessageService.hideLoading();
        // });
    };
    // /**
    //  * 提交新闻 以FormData方式提交表单 XHR方式
    //  * @param titleInfo 标题
    //  * @param tagInfo 标签
    //  * @param contentInfo 内容
    //  * @param affixInfo 附件
    //  */
    // commitNews(titleInfo, tagInfo, contentInfo, affixInfo): Observable<any> {
    //   let params = {
    //     title: titleInfo,
    //     tag: tagInfo,
    //     content: contentInfo
    //   };
    //   return new Observable((observer: any) => {
    //     XHRMultipartFileUpload.upload(BaseUrl+this.appCommitNewsUrl, affixInfo, params)
    //       .then(result=> {
    //         console.log('XHRMultipartFileUpload result:',result);
    //         observer.next(result);
    //         observer.complete();
    //       })
    //       .catch(error=> {
    //         console.log('XHRMultipartFileUpload error:',error);
    //         observer.error();
    //       });
    //   });
    // }
    /**
     * 提交视频新闻 以FormData方式提交表单
     * @param titleInfo 标题
     * @param tagInfo 标签
     * @param contentInfo 内容
     * @param video 视频（LocalVideo）
     */
    HomeService.prototype.commitVideoNews = function (titleInfo, tagInfo, contentInfo, video) {
        var _this = this;
        var videoPath = '';
        var thumbPath = '';
        //每个文件上传任务创建一个信号
        var observables = [];
        this.cacheData = [];
        var formData = new FormData();
        formData.append('title', titleInfo);
        formData.append('tag', tagInfo);
        formData.append('content', contentInfo);
        if (video.transcodedPath !== '') {
            if (!video.transcodedPath.startsWith('file://')) {
                videoPath = 'file://' + video.transcodedPath;
            }
        }
        else {
            if (!video.originalPath.startsWith('file://')) {
                videoPath = 'file://' + video.originalPath;
            }
            else {
                videoPath = video.originalPath;
            }
        }
        //添加压缩过的文件到表单
        console.log('video', video, videoPath);
        var observable1 = new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (sub) {
            _this.file.resolveLocalFilesystemUrl(videoPath).then(function (entry) {
                entry.file(function (file) {
                    console.log('添加video文件.................', videoPath, file);
                    var blob = file;
                    var reader = new FileReader();
                    reader.onloadend = function () {
                        var imgBlob = new Blob([reader.result], { type: blob.type });
                        formData.append('file', imgBlob, blob.name);
                        console.log('添加video文件到form表单.................', imgBlob);
                        sub.next(null);
                        sub.complete();
                    };
                    reader.onerror = function (ev) {
                        console.log('reader video:', ev);
                    };
                    reader.readAsArrayBuffer(blob);
                });
            })
                .catch(function (error) { return console.log('报错了----->', videoPath, JSON.stringify(error)); });
        });
        observables.push(observable1);
        if (!video.thumbPath.startsWith('file://')) {
            thumbPath = 'file://' + video.thumbPath;
        }
        //添加videoThumbFile到表单
        var observable2 = new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (sub) {
            _this.file.resolveLocalFilesystemUrl(thumbPath).then(function (entry) {
                entry.file(function (file) {
                    console.log('添加thumb文件.................', thumbPath, file);
                    var blob = file;
                    var reader = new FileReader();
                    reader.onloadend = function () {
                        var imgBlob = new Blob([reader.result], { type: blob.type });
                        formData.append('smallPicFile', imgBlob, blob.name);
                        console.log('添加thumb文件到form表单.................', imgBlob);
                        sub.next(null);
                        sub.complete();
                    };
                    reader.onerror = function (ev) {
                        console.log('reader thumb:', ev);
                    };
                    reader.readAsArrayBuffer(blob);
                });
            })
                .catch(function (error) { return console.log('报错了----->', thumbPath, JSON.stringify(error)); });
        });
        observables.push(observable2);
        var uploadInfo = {
            percent: 0,
            status: 'start'
        };
        return new __WEBPACK_IMPORTED_MODULE_5_rxjs__["Observable"](function (observer) {
            console.log('start Observable.................1');
            __WEBPACK_IMPORTED_MODULE_6_rxjs_observable_ForkJoinObservable__["ForkJoinObservable"].create(observables).subscribe(function () {
                console.log('start Observable.................2');
                _this.http.post(_this.appCommitVideoNewsUrl, formData, {
                    'reportProgress': true,
                    'observe': 'events'
                }).subscribe(function (event) {
                    console.log('request-event', event);
                    if (event.type === __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["e" /* HttpEventType */].UploadProgress) {
                        if (event.total > 0) {
                            event.percent = event.loaded / event.total * 100;
                            uploadInfo.percent = event.loaded / event.total * 100;
                            observer.next(uploadInfo);
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["h" /* HttpResponse */]) {
                        if (event.body.status != 200) {
                            uploadInfo.status = 'error';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                        else {
                            uploadInfo.status = 'done';
                            observer.next(uploadInfo);
                            observer.complete();
                        }
                    }
                    else if (event instanceof __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["d" /* HttpErrorResponse */]) {
                        uploadInfo.status = 'error';
                        observer.next(uploadInfo);
                        observer.complete();
                    }
                }, function (err) {
                    uploadInfo.status = 'error';
                    console.log('start Observable.................3');
                    observer.error();
                });
            });
        });
    };
    HomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__native_service__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]])
    ], HomeService);
    return HomeService;
}());

//# sourceMappingURL=home.service.js.map

/***/ }),

/***/ 63:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShowMessageService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__ = __webpack_require__(157);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ShowMessageService = /** @class */ (function () {
    function ShowMessageService(platform, toastCtrl, alertCtrl, network, loadingCtrl) {
        this.platform = platform;
        this.toastCtrl = toastCtrl;
        this.alertCtrl = alertCtrl;
        this.network = network;
        this.loadingCtrl = loadingCtrl;
        //设置http请求是否显示loading,注意:设置为true,接下来的请求会不显示loading,请求执行完成会自动设置为false
        this._showLoading = false;
    }
    Object.defineProperty(ShowMessageService.prototype, "isLoading", {
        get: function () {
            return this._showLoading;
        },
        set: function (value) {
            this._showLoading = value;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * 统一调用此方法显示Alert对话框提示信息
     * @param title 信息内容
     */
    ShowMessageService.prototype.alert = function (title) {
        this.alertCtrl.create({
            message: title,
            enableBackdropDismiss: true,
            buttons: [
                {
                    text: '确定',
                    handler: function () {
                        console.log('点击了确定');
                    }
                }
            ]
        }).present();
    };
    /**
     * 判断是否有网络
     */
    ShowMessageService.prototype.isConnecting = function () {
        return this.getNetworkType() != 'none';
    };
    /**
     * 获取网络类型 如`unknown`, `ethernet`, `wifi`, `2g`, `3g`, `4g`, `cellular`, `none`
     */
    ShowMessageService.prototype.getNetworkType = function () {
        if (!this.isMobile()) {
            return 'wifi';
        }
        return this.network.type;
    };
    /**
     * 统一调用此方法显示提示信息
     * @param message 信息内容
     * @param duration 显示时长
     */
    ShowMessageService.prototype.showToast = function (message, duration) {
        if (message === void 0) { message = '操作完成'; }
        if (duration === void 0) { duration = 2000; }
        var self = this;
        if (!this.isMobile()) {
            console.log("Is not mobile!");
        }
        else {
            console.log("Is mobile!");
            self.toastCtrl.create({
                message: message,
                duration: duration,
                cssClass: "toastClass",
                position: "bottom"
            }).present();
        }
    };
    ;
    /**
     * 是否真机环境
     */
    ShowMessageService.prototype.isMobile = function () {
        return this.platform.is('mobile') && !this.platform.is('mobileweb');
    };
    /**
     * 统一调用此方法显示loading
     * @param content 显示的内容
     */
    ShowMessageService.prototype.showLoading = function (content) {
        if (content === void 0) { content = ''; }
        if (!this.isLoading) {
            this.isLoading = true;
            this.loading = this.loadingCtrl.create({
                content: content
            });
            console.log('showLoading Now!');
            this.loading.present();
        }
    };
    ;
    /**
     * 关闭loading
     */
    ShowMessageService.prototype.hideLoading = function () {
        var self = this;
        if (this.isLoading) {
            self.loading.dismiss();
            this.isLoading = false;
        }
    };
    ;
    ShowMessageService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_network__["a" /* Network */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], ShowMessageService);
    return ShowMessageService;
}());

//# sourceMappingURL=show-message.service.js.map

/***/ }),

/***/ 84:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BaseUrl; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return LEARNING_LAW_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return LEARNING_LAW_LOGIN_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return LEARNING_LAW_JSON_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CND_EXAM_API_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return CND_EXAM_DEPT_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return MONITOR_REPORT_URL; });
/* unused harmony export REQUEST_TIMEOUT */
/* unused harmony export IS_DEBUG */
/* unused harmony export USE_UNIT */
/* unused harmony export CameraOpt */
/* unused harmony export ImagePickerOpt */
/**
 * 项目配置参数
 * @author Chile
 * @createAt 2019-02-10
 */
/**
 * 项目开发环境
 * nodejs 6.14.4
 * cordova 8.0.0
 * ionic 4.12.0 （V3版本）
 * @author Chile
 * @createAt 2020-03-17
 */
//服务器地址
var BaseUrl = 'https://cmsback.gxpf.cn/cmsapi'; //司法厅服务器
//export const LEARNING_LAW_URL = "http://192.168.1.4/examapi";// 学法模块
//export const LEARNING_LAW_LOGIN_URL = "http://192.168.1.4/examapi";// 学法考试登录模块用
//export const LEARNING_LAW_JSON_URL = "http://192.168.1.4";// 学法考试登录模块用
// export const LEARNING_LAW_URL = "http://114.215.66.42:81/examapi";// 学法模块
// export const LEARNING_LAW_LOGIN_URL = "http://114.215.66.42:81/examapi";// 学法考试登录模块用
// export const LEARNING_LAW_JSON_URL = "http://114.215.66.42:81";// 学法考试登录模块用
// export const CND_EXAM_API_URL = "http://114.215.66.42:81/cdndata/cndstudy";// 学法模块CDN加速用的API
// export const CND_EXAM_DEPT_URL = "http://114.215.66.42:81/examOrgJson";//学法考试组织结构测试用URL
var LEARNING_LAW_URL = "https://exam.gxpf.cn/examapi"; // 学法模块
var LEARNING_LAW_LOGIN_URL = "https://exam.gxpf.cn/examapi"; // 学法考试登录模块用
var LEARNING_LAW_JSON_URL = "https://exam.gxpf.cn"; // 学法考试登录模块用
var CND_EXAM_API_URL = "https://exam.gxpf.cn/cdndata/cndstudy"; // 学法模块CDN加速用的API
var CND_EXAM_DEPT_URL = "https://exam.gxpf.cn/examOrgJson"; //学法考试组织结构测试用URL
var MONITOR_REPORT_URL = "https://exam.gxpf.cn/wzjc/api"; // 监察系统模块
var REQUEST_TIMEOUT = 10000; //请求超时时间,单位为毫秒
var IS_DEBUG = true; //是否开发(调试)模式
//使用单位
var USE_UNIT = '广西壮族自治区司法厅';
// 调用摄像头时传入的参数
var CameraOpt = {
    quality: 50,
    destinationType: 1,
    sourceType: 1,
    encodingType: 0,
    mediaType: 0,
    allowEdit: true,
    correctOrientation: true
};
// 调用相册时传入的参数
var ImagePickerOpt = {
    maximumImagesCount: 5,
    width: 800,
    height: 800,
    quality: 80
};
//# sourceMappingURL=commonSet.js.map

/***/ }),

/***/ 85:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AuthService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__show_message_service__ = __webpack_require__(63);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__learning_law_exam_login_show_service__ = __webpack_require__(171);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * AuthService 授权服务
 * @author Chile
 * @createAt 2019-06-21
 *
 */
var AuthService = /** @class */ (function () {
    function AuthService(http, showMessageService, examLoginShowService) {
        var _this = this;
        this.http = http;
        this.showMessageService = showMessageService;
        this.examLoginShowService = examLoginShowService;
        //**************API*******************
        //获取SESSIONID
        this.appSessionIdUrl = '/rest/api/content/getSessionId';
        //测试缓存Token是否能登录
        this.appTokenLoginUrl = '/rest/api/user/login';
        this.isLogin = false;
        this.isLawLogin = false;
        this.sessionId = '';
        if (localStorage.getItem("a-userId")) {
            if (localStorage.getItem("a-userId") !== '') {
                this.isLogin = true;
            }
        }
        if (localStorage.getItem("exam-userId")) {
            if (localStorage.getItem("exam-userId") !== '') {
                this.isLawLogin = true;
            }
        }
        this.getAppSessionId().subscribe(function (result) {
            _this.sessionId = result;
        }, function (error) {
            //this.showMessageService.showToast(error, 3000);
        });
    }
    /**
     * Todo 需要测试
     * Token登录
     */
    // tokenLogin(): Observable<any> {
    //   let params = new HttpParams().set("loginName",userName).set("password",password);
    //   return new Observable((observer: any) => {
    //     this.http.post(this.appLoginUrl, null)
    //       .subscribe((res: any) => {
    //         if (res.status == 200) {
    //           observer.next(res.result[0]);
    //           observer.complete();
    //         } else {
    //           observer.error('服务器通讯错误，请稍后再试...');
    //         }
    //       });
    //     // this.showMessageService.hideLoading();
    //   });
    // }
    AuthService.prototype.saveAuth = function (st, code, tokenId, userId) {
        localStorage.setItem("a-st", st);
        localStorage.setItem("a-code", code);
        localStorage.setItem("a-tokenId", tokenId);
        localStorage.setItem("a-userId", userId);
        this.isLogin = true;
    };
    /**
     * 缓存学法模块token及相关信息
     * @param st
     * @param code
     * @param tokenId
     * @param userId
     */
    AuthService.prototype.saveAccountIdentify = function (st, code, tokenId, userId) {
        localStorage.setItem("exam-st", st);
        localStorage.setItem("exam-code", code);
        localStorage.setItem("exam-tokenId", tokenId);
        localStorage.setItem("exam-userId", userId);
        this.isLawLogin = true;
        this.examLoginShowService.isLogin = true;
    };
    /**
     * 清空学法模块token及相关信息
     * @param st
     * @param code
     * @param tokenId
     * @param userId
     */
    AuthService.prototype.clearLawAccountIdentify = function () {
        localStorage.removeItem("exam-st");
        localStorage.removeItem("exam-code");
        localStorage.removeItem("exam-tokenId");
        localStorage.removeItem("exam-userId");
        this.isLawLogin = false;
        this.examLoginShowService.isLogin = false;
    };
    /**
     * 获取学法模块登录状态
     * @returns {boolean}
     */
    AuthService.prototype.getLawLoginState = function () {
        return this.isLawLogin;
    };
    AuthService.prototype.logout = function () {
        localStorage.setItem("a-st", '');
        localStorage.setItem("a-code", '');
        localStorage.setItem("a-tokenId", '');
        localStorage.setItem("a-userId", '');
        this.isLogin = false;
        console.log('logout=======', this.isLogin);
    };
    Object.defineProperty(AuthService.prototype, "getSessionID", {
        get: function () {
            return this.sessionId;
        },
        enumerable: true,
        configurable: true
    });
    AuthService.prototype.checkAuth = function () {
        console.log('checkAuth=======', this.isLogin);
        return this.isLogin;
    };
    Object.defineProperty(AuthService.prototype, "checkLawAuth", {
        get: function () {
            return this.isLawLogin;
        },
        enumerable: true,
        configurable: true
    });
    AuthService.prototype.loginLocalInfo = function () {
        localStorage.getItem('Authorization');
    };
    /**
     * 获取SESSIONID
     */
    AuthService.prototype.getAppSessionId = function () {
        var _this = this;
        return new __WEBPACK_IMPORTED_MODULE_1_rxjs__["Observable"](function (observer) {
            _this.http.post(_this.appSessionIdUrl, null)
                .subscribe(function (res) {
                if (res.status == 200) {
                    observer.next(res.result[0]);
                    observer.complete();
                }
                else {
                    observer.error('服务器通讯错误，请稍后再试...');
                }
            });
            // this.showMessageService.hideLoading();
        });
    };
    AuthService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_3__show_message_service__["a" /* ShowMessageService */],
            __WEBPACK_IMPORTED_MODULE_4__learning_law_exam_login_show_service__["a" /* ExamLoginShowService */]])
    ], AuthService);
    return AuthService;
}());

//# sourceMappingURL=auth.service.js.map

/***/ }),

/***/ 878:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./af": 371,
	"./af.js": 371,
	"./ar": 372,
	"./ar-dz": 373,
	"./ar-dz.js": 373,
	"./ar-kw": 374,
	"./ar-kw.js": 374,
	"./ar-ly": 375,
	"./ar-ly.js": 375,
	"./ar-ma": 376,
	"./ar-ma.js": 376,
	"./ar-sa": 377,
	"./ar-sa.js": 377,
	"./ar-tn": 378,
	"./ar-tn.js": 378,
	"./ar.js": 372,
	"./az": 379,
	"./az.js": 379,
	"./be": 380,
	"./be.js": 380,
	"./bg": 381,
	"./bg.js": 381,
	"./bm": 382,
	"./bm.js": 382,
	"./bn": 383,
	"./bn.js": 383,
	"./bo": 384,
	"./bo.js": 384,
	"./br": 385,
	"./br.js": 385,
	"./bs": 386,
	"./bs.js": 386,
	"./ca": 387,
	"./ca.js": 387,
	"./cs": 388,
	"./cs.js": 388,
	"./cv": 389,
	"./cv.js": 389,
	"./cy": 390,
	"./cy.js": 390,
	"./da": 391,
	"./da.js": 391,
	"./de": 392,
	"./de-at": 393,
	"./de-at.js": 393,
	"./de-ch": 394,
	"./de-ch.js": 394,
	"./de.js": 392,
	"./dv": 395,
	"./dv.js": 395,
	"./el": 396,
	"./el.js": 396,
	"./en-SG": 397,
	"./en-SG.js": 397,
	"./en-au": 398,
	"./en-au.js": 398,
	"./en-ca": 399,
	"./en-ca.js": 399,
	"./en-gb": 400,
	"./en-gb.js": 400,
	"./en-ie": 401,
	"./en-ie.js": 401,
	"./en-il": 402,
	"./en-il.js": 402,
	"./en-nz": 403,
	"./en-nz.js": 403,
	"./eo": 404,
	"./eo.js": 404,
	"./es": 405,
	"./es-do": 406,
	"./es-do.js": 406,
	"./es-us": 407,
	"./es-us.js": 407,
	"./es.js": 405,
	"./et": 408,
	"./et.js": 408,
	"./eu": 409,
	"./eu.js": 409,
	"./fa": 410,
	"./fa.js": 410,
	"./fi": 411,
	"./fi.js": 411,
	"./fo": 412,
	"./fo.js": 412,
	"./fr": 413,
	"./fr-ca": 414,
	"./fr-ca.js": 414,
	"./fr-ch": 415,
	"./fr-ch.js": 415,
	"./fr.js": 413,
	"./fy": 416,
	"./fy.js": 416,
	"./ga": 417,
	"./ga.js": 417,
	"./gd": 418,
	"./gd.js": 418,
	"./gl": 419,
	"./gl.js": 419,
	"./gom-latn": 420,
	"./gom-latn.js": 420,
	"./gu": 421,
	"./gu.js": 421,
	"./he": 422,
	"./he.js": 422,
	"./hi": 423,
	"./hi.js": 423,
	"./hr": 424,
	"./hr.js": 424,
	"./hu": 425,
	"./hu.js": 425,
	"./hy-am": 426,
	"./hy-am.js": 426,
	"./id": 427,
	"./id.js": 427,
	"./is": 428,
	"./is.js": 428,
	"./it": 429,
	"./it-ch": 430,
	"./it-ch.js": 430,
	"./it.js": 429,
	"./ja": 431,
	"./ja.js": 431,
	"./jv": 432,
	"./jv.js": 432,
	"./ka": 433,
	"./ka.js": 433,
	"./kk": 434,
	"./kk.js": 434,
	"./km": 435,
	"./km.js": 435,
	"./kn": 436,
	"./kn.js": 436,
	"./ko": 437,
	"./ko.js": 437,
	"./ku": 438,
	"./ku.js": 438,
	"./ky": 439,
	"./ky.js": 439,
	"./lb": 440,
	"./lb.js": 440,
	"./lo": 441,
	"./lo.js": 441,
	"./lt": 442,
	"./lt.js": 442,
	"./lv": 443,
	"./lv.js": 443,
	"./me": 444,
	"./me.js": 444,
	"./mi": 445,
	"./mi.js": 445,
	"./mk": 446,
	"./mk.js": 446,
	"./ml": 447,
	"./ml.js": 447,
	"./mn": 448,
	"./mn.js": 448,
	"./mr": 449,
	"./mr.js": 449,
	"./ms": 450,
	"./ms-my": 451,
	"./ms-my.js": 451,
	"./ms.js": 450,
	"./mt": 452,
	"./mt.js": 452,
	"./my": 453,
	"./my.js": 453,
	"./nb": 454,
	"./nb.js": 454,
	"./ne": 455,
	"./ne.js": 455,
	"./nl": 456,
	"./nl-be": 457,
	"./nl-be.js": 457,
	"./nl.js": 456,
	"./nn": 458,
	"./nn.js": 458,
	"./pa-in": 459,
	"./pa-in.js": 459,
	"./pl": 460,
	"./pl.js": 460,
	"./pt": 461,
	"./pt-br": 462,
	"./pt-br.js": 462,
	"./pt.js": 461,
	"./ro": 463,
	"./ro.js": 463,
	"./ru": 464,
	"./ru.js": 464,
	"./sd": 465,
	"./sd.js": 465,
	"./se": 466,
	"./se.js": 466,
	"./si": 467,
	"./si.js": 467,
	"./sk": 468,
	"./sk.js": 468,
	"./sl": 469,
	"./sl.js": 469,
	"./sq": 470,
	"./sq.js": 470,
	"./sr": 471,
	"./sr-cyrl": 472,
	"./sr-cyrl.js": 472,
	"./sr.js": 471,
	"./ss": 473,
	"./ss.js": 473,
	"./sv": 474,
	"./sv.js": 474,
	"./sw": 475,
	"./sw.js": 475,
	"./ta": 476,
	"./ta.js": 476,
	"./te": 477,
	"./te.js": 477,
	"./tet": 478,
	"./tet.js": 478,
	"./tg": 479,
	"./tg.js": 479,
	"./th": 480,
	"./th.js": 480,
	"./tl-ph": 481,
	"./tl-ph.js": 481,
	"./tlh": 482,
	"./tlh.js": 482,
	"./tr": 483,
	"./tr.js": 483,
	"./tzl": 484,
	"./tzl.js": 484,
	"./tzm": 485,
	"./tzm-latn": 486,
	"./tzm-latn.js": 486,
	"./tzm.js": 485,
	"./ug-cn": 487,
	"./ug-cn.js": 487,
	"./uk": 488,
	"./uk.js": 488,
	"./ur": 489,
	"./ur.js": 489,
	"./uz": 490,
	"./uz-latn": 491,
	"./uz-latn.js": 491,
	"./uz.js": 490,
	"./vi": 492,
	"./vi.js": 492,
	"./x-pseudo": 493,
	"./x-pseudo.js": 493,
	"./yo": 494,
	"./yo.js": 494,
	"./zh-cn": 495,
	"./zh-cn.js": 495,
	"./zh-hk": 496,
	"./zh-hk.js": 496,
	"./zh-tw": 497,
	"./zh-tw.js": 497
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 878;

/***/ }),

/***/ 879:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContentInputComponentModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__content_input__ = __webpack_require__(880);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_keyboard__ = __webpack_require__(121);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ContentInputComponentModule = /** @class */ (function () {
    function ContentInputComponentModule() {
    }
    ContentInputComponentModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__content_input__["a" /* ContentInputComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__content_input__["a" /* ContentInputComponent */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_3__ionic_native_keyboard__["a" /* Keyboard */]
            ]
        })
    ], ContentInputComponentModule);
    return ContentInputComponentModule;
}());

//# sourceMappingURL=content-input.module.js.map

/***/ }),

/***/ 88:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WechatService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var WechatService = /** @class */ (function () {
    function WechatService() {
    }
    /**
     * 微信分享
     * @param option 微信分享配置
     */
    WechatService.prototype.wechatShare = function (option) {
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["Observable"].create(function (observer) {
            Wechat.isInstalled(function (installed) {
                if (installed) {
                    Wechat.share(option, function () {
                        console.log('分享成功');
                        observer.next('分享成功');
                        observer.complete();
                    }, function (reason) {
                        console.log('分享失败' + reason);
                        observer.error('分享失败:' + reason);
                        observer.complete();
                    });
                }
                else {
                    //this.showMessageService.showToast('请先安装微信');
                    console.log('请先安装微信');
                    observer.error('请先安装微信');
                    observer.complete();
                }
            }, function () {
                console.log('分享失败');
                observer.error('分享失败');
                observer.complete();
            });
        });
    };
    WechatService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [])
    ], WechatService);
    return WechatService;
}());

//# sourceMappingURL=wechat.service.js.map

/***/ }),

/***/ 880:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContentInputComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_keyboard__ = __webpack_require__(121);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * ContentInputComponent 内容底部跟贴输入组件（暂未使用）
 * @author Chile
 * @createAt 2019-05-29
 *
 */
var ContentInputComponent = /** @class */ (function () {
    function ContentInputComponent(renderer, keyboard) {
        var _this = this;
        this.renderer = renderer;
        this.keyboard = keyboard;
        this.blured = false;
        this._onChange = function (value) {
        };
        //获取焦点事件
        this.focus = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        //离开焦点事件
        this.blur = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        keyboard.onKeyboardHide().subscribe(function (value) {
            console.log('onKeyboardHide', value, _this.input);
            if (!value.cancelable && !value.composed) {
                //this.input.focus();
                _this.blured = false;
            }
            else {
                _this.blured = true;
            }
        });
    }
    ContentInputComponent_1 = ContentInputComponent;
    /**
     * 离开焦点事件
     * @param event 事件对象
     */
    ContentInputComponent.prototype.onBlur = function (event) {
        var _this = this;
        setTimeout(function () {
            if (_this.blured) {
                _this.blur.emit(event);
            }
        }, 200);
    };
    /**
     * 继承ControlValueAccessor类writeValue事件，插入对象内容
     * @param value 插入内容
     */
    ContentInputComponent.prototype.writeValue = function (value) {
        this.renderer.setElementProperty(this.input.nativeElement, 'innerHTML', value);
    };
    /**
     * 继承ControlValueAccessor类registerOnChange事件，注册OnChange事件
     * @param fn 事件对象
     */
    ContentInputComponent.prototype.registerOnChange = function (fn) {
        this._onChange = fn;
    };
    /**
     * 继承ControlValueAccessor类registerOnTouched事件，注册OnTouched事件
     * @param fn 事件对象
     */
    ContentInputComponent.prototype.registerOnTouched = function (fn) {
    };
    /**
     * 定位组件光标到文本最后
     */
    ContentInputComponent.prototype.saveLastEditRange = function () {
        try {
            // 获取选定对象
            var selection = getSelection();
            // 设置最后光标对象
            this.lastEditRange = selection.getRangeAt(0);
        }
        catch (e) {
            console.log(e);
        }
    };
    /**
     * 键盘输入事件
     * @param e 事件信息
     */
    ContentInputComponent.prototype.onKeypress = function (e) {
        if (e.keyCode == 13) {
            e.preventDefault();
            var event_1 = new Event('submit');
            event_1.initEvent('submit', true, true);
            //document.forms[0].dispatchEvent(event);
        }
    };
    /**
     * 录入内容事件
     * @param e 事件信息
     */
    ContentInputComponent.prototype.onInput = function (e) {
        this._onChange(e.target.innerHTML);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('input'),
        __metadata("design:type", Object)
    ], ContentInputComponent.prototype, "input", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])('focus'),
        __metadata("design:type", Object)
    ], ContentInputComponent.prototype, "focus", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])('blur'),
        __metadata("design:type", Object)
    ], ContentInputComponent.prototype, "blur", void 0);
    ContentInputComponent = ContentInputComponent_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'cy-content-input',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\content-input\content-input.html"*/'<div ContentEditable="true" #input (click)="saveLastEditRange()" (keyup)="saveLastEditRange()"\n     (keypress)="onKeypress($event);" (input)="onInput($event)" (focus)="focus.emit($event)" placeholder="跟贴..." (blur)="onBlur($event)"\n     class="div-content"></div>\n<!--<div contenteditable><em>Edit me</em></div>-->\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\content-input\content-input.html"*/,
            providers: [
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_forms__["NG_VALUE_ACCESSOR"], useExisting: Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["forwardRef"])(function () { return ContentInputComponent_1; }), multi: true }
            ]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["Renderer"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_keyboard__["a" /* Keyboard */]])
    ], ContentInputComponent);
    return ContentInputComponent;
    var ContentInputComponent_1;
}());

//# sourceMappingURL=content-input.js.map

/***/ }),

/***/ 881:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ElasticModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__textarea_elastic__ = __webpack_require__(882);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var ElasticModule = /** @class */ (function () {
    function ElasticModule() {
    }
    ElasticModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__textarea_elastic__["a" /* ElasticDirective */]],
            exports: [__WEBPACK_IMPORTED_MODULE_1__textarea_elastic__["a" /* ElasticDirective */]]
        })
    ], ElasticModule);
    return ElasticModule;
}());

//# sourceMappingURL=textarea-elastic.module.js.map

/***/ }),

/***/ 882:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ElasticDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_fromEvent__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_fromEvent___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_fromEvent__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_debounceTime__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_debounceTime___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_debounceTime__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};





/**
 * AutoResize ion-textarea组件自动适应指令
 * @author Chile
 * @createAt 2019-05-29
 *
 */
var ElasticDirective = /** @class */ (function () {
    function ElasticDirective(element, ngZone, model, formCtrlName) {
        this.element = element;
        this.ngZone = ngZone;
        this.model = model;
        this.formCtrlName = formCtrlName;
        this.onResize = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
    }
    ElasticDirective.prototype.ngOnInit = function () {
        var _this = this;
        if (!this.model && !this.formCtrlName) {
            return;
        }
        // Listen for changes to the underlying model
        // to adjust the textarea size.
        this.modelSub = (this.model ? this.model : this.formCtrlName)
            .valueChanges
            .debounceTime(100)
            .subscribe(function () { return _this.adjust(); });
    };
    ElasticDirective.prototype.ngOnDestroy = function () {
        if (this.modelSub) {
            this.modelSub.unsubscribe();
        }
    };
    ElasticDirective.prototype.ngAfterViewInit = function () {
        var _this = this;
        if (this.isTextarea(this.element.nativeElement)) {
            this.setupTextarea(this.element.nativeElement);
            return;
        }
        var children = Array.from(this.element.nativeElement.children);
        var textareaEl = children.find(function (el) { return _this.isTextarea(el); });
        if (textareaEl) {
            this.setupTextarea(textareaEl);
            return;
        }
        throw new Error('The `fz-elastic` attribute directive must be used on a `textarea` or an element that contains a `textarea`.');
    };
    ElasticDirective.prototype.onInput = function () {
        // This is run whenever the user changes the input.
        this.adjust();
    };
    ElasticDirective.prototype.isTextarea = function (el) {
        return el.tagName === 'TEXTAREA';
    };
    ElasticDirective.prototype.setupTextarea = function (textareaEl) {
        var _this = this;
        this.textareaEl = textareaEl;
        // Set some necessary styles
        var style = this.textareaEl.style;
        style.overflow = 'hidden';
        style.resize = 'none';
        // Listen for window resize events
        this.ngZone.runOutsideAngular(function () {
            __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].fromEvent(window, 'resize')
                .debounceTime(100)
                .subscribe(function () { return _this.adjust(); });
        });
        // Ensure we adjust the textarea if
        // content is already present
        this.adjust();
    };
    ElasticDirective.prototype.adjust = function () {
        if (!this.textareaEl) {
            return;
        }
        var previousHeight = parseInt(this.textareaEl.style.height, 10);
        var newHeight = this.textareaEl.scrollHeight;
        this.textareaEl.style.height = 'auto';
        this.textareaEl.style.height = newHeight + "px";
        if (previousHeight !== newHeight) {
            // send resize event
            this.onResize.emit(newHeight);
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])('on-resize'),
        __metadata("design:type", Object)
    ], ElasticDirective.prototype, "onResize", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"])('input'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], ElasticDirective.prototype, "onInput", null);
    ElasticDirective = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: '[fz-elastic]'
        }),
        __param(2, Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Optional"])()),
        __param(3, Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Optional"])()),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["NgZone"],
            __WEBPACK_IMPORTED_MODULE_1__angular_forms__["NgModel"],
            __WEBPACK_IMPORTED_MODULE_1__angular_forms__["FormControlName"]])
    ], ElasticDirective);
    return ElasticDirective;
}());

//# sourceMappingURL=textarea-elastic.js.map

/***/ }),

/***/ 884:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CommonVideoPlayerModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_keyboard__ = __webpack_require__(121);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__common_video_player__ = __webpack_require__(885);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CommonVideoPlayerModule = /** @class */ (function () {
    function CommonVideoPlayerModule() {
    }
    CommonVideoPlayerModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__common_video_player__["a" /* CommonVideoPlayerComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_3__common_video_player__["a" /* CommonVideoPlayerComponent */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_2__ionic_native_keyboard__["a" /* Keyboard */]
            ]
        })
    ], CommonVideoPlayerModule);
    return CommonVideoPlayerModule;
}());

//# sourceMappingURL=common-video-player.module.js.map

/***/ }),

/***/ 885:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CommonVideoPlayerComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular_platform_platform__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__ = __webpack_require__(218);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * CommonVideoPlayerComponent 视频播放组件 这个暂时不用了，老版本的
 * @author Chile
 * @createAt 2019-08-06
 *
 */
var CommonVideoPlayerComponent = /** @class */ (function () {
    function CommonVideoPlayerComponent(plt, event, screenOrientation) {
        var _this = this;
        this.plt = plt;
        this.event = event;
        this.screenOrientation = screenOrientation;
        this.fullscreen = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickPlayPause = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.clickProcessPan = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.processPosition = "0%"; //控制条进度
        this.defaultPanelHeight = ""; //视频窗口高度（默认）
        this.panelHeight = "200px"; //视频窗口高度
        this.currentTimeLabel = "00:00"; //当前播放进度的文本
        this.totalTimeLabel = "00:00"; //视频总时长的文本
        this.canplay = false; //是否可以播放
        this.isPlaying = false; //是否正在播放
        this.isPan = false; //进度条是否正在被拖动
        this.isFullscreen = false; //是否已经全屏
        //监听App切后台的处理函数
        this.onAppPauseHandler = function () {
            if (!_this.isPlaying)
                return;
            if (_this.checkHasAudioUrl()) {
                _this.myaudio.nativeElement.muted = false;
                _this.myaudio.nativeElement.play();
                if (_this.checkHasVideoUrl()) {
                    _this.myaudio.nativeElement.currentTime = _this.myvideo.nativeElement.currentTime;
                }
            }
        };
        //监听App重新激活的处理函数
        this.onAppResumeHandler = function () {
            if (!_this.isPlaying)
                return;
            if (_this.checkHasAudioUrl()) {
                _this.myaudio.nativeElement.muted = true;
            }
            if (_this.checkHasVideoUrl()) {
                _this.myvideo.nativeElement.play();
                if (_this.checkHasAudioUrl()) {
                    _this.myvideo.nativeElement.currentTime = _this.myaudio.nativeElement.currentTime;
                }
            }
        };
        this.event.subscribe("app-pause", this.onAppPauseHandler);
        this.event.subscribe("app-resume", this.onAppResumeHandler);
    }
    //当点击播放/暂停按钮的时候
    CommonVideoPlayerComponent.prototype.onPlayPauseTap = function () {
        if (!this.canplay)
            return;
        if (this.isPlaying) {
            this.isPlaying = false;
            this.clickPlayPause.emit({ isPlaying: false });
            this.myvideo.nativeElement.pause();
        }
        else {
            this.isPlaying = true;
            this.clickPlayPause.emit({ isPlaying: true });
            this.myvideo.nativeElement.play();
        }
    };
    //当滑动进度条的时候
    CommonVideoPlayerComponent.prototype.onProcessPan = function (event) {
        if (!this.canplay)
            return;
        var percent = (event.center.x - event.target.offsetLeft) / event.target.offsetWidth;
        if (percent < 0)
            percent = 0;
        if (percent > 1)
            percent = 1;
        this.processPosition = (percent * 100).toString() + "%";
        this.clickPlayPause.emit({ percent: percent });
        this.isPan = true;
        if (event.isFinal) {
            this.isPan = false;
            this.myvideo.nativeElement.currentTime = this.myvideo.nativeElement.duration * percent;
            if (!this.isPlaying) {
                this.isPlaying = true;
                this.myvideo.nativeElement.play();
            }
        }
    };
    //点击全屏的时候
    CommonVideoPlayerComponent.prototype.onFullscreenTap = function () {
        if (!this.canplay)
            return;
        if (this.isFullscreen) {
            this.isFullscreen = false;
            this.panelHeight = this.defaultPanelHeight;
            this.fullscreen.emit({ isFullscreen: false });
            if (this.plt.is("cordova")) {
                this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.PORTRAIT);
            }
        }
        else {
            this.isFullscreen = true;
            this.panelHeight = (this.plt.width() - 24) + "px";
            this.fullscreen.emit({ isFullscreen: true });
            if (this.plt.is("cordova")) {
                this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.LANDSCAPE);
            }
        }
    };
    //手动取消全屏
    CommonVideoPlayerComponent.prototype.setNoFullScreen = function () {
        if (!this.canplay)
            return;
        if (this.plt.is("cordova")) {
            this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.PORTRAIT);
        }
        this.isFullscreen = false;
        this.panelHeight = this.defaultPanelHeight;
    };
    //视频开始加载
    CommonVideoPlayerComponent.prototype.onVideoLoadStart = function (event) {
        if (this.checkHasVideoUrl()) {
            this.log("loadStart", event);
            this.canplay = false;
            this.isPlaying = true;
            this.myvideo.nativeElement.play();
        }
    };
    //音频开始加载
    CommonVideoPlayerComponent.prototype.onAudioLoadStart = function (event) {
        if (this.checkHasAudioUrl()) {
            this.myaudio.nativeElement.play();
            this.myaudio.nativeElement.muted = true;
        }
    };
    //视频总时长发生改变（只支持IOS）
    CommonVideoPlayerComponent.prototype.onVideoDurationChange = function (event) {
        this.log("durationChange", event);
        this.onVideoRealMeta(event);
    };
    //视频元数据加载成功（不支持IOS）
    CommonVideoPlayerComponent.prototype.onVideoLoadedMetadata = function (event) {
        this.log("metaData", event);
        this.onVideoRealMeta(event);
    };
    //视频元数据发生改变（兼容统一处理）
    CommonVideoPlayerComponent.prototype.onVideoRealMeta = function (event) {
        var duration = this.myvideo.nativeElement.duration;
        this.totalTimeLabel = this.formatTime(duration);
        var videoWidth = this.myvideo.nativeElement.videoWidth;
        var videoHeight = this.myvideo.nativeElement.videoHeight;
        var displayWidth = this.myvideo.nativeElement.clientWidth;
        var displayHeight = videoHeight / videoWidth * displayWidth;
        this.panelHeight = displayHeight + "px";
        this.defaultPanelHeight = this.panelHeight;
    };
    //视频可以播放了
    CommonVideoPlayerComponent.prototype.onVideoCanplay = function (event) {
        this.log("canplay", event);
        this.canplay = true;
    };
    //视频播放进度发生改变
    CommonVideoPlayerComponent.prototype.onVideoTimeupdate = function (event) {
        this.log("timeUpdate", event);
        var currentTime = this.myvideo.nativeElement.currentTime;
        var duration = this.myvideo.nativeElement.duration;
        if (currentTime != undefined && duration != undefined) {
            if (!this.isPan) {
                var percent = currentTime / duration * 100;
                this.processPosition = percent + "%";
            }
            this.currentTimeLabel = this.formatTime(currentTime);
        }
    };
    //视频播放完毕
    CommonVideoPlayerComponent.prototype.onVideoEnded = function (event) {
        this.log("ended", event);
        this.isPlaying = false;
    };
    //音频进度发生改变
    CommonVideoPlayerComponent.prototype.onAudioTimeupdate = function (event) {
        this.log("audioTimeupdate", event);
    };
    CommonVideoPlayerComponent.prototype.formatTime = function (timecount) {
        var minutes = parseInt(timecount / 60 + "");
        var seconds = timecount - minutes * 60;
        var mstr = minutes.toString();
        var sstr = parseInt(seconds + "").toString();
        mstr = mstr.length == 1 ? "0" + mstr : mstr;
        sstr = sstr.length == 1 ? "0" + sstr : sstr;
        return mstr + ":" + sstr;
    };
    //获取是否具有有效的视频URL
    CommonVideoPlayerComponent.prototype.checkHasVideoUrl = function () {
        console.log('checkHasVideoUrl:', this.videoUrl);
        return (this.videoUrl != undefined && this.videoUrl != null && this.videoUrl != "");
    };
    //获取是否具有有效的音频URL
    CommonVideoPlayerComponent.prototype.checkHasAudioUrl = function () {
        return (this.audioUrl != undefined && this.audioUrl != null && this.audioUrl != "");
    };
    //组件被销毁了
    CommonVideoPlayerComponent.prototype.ngOnDestroy = function () {
        this.event.unsubscribe("app-pause", this.onAppPauseHandler);
        this.event.unsubscribe("app-resume", this.onAppResumeHandler);
        if (this.plt.is("cordova")) {
            this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.PORTRAIT);
        }
    };
    CommonVideoPlayerComponent.prototype.log = function (eventName, event) {
        //console.log("*** <Video Event: "+eventName+"> ***", event);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])('vurl'),
        __metadata("design:type", String)
    ], CommonVideoPlayerComponent.prototype, "videoUrl", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])('aurl'),
        __metadata("design:type", String)
    ], CommonVideoPlayerComponent.prototype, "audioUrl", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])('cover'),
        __metadata("design:type", String)
    ], CommonVideoPlayerComponent.prototype, "cover", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], CommonVideoPlayerComponent.prototype, "fullscreen", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], CommonVideoPlayerComponent.prototype, "clickPlayPause", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])(),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
    ], CommonVideoPlayerComponent.prototype, "clickProcessPan", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])("myvideo"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], CommonVideoPlayerComponent.prototype, "myvideo", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])("myaudio"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], CommonVideoPlayerComponent.prototype, "myaudio", void 0);
    CommonVideoPlayerComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'common-video-player',template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\components\common-video-player\common-video-player.html"*/'<div class="video-panel" [style.height]="panelHeight">\n  <video #myvideo\n    [src]="videoUrl" [poster]="cover"\n    (loadstart)="onVideoLoadStart($event)"\n    (durationchange)="onVideoDurationChange($event)"\n		(canplay)="onVideoCanplay($event)"\n		(loadedmetadata)="onVideoLoadedMetadata($event)"\n		(timeupdate)="onVideoTimeupdate($event)"\n		(ended)="onVideoEnded($event)"\n    playsinline webkit-playsinline>\n  </video>\n  <audio #myaudio\n    [src]="audioUrl"\n    (loadstart)="onAudioLoadStart($event)"\n    (timeupdate)="onAudioTimeupdate($event)"\n    playsinline webkit-playsinline>\n  </audio>\n  <div class="control-area">\n    <div class="control-bar">\n      <a class="btn-play" [class.pause]="isPlaying" [class.disbale]="!canplay" (tap)="onPlayPauseTap()"></a>\n      <span class="video-time">{{currentTimeLabel}}</span>\n      <div class="process-bar" (pan)="onProcessPan($event)">\n        <div class="process-bg">\n          <div class="process" [style.width]="processPosition"></div>\n        </div>\n        <div class="drag-wraper" [style.left]="processPosition">\n          <a class="btn-drag" [class.disbale]="!canplay"></a>\n        </div>\n      </div>\n      <span class="video-time total">{{totalTimeLabel}}</span>\n      <a class="btn-fullscreen" [class.exit]="isFullscreen" (tap)="onFullscreenTap()" [class.disbale]="!canplay"></a>\n    </div>\n  </div>\n</div>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\components\common-video-player\common-video-player.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular_platform_platform__["a" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__["a" /* ScreenOrientation */]])
    ], CommonVideoPlayerComponent);
    return CommonVideoPlayerComponent;
}());

//# sourceMappingURL=common-video-player.js.map

/***/ }),

/***/ 89:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WeiboService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var WeiboService = /** @class */ (function () {
    function WeiboService() {
    }
    /**
     * 微博分享
     * @param option 微博分享配置
     */
    WeiboService.prototype.weiboShare = function (option) {
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["Observable"].create(function (observer) {
            WeiboSDK.checkClientInstalled(function () {
                WeiboSDK.shareToWeibo(function () {
                    console.log('分享成功');
                    observer.next('分享成功');
                    observer.complete();
                }, function (reason) {
                    console.log('分享失败' + reason);
                    observer.error('分享失败:' + reason);
                    observer.complete();
                }, option);
            }, function () {
                console.log('分享失败');
                observer.error('分享失败');
                observer.complete();
            });
        });
    };
    WeiboService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [])
    ], WeiboService);
    return WeiboService;
}());

//# sourceMappingURL=weibo.service.js.map

/***/ }),

/***/ 891:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 893:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 90:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DBUtils; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__ = __webpack_require__(504);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * SQLite数据库操作工具类
 * 数据类型对应字符，请查看 http://www.runoob.com/sqlite/sqlite-data-types.html
 * @author Chile
 * @createAt 2019-09-05
 */
var DBUtils = /** @class */ (function () {
    function DBUtils(db) {
        this.db = db;
        this.dbName = 'cn.gxpf.db'; //数据库名
    }
    DBUtils.prototype.getDB = function () {
        try {
            if (this.database) {
                return this.database;
            }
            if (!this.db) {
                console.log('this.db is undefined');
                this.db = new __WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__["a" /* SQLite */]();
            }
            return this.database = this.db.create({
                name: this.dbName,
                location: 'default'
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    // closeDB() {
    //     try {
    //         if (!this.db) {
    //             console.log('this.db is undefined');
    //             this.db = new SQLite();
    //         }
    //         this.db.();
    //     } catch (e) {
    //         console.log(e);
    //     }
    // }
    //创建表
    DBUtils.prototype.createTable = function (TableInfo) {
        try {
            if (TableInfo.tableName && TableInfo.tableName == '') {
                console.log('表名不能为空');
            }
            this.getDB().then(function (db) {
                var sql = 'CREATE TABLE IF NOT EXISTS ' + TableInfo.tableName + '(';
                for (var i = 0; i < TableInfo.columns.length; i++) {
                    sql += TableInfo.columns[i].column + ' ' + TableInfo.columns[i].dataType;
                    if (i != TableInfo.columns.length - 1) {
                        sql += ',';
                    }
                }
                sql += ');';
                db.executeSql(sql, []).then(function () {
                    if (TableInfo.success) {
                        TableInfo.success();
                    }
                }, function (err) {
                    if (TableInfo.error) {
                        TableInfo.error(err);
                    }
                    console.log('SQL batch ERROR: ' + err.message);
                });
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //判断表是否存在
    DBUtils.prototype.tabIsExist = function (tableName) {
        return this.getDB().then(function (db) {
            console.log('tabIsExist  db', db);
            var sql = 'SELECT COUNT(*) as count FROM sqlite_master where type="table" and name="' + tableName + '";';
            return db.executeSql(sql, []).then(function (data) {
                return data.rows.item(0).count > 0;
            }, function (err) {
                console.log('SQL batch ERROR: ' + err.message);
                return false;
            });
        });
    };
    //查询表中所有数据
    DBUtils.prototype.selectAll = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        db.executeSql('SELECT * FROM ' + obj.tableName, []).then(function (data) {
                            if (obj.success) {
                                var result = [];
                                for (var i = 0; data.rows.item(i); i++) {
                                    result[i] = data.rows.item(i);
                                }
                                obj.success(result);
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //根据条件查询
    DBUtils.prototype.selectByWhere = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'SELECT * FROM ' + obj.tableName + ' WHERE ' + obj.where + ';';
                        console.log('selectByWhere  obj', obj, sql);
                        db.executeSql(sql, []).then(function (data) {
                            if (obj.success) {
                                var result = [];
                                for (var i = 0; data.rows.item(i); i++) {
                                    result[i] = data.rows.item(i);
                                }
                                obj.success(result);
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ', JSON.stringify(err));
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log('selectByWhere', e);
        }
    };
    //插入一条数据
    DBUtils.prototype.insert = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'INSERT INTO ' + obj.tableName + ' VALUES (';
                        for (var item in obj.data) {
                            if (_this.objIsString(obj.data[item]) == true) {
                                sql += ('"' + obj.data[item].replace(new RegExp('"', 'g'), '""') + '",');
                            }
                            else {
                                sql += (obj.data[item] + ',');
                            }
                        }
                        sql = sql.slice(0, sql.length - 1) + ');';
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //插入多条数据
    DBUtils.prototype.insertAll = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'INSERT INTO ' + obj.tableName + ' VALUES (';
                        for (var i = 0; i < obj.datas.length; i++) {
                            for (var item in obj.datas[i]) {
                                if (_this.objIsString(obj.datas[i][item]) == true) {
                                    sql += ('"' + obj.datas[i][item].replace(new RegExp('"', 'g'), '""') + '",');
                                }
                                else {
                                    sql += (obj.datas[i][item] + ',');
                                }
                            }
                            sql = sql.slice(0, sql.length - 1) + '),(';
                        }
                        sql = sql.slice(0, sql.length - 2) + ';';
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //删除数据
    DBUtils.prototype.delete = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'DELETE FROM ' + obj.tableName + ' WHERE ' + obj.where + ';';
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //删除表中所有数据
    DBUtils.prototype.deleteAll = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'DELETE FROM ' + obj.tableName + ';';
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //删除表
    DBUtils.prototype.deleteTab = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'DROP TABLE ' + obj.tableName + ';';
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' table does not exist' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //更新数据
    DBUtils.prototype.update = function (obj) {
        var _this = this;
        try {
            this.tabIsExist(obj.tableName).then(function (isExist) {
                if (isExist == true) {
                    _this.getDB().then(function (db) {
                        var sql = 'UPDATE ' + obj.tableName + ' SET ';
                        for (var columnName in obj.data) {
                            if (_this.objIsString(obj.data[columnName]) == true) {
                                sql = sql + columnName + '="' + obj.data[columnName].replace(new RegExp('"', 'g'), '""') + '",';
                            }
                            else {
                                sql = sql + columnName + '=' + obj.data[columnName] + ',';
                            }
                        }
                        sql = sql.slice(0, sql.length - 1) + ' WHERE ' + obj.where;
                        db.executeSql(sql, []).then(function () {
                            if (obj.success) {
                                obj.success();
                            }
                        }, function (err) {
                            console.log('SQL batch ERROR: ' + err.message);
                            if (obj.error) {
                                obj.error(err);
                            }
                        });
                    });
                }
                else {
                    if (obj.error) {
                        obj.error({ message: obj.tableName + ' tab no create' });
                    }
                }
            });
        }
        catch (e) {
            console.log(e);
        }
    };
    //判断是否为字符串
    DBUtils.prototype.objIsString = function (obj) {
        if (Object.prototype.toString.call(obj) == '[object String]') {
            return true;
        }
        else {
            return false;
        }
    };
    DBUtils = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_sqlite__["a" /* SQLite */]])
    ], DBUtils);
    return DBUtils;
}());

//# sourceMappingURL=DBUtils.js.map

/***/ }),

/***/ 906:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 907:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 909:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 922:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 927:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 929:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 930:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 931:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 934:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 938:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 939:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 942:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 945:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 969:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 987:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(219);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(571);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_index_image_slide_index_image_slide__ = __webpack_require__(501);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen) {
        var _this = this;
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            console.log('isNotFirstLaunch', localStorage.getItem('isNotFirstLaunch'));
            if (localStorage.getItem('isNotFirstLaunch') == null) {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_index_image_slide_index_image_slide__["a" /* IndexImageSlidePage */];
            }
            else {
                if (localStorage.getItem('isNotFirstLaunch') === 'true') {
                    _this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */];
                }
                else {
                    _this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_index_image_slide_index_image_slide__["a" /* IndexImageSlidePage */];
                }
            }
            // Todo 先注释掉，需要调整页面
            // statusBar.overlaysWebView(true);
            // statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"E:\code\gxpf2020\gxpf_app\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"E:\code\gxpf2020\gxpf_app\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 990:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DefaultInterceptor; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__commonSet__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_observable_of__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_observable_of___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_observable_of__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_learning_law_exam_login_show_service__ = __webpack_require__(171);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * 默认HTTP拦截器，其注册细节见 `app.module.ts`
 * @author Chile
 * @createAt 2019-06-10
 */
var DefaultInterceptor = /** @class */ (function () {
    function DefaultInterceptor(injector, toastCtrl, modalCtrl, examLoginShowService) {
        this.injector = injector;
        this.toastCtrl = toastCtrl;
        this.modalCtrl = modalCtrl;
        this.examLoginShowService = examLoginShowService;
    }
    DefaultInterceptor.prototype.handleData = function (event) {
        var _this = this;
        this.injector.get(__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["b" /* HttpClient */]);
        // 业务处理：一些通用操作
        switch (event.status) {
            case 200:
                if (event instanceof __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["h" /* HttpResponse */]) {
                    var requestUrl = event.url;
                    if (requestUrl != null && !requestUrl.startsWith(__WEBPACK_IMPORTED_MODULE_0__commonSet__["f" /* LEARNING_LAW_URL */])) {
                        var body = event.body;
                        if (body && body.status == 400) {
                            body.message = '用户未登录';
                            setTimeout(function () {
                                var modal = _this.modalCtrl.create("LoginPage");
                                modal.present();
                            }, 100);
                        }
                        else if (body && body.status == 532) {
                            body.message = '登录信息已过期';
                            setTimeout(function () {
                                var modal = _this.modalCtrl.create("LoginPage");
                                modal.present();
                            }, 100);
                        }
                    }
                    if (requestUrl != null && requestUrl.startsWith(__WEBPACK_IMPORTED_MODULE_0__commonSet__["f" /* LEARNING_LAW_URL */])) {
                        var body = event.body;
                        var isLogin = localStorage.getItem('isLogin');
                        if (body && body.status == 532) {
                            if (isLogin === 'true') {
                                localStorage.removeItem("exam-st");
                                localStorage.removeItem("exam-code");
                                localStorage.removeItem("exam-tokenId");
                                localStorage.removeItem("exam-userId");
                                localStorage.setItem("noLogin", 'true');
                                localStorage.setItem("isLogin", 'false');
                                this.examLoginShowService.showExamLoginForm();
                            }
                        }
                        else if (body && body.status == 400) {
                            if (isLogin === 'true') {
                                body.message = '用户未登录';
                                setTimeout(function () {
                                    _this.toast = _this.toastCtrl.create({
                                        message: "登录信息已过期，请重新登录。",
                                        duration: 3000,
                                        position: "bottom",
                                        cssClass: "toast-message-auto-close",
                                    });
                                    _this.toast.present();
                                    localStorage.setItem("noLogin", 'true');
                                    localStorage.setItem("isLogin", 'false');
                                    var modal = _this.modalCtrl.create("ExamLoginPage");
                                    modal.present();
                                }, 100);
                            }
                        }
                    }
                }
                break;
            case 400: // 未登录状态码
            case 403:
            case 404:
            case 500:
                break;
            case 502:
            case 504:
                if (event instanceof __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["d" /* HttpErrorResponse */]) {
                    var httpHeaders = new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["f" /* HttpHeaders */]();
                    event = new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["h" /* HttpResponse */]({
                        body: { status: 500, message: "网络异常，请稍后重试！" },
                        headers: httpHeaders, status: 500
                    });
                }
                this.examLoginShowService.showExamLoginForm();
                break;
            default:
                if (event instanceof __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["d" /* HttpErrorResponse */]) {
                    var httpHeaders = new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["f" /* HttpHeaders */]();
                    event = new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["h" /* HttpResponse */]({
                        body: { status: 500, message: "网络异常，请稍后重试！" },
                        headers: httpHeaders, status: 500
                    });
                }
                break;
        }
        return Object(__WEBPACK_IMPORTED_MODULE_5_rxjs_observable_of__["of"])(event);
    };
    DefaultInterceptor.prototype.intercept = function (req, next) {
        var _this = this;
        //console.log('req.url', req.url);
        // 请求之前统一加上服务端前缀
        var url = req.url;
        if (!url.startsWith('https://') && !url.startsWith('http://')) {
            url = __WEBPACK_IMPORTED_MODULE_4__commonSet__["a" /* BaseUrl */] + url;
        }
        var headers;
        var headerParams = {};
        var isAddHeader = url.indexOf(__WEBPACK_IMPORTED_MODULE_0__commonSet__["f" /* LEARNING_LAW_URL */]) != -1 && (localStorage.getItem("exam-tokenId") !== null)
            && url.lastIndexOf(".json") == -1;
        if (isAddHeader) {
            headerParams = {
                'Content-Type': 'application/x-www-form-urlencoded',
                'a-st': localStorage.getItem('exam-st'),
                'a-code': localStorage.getItem('exam-code'),
                'a-tokenId': localStorage.getItem('exam-tokenId'),
                'a-userId': localStorage.getItem('exam-userId')
            };
        }
        else if (url.indexOf("cmsapi") != -1 && localStorage.getItem('a-tokenId') !== null) {
            if (req.reportProgress) {
                headerParams = this.setHeader(0);
            }
            else {
                headerParams = this.setHeader(1);
            }
        }
        else if (url.indexOf("/api/site") != -1) {
            var token = localStorage.getItem("monitorReport");
            headerParams = {
                token: token,
                'Content-Type': 'application/x-www-form-urlencoded'
            };
        }
        else {
            headerParams = { 'Content-Type': 'application/x-www-form-urlencoded' };
        }
        if (url.indexOf("/start/exam") != -1) {
            headerParams = {
                "Content-Type": "application/json",
                "a-st": localStorage.getItem("exam-st"),
                "a-code": localStorage.getItem("exam-code"),
                "a-tokenId": localStorage.getItem("exam-tokenId"),
                "a-userId": localStorage.getItem("exam-userId"),
            };
        }
        headers = new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["f" /* HttpHeaders */](headerParams);
        var newReq = req.clone({
            url: url,
            headers: headers,
        });
        return next.handle(newReq).pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["mergeMap"])(function (event) {
            // 允许统一对请求错误处理，这是因为一个请求若是业务上错误的情况下其HTTP请求的状态是200的情况下需要
            if (event instanceof __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["h" /* HttpResponse */]) {
                return _this.handleData(event);
            }
            // 若一切都正常，则后续操作
            return Object(__WEBPACK_IMPORTED_MODULE_5_rxjs_observable_of__["of"])(event);
        }), Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["catchError"])(function (err) { return _this.handleData(err); }));
    };
    DefaultInterceptor.prototype.setHeader = function (type) {
        var headerParams = {};
        if (localStorage.getItem('a-userId') !== '' && localStorage.getItem('a-userId') !== null) {
            headerParams = {
                'a-st': localStorage.getItem('a-st'),
                'a-code': localStorage.getItem('a-code'),
                'a-tokenId': localStorage.getItem('a-tokenId'),
                'a-userId': localStorage.getItem('a-userId')
            };
        }
        if (type) {
            headerParams["Content-Type"] = "application/x-www-form-urlencoded";
        }
        return headerParams;
    };
    DefaultInterceptor = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injector"],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_7__providers_learning_law_exam_login_show_service__["a" /* ExamLoginShowService */]])
    ], DefaultInterceptor);
    return DefaultInterceptor;
}());

//# sourceMappingURL=default-interceptor.js.map

/***/ }),

/***/ 991:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReleasePopoverModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__release_popover__ = __webpack_require__(215);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReleasePopoverModule = /** @class */ (function () {
    function ReleasePopoverModule() {
    }
    ReleasePopoverModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__release_popover__["a" /* ReleasePopoverPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__release_popover__["a" /* ReleasePopoverPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__release_popover__["a" /* ReleasePopoverPage */]
            ],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_2__release_popover__["a" /* ReleasePopoverPage */],
            ]
        })
    ], ReleasePopoverModule);
    return ReleasePopoverModule;
}());

//# sourceMappingURL=release-popover.module.js.map

/***/ }),

/***/ 992:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImageSliderViewerComponentModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__image_slider_viewer__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_news_detail_footer_news_detail_footer_module__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_home_service__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_wechat_service__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_share_bar_share_bar_module__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_weibo_service__ = __webpack_require__(89);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









var ImageSliderViewerComponentModule = /** @class */ (function () {
    function ImageSliderViewerComponentModule() {
    }
    ImageSliderViewerComponentModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__image_slider_viewer__["a" /* ImageSliderViewerPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_7__components_share_bar_share_bar_module__["a" /* ShareBarModule */],
                __WEBPACK_IMPORTED_MODULE_3__components_news_detail_footer_news_detail_footer_module__["a" /* NewsDetailFooterComponentModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__image_slider_viewer__["a" /* ImageSliderViewerPage */]
            ],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_2__image_slider_viewer__["a" /* ImageSliderViewerPage */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_8__providers_weibo_service__["a" /* WeiboService */],
                __WEBPACK_IMPORTED_MODULE_6__providers_wechat_service__["a" /* WechatService */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__["a" /* SocialSharing */],
                __WEBPACK_IMPORTED_MODULE_5__providers_home_service__["a" /* HomeService */]
            ]
        })
    ], ImageSliderViewerComponentModule);
    return ImageSliderViewerComponentModule;
}());

//# sourceMappingURL=image-slider-viewer.module.js.map

/***/ }),

/***/ 993:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FollowUpPopoverModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__follow_up_popover__ = __webpack_require__(994);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FollowUpPopoverModule = /** @class */ (function () {
    function FollowUpPopoverModule() {
    }
    FollowUpPopoverModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__follow_up_popover__["a" /* FollowUpPopoverPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__follow_up_popover__["a" /* FollowUpPopoverPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__follow_up_popover__["a" /* FollowUpPopoverPage */]
            ],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_2__follow_up_popover__["a" /* FollowUpPopoverPage */],
            ]
        })
    ], FollowUpPopoverModule);
    return FollowUpPopoverModule;
}());

//# sourceMappingURL=follow-up-popover.module.js.map

/***/ }),

/***/ 994:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FollowUpPopoverPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * FollowUpPopoverPage 首页点击每个条目更多（。。。）弹出菜单
 * @author Chile
 * @createAt 2019-05-28
 *
 */
var FollowUpPopoverPage = /** @class */ (function () {
    function FollowUpPopoverPage(viewCtrl, navCtrl) {
        this.viewCtrl = viewCtrl;
        this.navCtrl = navCtrl;
    }
    FollowUpPopoverPage.prototype.support = function () {
        // this.app.getRootNavs()[0].push('/support');
        this.viewCtrl.dismiss();
    };
    /**
     * 点击跟贴
     * @param page
     */
    FollowUpPopoverPage.prototype.close = function (page) {
        //window.open(url, '_blank');
        this.navCtrl.push(page);
        this.viewCtrl.dismiss();
    };
    FollowUpPopoverPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-follow-up-popover',
            template: "\n    <ion-list>\n      <ion-item button (click)=\"close('ArticleReleasePage')\">\n        <ion-label>\u8DDF\u8D34</ion-label>\n      </ion-item>\n    </ion-list>\n  "
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"]])
    ], FollowUpPopoverPage);
    return FollowUpPopoverPage;
}());

//# sourceMappingURL=follow-up-popover.js.map

/***/ }),

/***/ 995:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyChannelSettingComponentModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_channel_setting__ = __webpack_require__(216);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyChannelSettingComponentModule = /** @class */ (function () {
    function MyChannelSettingComponentModule() {
    }
    MyChannelSettingComponentModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_channel_setting__["a" /* MyChannelSettingComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__my_channel_setting__["a" /* MyChannelSettingComponent */]
            ],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_2__my_channel_setting__["a" /* MyChannelSettingComponent */],
            ]
        })
    ], MyChannelSettingComponentModule);
    return MyChannelSettingComponentModule;
}());

//# sourceMappingURL=my-channel-setting.module.js.map

/***/ }),

/***/ 996:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReleaseBarModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__release_bar__ = __webpack_require__(502);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReleaseBarModule = /** @class */ (function () {
    function ReleaseBarModule() {
    }
    ReleaseBarModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__release_bar__["a" /* ReleaseBarComponent */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicModule"],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__release_bar__["a" /* ReleaseBarComponent */]
            ]
        })
    ], ReleaseBarModule);
    return ReleaseBarModule;
}());

//# sourceMappingURL=release-bar.module.js.map

/***/ }),

/***/ 997:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return environment; });
// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.
var environment = {
    production: true
};
/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/dist/zone-error';  // Included with Angular CLI.
/*
Copyright Google LLC. All Rights Reserved.
Use of this source code is governed by an MIT-style license that
can be found in the LICENSE file at http://angular.io/license
*/
//# sourceMappingURL=environment.js.map

/***/ })

},[577]);
//# sourceMappingURL=main.js.map